/*
Released under GPL, written by Caolan.McNamara@ul.ie.

Copyright (C) 1998 
	Caolan McNamara

Real Life: Caolan McNamara           *  Doing: MSc in HCI
Work: Caolan.McNamara@ul.ie          *  Phone: +353-61-202699
URL: http://skynet.csn.ul.ie/~caolan *  Sig: an oblique strategy
How would you have done it?
*/

/*
this software no longer requires laola
*/

char *version="mswordview 0.4.9";

/*

this code is often all over the shop, being more of an organic entity
that a carefully planed piece of code, so no laughing there at the back!

and send me patches by all means, but think carefully before sending me
a patch that doesnt fix a bug or add a feature but instead just changes
the style of coding, i.e no more thousand line patches that fix my 
indentation. (i like it this way)

*/

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <time.h>
#include <math.h>
#include <limits.h>
#include "config.h"
#include "mswordview.h"
#include "roman.h"
#include "utf.h"

extern int nostyles;

#define AUTO 0xff
long colorlookupr[17] = {AUTO,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x87,0x87,0x87,0xa9,0xd3};
long colorlookupg[17] = {AUTO,0x00,0x00,0xff,0xff,0x00,0x00,0xff,0xff,0x00,0x87,0x87,0x00,0x00,0x87,0xa9,0xd3};
long colorlookupb[17] = {AUTO,0x00,0xff,0xff,0x00,0xff,0x00,0x00,0xff,0x87,0x87,0x00,0x87,0x00,0x00,0xa9,0xd3};

/*ok i got impatient*/
int madeinmac=0;

int nofontfaces=0;
int riskbadole=0;
int NORMAL=20;
int inunderline = 0;
int inbold = 0;
int incenter= 0;
int inrightjust= 0;
int inblink= 0;
int inah1= 0;
int inaheaderfooter=0;
int initalic = 0;
int inafont= 0;
int pagenumber=1;
int sectionpagenumber=1;
int sectionno=1;
int insuper = 0;
int insub = 0;
int inatable=0;
float tabsize=-1;
int cellempty=1;
int inarow=0;
int inacell=0;
int inalist = 0;
int doannos=1;

int noheaders=0;

int deferrednewpage=0;

S16 lastcellwidth[65];
S16 lastrowlen=0;

int rowcount;

U32 mainend;
U32 lastlistid =0;
int listvalue[9];
int currentfontsize;
int currentfontcode=-1;

sep *currentsep=NULL;

int newline=1;
int inacolor;
char incolor[8]="";

U8 chps=0;

int padding=0;
int verpadding=0;
int ignoreheadings=0;
long int cp=0;
long int realcp=0;
static U8 header;
int breakcount;
int footnotehack=0;

char *symbolurl=NULL;
char *imagesurl=NULL;
char *imagesdir=NULL;
char *wingdingurl=NULL;
char *patternurl=NULL;
char *outputfilename=NULL;
char *errorfilename=NULL;
char *filename=NULL;
FILE *outputfile=NULL;
FILE *erroroutput=NULL;


void usage( void )
    {
    fprintf(erroroutput,"Usage: mswordview [-v] [--version] [-n] [--nocredits] [-c] [--corehtmlonly]\n"
	                    "[-t seconds] [--timeout seconds] [-f points] [--defaultfontsize points] [-p url]\n"
						"[--patternurl url] [-s url] [--symbolurl url] [-d url] [--wingdingurl url] [-h]\n"
						"[--ignoreheadings] [-m] [--mainonly] [-b] [--riskbadole] [-e] [--nofontfaces]\n"
						"[-o] [--outputfile] [-g erroroutputfile] [--errorfile erroroutputfile] \n"
						"[-y tabvalue] [--tabsize tabvalue] [-i] [--imagesdir] [-j] [--imagesurl] \n"
						"filename.doc\n");
    exit(-1);
    }



int main(int argc,char **argv)
	{
	olestream *anolestream;
	olestream *oleptr;
	olestream *oleptr2;
	char *analyze;
	char *slashtmp;
	char *mainstreamname=NULL;
	int ret=0;
	int timeout=-1;
	char *endptr;
	char *buffer;
	char fileinbuf[1024];
	char *p;
	FILE *filein;

	FILE *mainfd=NULL;
	FILE *tablefd0=NULL;
	FILE *tablefd1=NULL;
	FILE *data=NULL;

	int c;
	int tail=1;
	int core=1;
	int index=0;

	chp achp;
	pap apap;

	static struct option long_options[] = 
		{
		{ "version",0 , 0, 'v' },
		{ "corehtmlonly",0 , 0, 'c' },
		{ "nocredits",0 , 0, 'n' },
		{ "noannotations",0 , 0, 'a' },
		{ "timeout",1 , 0, 't' },
		{ "horizontalwhite",1,0,'w'},
		{ "verticalwhite",1,0,'u'},
		{ "symbolurl", 1,0,'s'},
		{ "wingdingurl", 1,0,'d'},
		{ "imagesdir", 1,0,'i'},
		{ "imagesurl", 1,0,'j'},
		{ "ignoreheadings", 0,0,'h'},
		{ "defaultfontsize", 1,0,'f'},
		{ "mainonly", 0,0,'m' },
		{ "riskbadole", 0,0,'b'},
		{ "nofontfaces", 0,0,'e'},
		{ "outputfile", 1,0,'c'},
		{ "errorfile", 1,0,'g'},
		{ "patternurl",1,0,'p'},
		{ "tabsize",1,0,'y'},
		{ 0,      0, 0, '0' },
		};


	erroroutput=stderr;


	while (1)
		{
		c = getopt_long (argc, argv, "abcd:ef:g:hi:j:mno:p:s:t:u:vw:y:", long_options, &index);
		if (c == -1)
			break;
		switch(c)
			{
			case 'f':
				if (optarg)
					{
                   	NORMAL = strtol(optarg, &endptr, 10);
				   	if ((*optarg == '\0') || (*endptr  != '\0'))
						{
						fprintf(erroroutput,"f option must be followed with a number\n");
						NORMAL=20;
						}
					else
						NORMAL*=2;
				 	}
				else 
					{
					fprintf(erroroutput,"no val given for defaultfontsize (-f) \n");
					NORMAL=20;
					}
				break;
			case 'v':
				printf("%s, by Caolan.McNamara@ul.ie\n\nWeb pages for updates exist at \nhttp://www.gnu.org/~caolan/docs/MSWordView.html\nhttp://www.csn.ul.ie/~caolan/docs/MSWordView.html\n\n", version);
				exit (0);
				break;
			case 'm':
				noheaders=1;
				break;
			case 'e':
				nofontfaces=1;
				break;
			case 'b':
				riskbadole=1;
				break;
			case 'h':
				ignoreheadings=1;
				break;
			case 'n':
				tail=0;
				break;	
			case 'a':
				doannos=0;
				break;	
			case 'u':
				if (optarg)
					{
                   	verpadding = strtol(optarg, &endptr, 10);
				   	if ((*optarg == '\0') || (*endptr  != '\0'))
						{
						fprintf(erroroutput,"u option must be followed with a number\n");
						verpadding=0;
						}
					if ((verpadding < 0) || (verpadding > 2))
						{
						fprintf(erroroutput,"u option accepts on 0,1,2 as an argument, not %d\n",verpadding);
						verpadding=0;
						}
				 	}
				else 
					{
					fprintf(erroroutput,"no val given for verticalpadding (-u) \n");
					verpadding=0;
					}
				break;
				
				break;	
			case 't':
				if (optarg)
					{
                   	timeout = strtol(optarg, &endptr, 10);
				   	if ((*optarg == '\0') || (*endptr  != '\0'))
						fprintf(erroroutput,"t option must be followed with a number\n");
				 	}
				else 
					fprintf(erroroutput,"no val given for timeout option (-t)\n");
				break;
			case 'o':
				if (optarg)
					{
					outputfilename = malloc(strlen(optarg)+1);
					if (outputfilename == NULL)
						{
						fprintf(erroroutput,"no mem\n");
						exit(-1);
						}
					strcpy(outputfilename,optarg);
					}
                else
					{
                    fprintf(erroroutput,"no val given, assuming standard\n");
					}
                break;
			case 'g':
				if (optarg)
					{
					errorfilename = malloc(strlen(optarg)+1);
					if (errorfilename == NULL)
						{
						fprintf(erroroutput,"no mem\n");
						exit(-1);
						}
					strcpy(errorfilename,optarg);
					}
                else
					{
                    fprintf(erroroutput,"no val given, assuming standard\n");
					}
                break;
			case 'j':
				if (optarg)
					{
					imagesurl = malloc(strlen(optarg)+1);
					if (imagesurl == NULL)
						{
						fprintf(erroroutput,"no mem\n");
						exit(-1);
						}
					strcpy(imagesurl,optarg);
					}
                else
                    fprintf(erroroutput,"no val given for imagesurl\n");
                break;
			case 'i':
				if (optarg)
					{
					imagesdir = malloc(strlen(optarg)+1);
					if (imagesdir == NULL)
						{
						fprintf(erroroutput,"no mem\n");
						exit(-1);
						}
					strcpy(imagesdir,optarg);
					}
                else
                    fprintf(erroroutput,"no val given for imagesdir\n");
                break;
			case 's':
				if (optarg)
					{
					symbolurl = malloc(strlen(optarg)+1);
					if (symbolurl == NULL)
						{
						fprintf(erroroutput,"no mem\n");
						exit(-1);
						}
					strcpy(symbolurl,optarg);
					}
                else
                    fprintf(erroroutput,"no val given for symbolurl\n");
                break;
			case 'p':
				if (optarg)
					{
					patternurl = malloc(strlen(optarg)+1);
					if (patternurl == NULL)
						{
						fprintf(erroroutput,"no mem\n");
						exit(-1);
						}
					strcpy(patternurl,optarg);
					}
                else
                    fprintf(erroroutput,"no val given for patternurl\n");
                break;
			case 'd':
				if (optarg)
					{
					wingdingurl = malloc(strlen(optarg)+1);
					if (wingdingurl == NULL)
						{
						fprintf(erroroutput,"no mem\n");
						exit(-1);
						}
					strcpy(wingdingurl,optarg);
					}
                else
                    fprintf(erroroutput,"no val given for wingdingurl\n");
                break;
			case 'w':
				if (optarg)
					{
                   	padding = strtol(optarg, &endptr, 10);
				   	if ((*optarg == '\0') || (*endptr  != '\0'))
						{
						fprintf(erroroutput,"w option must be followed with a number\n");
						padding=0;
						}
					if ((padding < 0) || (padding > 5))
						{
						fprintf(erroroutput,"w option must be followed with a number from 0..5\n");
						padding=0;
						}
				 	}
				else 
					{
					fprintf(erroroutput,"no val given for horizontalwhite option (-w)\n");
					padding=0;
					}
				break;
			case 'y':
				if (optarg)
					{
                   	tabsize = strtod(optarg, &endptr);
				   	if ((*optarg == '\0') || (*endptr  != '\0'))
						{
						fprintf(erroroutput,"tabsize (y) option must be followed with a number\n");
						tabsize=-1;
						}
				 	}
				else 
					{
					fprintf(erroroutput,"no val given for defaultfontsize (-f) \n");
					tabsize = -1;
					}
				break;
			case 'c':
				core=0;
				break;
			default:
				usage();
				break;
			}
		}

	if (argc <= optind) 
		{
		usage();
		}

	if (errorfilename != NULL)
		{
		erroroutput = fopen(errorfilename,"w");
		if (erroroutput== NULL)
			{
			fprintf(erroroutput,"couldnt open %s for writing\n",errorfilename);
			return(-1);
			}
		}
	else
		erroroutput = erroroutput;
		

	if (optind < argc)
		filename = strdup(argv[optind]);
	else 
		filename =NULL;

	/*set SIGCHLD handled*/
	signal_handle (SIGCHLD, reaper);

	currentfontsize = NORMAL;

	
	if (timeout != -1)
		{
		signal_handle (SIGALRM, timeingout);
		/*well abort after this number of seconds*/
		alarm(timeout);
		}


	if (tabsize == -1)
		{
		if ( (padding == 0) || (padding == 3))
			tabsize=SPACEPIXELS;
		else
			tabsize=8;
		}
	else
		if ( (padding == 0) || (padding == 3))
			tabsize=tabsize/8;


	if (0 != OLEdecode(filename,&mainfd,&tablefd0,&tablefd1,&data))
		{
		fprintf(erroroutput,"Sorry main document stream couldnt be found in doc \n%s\n",filename);
		fprintf(erroroutput,"if this *is* a word 8 file, it appears to be corrupt\n");
		fprintf(erroroutput,"remember, mswordview cannot handle rtf,word 6 or word 7 etc\n");

		buffer = (char *) malloc(strlen(filename) +1 + strlen("file "));
		sprintf(buffer,"file %s",filename);
		filein = popen(buffer,"r");
		if (filein != NULL)
			{
			fprintf(erroroutput,"for your information, the utility \n\"file %s\" reports ...\n\n",filename);
			while (fgets(fileinbuf,1024,filein) != NULL)
				fprintf(erroroutput,"%s",fileinbuf);
			}
		
		free(buffer);
		ret=0;
		if (riskbadole) 
			ret = decode_word8(mainfd,tablefd0,tablefd1,data,core);
		}
	else
		ret = decode_word8(mainfd,tablefd0,tablefd1,data,core);

	if (ret != -1)
		{
		if (tail)
			{
			init_chp(&achp);
			init_pap(&apap);
			decode_e_chp(&achp);
			decode_e_specials(&apap,&achp,NULL);
			do_indent(&apap);
			fprintf(outputfile,"\n<br><img src=\"%s/documentend.gif\"><br>\n",patterndir());
			fprintf(outputfile,"<hr><p>\nDocument converted from word 8 by \n<a href=\"http://www.csn.ul.ie/~caolan/docs/MSWordView.html\">MSWordView</a> (%s)<br>\n",version);
			fprintf(outputfile,"MSWordView written by <a href=\"mailto:Caolan.McNamara@ul.ie\">Caolan McNamara</a>\n</body>\n");
			}
		if (core)
			fprintf(outputfile,"\n</html>\n");
		}

	cleanupglobals();
		
	return(ret);
	}

void cleanupglobals(void)
	{
	if ((outputfile!=NULL) && (outputfile!=stdout))
		fclose(outputfile);

	if ((erroroutput!=NULL) && (erroroutput!=stderr))
		fclose(erroroutput);
	
	if (symbolurl!=NULL)
		free(symbolurl);
	if (imagesurl!=NULL)
		free(imagesurl);
	if (imagesdir!=NULL)
		free(imagesdir);
	if (wingdingurl!=NULL)
		free(wingdingurl);
	if (patternurl!=NULL)
		free(patternurl);
	if (outputfilename!=NULL)
		free(outputfilename);
	if (errorfilename!=NULL)
		free(errorfilename);
	if (filename!=NULL)
		free(filename);
	}

int decode_word8(FILE *mainfd,FILE *tablefd0,FILE *tablefd1,FILE *data,int core)
	{
	U32 i,j,k;
	
	U16 wIdent,nFib,nProduct,lid,pnNext,nFibBack,chse,chseTables;
	U32 lKey,fcMin,fcMac,cbMac,fcSpare,ccpMcr,ccpTxbx,ccpSpare2,fcStshfOrig,lcbStshfOrig;
	textportions portions;
	U8 fields1,fields2,envr,reserved;
	U8 iscomplex=0;
	U32 pnPapFirst,cpnBtePap;
	U32 pnChpFirst,cpnBteChp;
	U32 pnLvcFirst,cpnBteLvc;
	U32 fcPlcfbtePapx,lcbPlcfbtePapx;
	U32 fcPlcfbteChpx,lcbPlcfbteChpx;
	U32 *plcfbtePapx;
	U32 *plcfbteChpx;
	U32 chpintervals;
	U32 intervals;
	U32 fcClx,lcbClx;
	U32 fcPlcffldMom,lcbPlcffldMom;
	U32 fcPlcffldHdr,lcbPlcffldHdr;
	U32 fcPlcffldFtn,lcbPlcffldFtn;
	U32 fcSttbfffn,lcbSttbfffn;
	ffn fontnamelist;
	ffn *tempnames;
	U32 *cp_plcfld;
	U8 *fld_plcfld;
	U32 *cp_plcfld2;
	U8 *fld_plcfld2;
	U32 *cp_plcfld3;
	U8 *fld_plcfld3;
	U32 *cp_plcfld4;
	U8 *fld_plcfld4;
	U32 *cp_plcfld5;
	U8 *fld_plcfld5;
	U8 len;
	char *tablename;
	char *tablestreamname=NULL;
	olestream *oleptr;
	field_info *all_fields[5];
	field_info main_fields;
	field_info header_fields;
	field_info footnote_fields;
	field_info annotation_fields;
	field_info endnote_fields;
	U32 fcPlcfLst,lcbPlcfLst;
	U32 fcPlfLfo,lcbPlfLfo;
	U32 fcSttbFnm,lcbSttbFnm;
	U32 fcPlcffndRef;
	U32 fcPlcffndTxt;
	U32 lcbPlcffndRef;
	U32 lcbPlcffndTxt;
	/*begin annotations*/
	U32 fcPlcfandRef,lcbPlcfandRef;
	U32 fcPlcfandTxt,lcbPlcfandTxt;
	U32 fcPlcffldAtn,lcbPlcffldAtn;
	U32 fcGrpXstAtnOwners,lcbGrpXstAtnOwners;
	U32 fcSttbfAtnbkmk,lcbSttbfAtnbkmk;
	U32 fcPlcfAtnbkf,lcbPlcfAtnbkf;
	U32 fcPlcfAtnbkl,lcbPlcfAtnbkl;
	/*end annotations*/
	/*begin endnotes*/
	U32 fcPlcfendRef,lcbPlcfendRef;
	U32 fcPlcfendTxt,lcbPlcfendTxt;
	U32 fcPlcffldEdn,lcbPlcffldEdn;
	U32 fcPgdEdn,lcbPgdEdn; /*whats this */
	U32 fcBkdEdn,lcbBkdEdn; /*and this for ? */
	/*end endnotes*/
	/*begin section table*/
	U32 fcPlcfsed,lcbPlcfsed;
	/*end section table*/

	
	U32 ccpHdrTxbx;
	U32 fcPlcfhdrtxbxTxt,lcbPlcfhdrtxbxTxt;
	U32 fcPlcffldHdrTxbx,lcbPlcffldHdrTxbx;
	U32 fcPlcftxbxHdrBkd,lcbPlcftxbxHdrBkd;

	U32 fcPlcspaMom,lcbPlcspaMom; 
	/*we use these to get spids, and then suck the pictures out of the the resulting tables found though fcDggInfo ??*/
	U32 fcDggInfo,lcbDggInfo;

	U16 spids[1024];
	char *names[1024];

	U32 stsh,stshlen;
	
	list_info a_list_info;
	style *masterstylesheet;

	FILE *tablefd;

	int notfinished;


	if (outputfilename == NULL)
		{
		outputfilename = malloc(strlen(filename) + strlen(".html") + 1);
		if (outputfilename == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			return(-1);
			}
		sprintf(outputfilename,"%s%s",filename,".html");
		}

	if (strcmp(outputfilename,"-"))
		{
		outputfile = fopen(outputfilename,"w");
		if (outputfile == NULL)
			{
			fprintf(erroroutput,"couldnt open %s for writing\n",outputfilename);
			return(-1);
			}
		}
	else
		outputfile = stdout;
	

	fseek(mainfd,0,SEEK_END);
	mainend = ftell(mainfd);
	error(erroroutput,"the end of the stream is %x\n",mainend);
	fseek(mainfd,0,SEEK_SET);
	
	wIdent=read_16ubit(mainfd);
	nFib=read_16ubit(mainfd);
	nProduct=read_16ubit(mainfd);


	if (nFib >= 101)
		error(erroroutput,"written by word >= 6, exactly %x\n",nProduct);
	else
		error(erroroutput,"written by word < 6, exactly %x\n",nProduct);

	if ((nProduct >> 8) == 0xe0)
		{
		fprintf(erroroutput,"this is an unsupported word 7 doc, sorry\nthis converter is solely for word8 at the moment\ntry laola (http://wwwwbs.cs.tu-berlin.de/~schwartz/pmh/laola.html) it might get some text out of it\n");
		return(0);
		}
	else if ((nProduct >> 8) == 0xc0)
		{
		fprintf(erroroutput,"this is an unsupported (as of yet) word 6 doc, sorry\nthis converter is solely for word8 at the moment\ntry word2x (http://word2x.astra.co.uk/) for that\n");
		return(0);
		}
	else if ((nProduct >> 8) != 0x00)
		fprintf(erroroutput,"this doesnt appear to be a word 8 doc, but going ahead anyway, expect disaster!!\n");

	lid=read_16ubit(mainfd);
	pnNext=read_16ubit(mainfd);
	fields1 = getc(mainfd);
	error(erroroutput,"wIdent is %d,nFib is %d, nProduct is %d, lid is %d, pnNext? is %d\n",wIdent,nFib,nProduct,lid,pnNext);
		
	if (fields1 & 0x01)
		error(erroroutput,"mainfdot\n");
	if (fields1 & 0x02)
		error(erroroutput,"fGlsy\n");
	if (fields1 & 0x04)
		{
		error(erroroutput,"fComplex\n");
		iscomplex=1;
		error(erroroutput,"complex doc, here we go!\n");
		}
	if (fields1 & 0x08)
		error(erroroutput,"fHasPic\n");
	fields1 &= 0xF0;
	fields1 = fields1 >> 4;
	error(erroroutput,"no od saves is %d\n",fields1);
	fields2 = getc(mainfd);
	if (fields2 & 0x01)
		error(erroroutput,"fEncrypted\n");

	if (fields2 & 0x02)
		{
		tablefd = tablefd1;
		error(erroroutput,"use 1Table stream\n");
		}
	else
		{
		tablefd = tablefd0;
		error(erroroutput,"use 0Table stream\n");
		}

	if (fields2 & 0x04)
		error(erroroutput,"fReadOnlyRecommedned\n");
	if (fields2 & 0x08)
		error(erroroutput,"fWriteReservation\n");
	if (fields2 & 0x10)
		error(erroroutput,"fEctChar\n");
	nFibBack = read_16ubit(mainfd);
	lKey = read_32ubit(mainfd);
	envr = getc(mainfd);
	error(erroroutput,"nFibback is %d, lKey is %ld\n",nFibBack,lKey);
	if (envr == 0)
		error(erroroutput,"created in winword\n");
	else if (envr == 1)
		error(erroroutput,"created in mac word\n");
	madeinmac = envr;
	reserved = getc(mainfd);
	chse = read_16ubit(mainfd);
	if (chse == 0)
		error(erroroutput,"windows ansi\n");
	else if (chse == 256)
		error(erroroutput,"mac char set\n");
	chseTables = read_16ubit(mainfd);
	if (chseTables == 0)
		error(erroroutput,"windows ansi\n");
	else if (chseTables== 256)
		error(erroroutput,"mac char set\n");

	fcMin = read_32ubit(mainfd);
	fcMac = read_32ubit(mainfd);
	fseek(mainfd,0x0040,SEEK_SET);
	cbMac = read_32ubit(mainfd);
	fcSpare= read_32ubit(mainfd);
	fcSpare= read_32ubit(mainfd);


	error(erroroutput,"first char is at %ld (%x)\n",fcMin,fcMin);
	error(erroroutput,"last char is at %ld (%x)\n",fcMac,fcMac);

	portions.ccpText = read_32ubit(mainfd);
	error(erroroutput,"the main doc text is of size %ld\n",portions.ccpText);
	portions.ccpFtn = read_32ubit(mainfd);
	error(erroroutput,"the footer text is of size %ld\n",portions.ccpFtn);
	portions.ccpHdd = read_32ubit(mainfd);
	error(erroroutput,"the header text is of size %ld\n",portions.ccpHdd);
	portions.fcMin = fcMin;
	portions.fcMac = fcMac;
	ccpMcr = read_32ubit(mainfd);
	portions.ccpAtn = read_32ubit(mainfd);
	error(erroroutput,"the annotation text is size %ld\n",portions.ccpAtn);
	portions.ccpEdn = read_32ubit(mainfd);
	ccpTxbx = read_32ubit(mainfd);
	ccpHdrTxbx = read_32ubit(mainfd);
	ccpSpare2 = read_32ubit(mainfd);
	fcStshfOrig = read_32ubit(mainfd);
	lcbStshfOrig = read_32ubit(mainfd);
	
	/*attempt to list all paragraph bounds*/

	fseek(mainfd,112,SEEK_SET);	
	pnChpFirst = read_32ubit(mainfd);
	cpnBteChp = read_32ubit(mainfd);
	error(erroroutput,"\n page of first different char type %d\nnumber of different character types %d\n",pnChpFirst,cpnBteChp);


	fseek(mainfd,124,SEEK_SET);	
	pnPapFirst = read_32ubit(mainfd);
	cpnBtePap = read_32ubit(mainfd);
	error(erroroutput,"\n page of first different para type %d\nnumber of different para types %d\n",pnPapFirst,cpnBtePap);
	
	fseek(mainfd,136,SEEK_SET);	
	pnLvcFirst = read_32ubit(mainfd);
	cpnBteLvc = read_32ubit(mainfd);
	error(erroroutput,"\n page of first different lvc type %d\nnumber of different lvc types %d\n",pnLvcFirst,cpnBteLvc);
	
	fseek(mainfd,154,SEEK_SET);	
	error(erroroutput,"the orig stsh is (%x), len (%x)\n",read_32ubit(mainfd),read_32ubit(mainfd));
	
	stsh = read_32ubit(mainfd);
	stshlen = read_32ubit(mainfd);
	error(erroroutput,"the new stsh is (%x), len (%x)\n",stsh,stshlen);

	masterstylesheet = decode_stylesheet(tablefd,stsh,stshlen);

	fcPlcffndRef=read_32ubit(mainfd);
	lcbPlcffndRef=read_32ubit(mainfd);
	fcPlcffndTxt=read_32ubit(mainfd);
	lcbPlcffndTxt=read_32ubit(mainfd);

	fcPlcfandRef=read_32ubit(mainfd);
	lcbPlcfandRef=read_32ubit(mainfd);
	fcPlcfandTxt=read_32ubit(mainfd);
	lcbPlcfandTxt=read_32ubit(mainfd);


	error(erroroutput,"footnote: table offset of frd thingies (%x) of len %d\n",fcPlcffndRef,lcbPlcffndRef);
	error(erroroutput,"there are %d footnotes\n",(lcbPlcffndRef-4)/6);

	error(erroroutput,"footnote: table offset for footnote text (%x) of len %d\n",fcPlcffndTxt,lcbPlcffndTxt);


	portions.fndRef=NULL;
	portions.fndFRD=NULL;
	portions.fndTxt=NULL;
	portions.list_foot_no = 0;

	portions.fndref_no=0;
	portions.fndtxt_no=0;

	if (lcbPlcffndRef != 0)
		{
		portions.fndref_no=(lcbPlcffndRef-4)/6;
		portions.fndRef = (U32 *) malloc( (portions.fndref_no+1) * sizeof(U32));
		if (portions.fndRef == NULL)
			{
			fprintf(erroroutput,"NO MEM 1\n");
			return(-1);
			}

		portions.fndFRD = (S16 *) malloc( portions.fndref_no * sizeof(S16));
		if (portions.fndFRD == NULL)
			{
			fprintf(erroroutput,"NO MEM 2\n");
			return(-1);
			}
		fseek(tablefd,fcPlcffndRef,SEEK_SET);
		for(i=0;i<portions.fndref_no+1;i++)
			{
			portions.fndRef[i]=read_32ubit(tablefd);
			error(erroroutput,"fndRef is %x\n",portions.fndRef[i]);
			}
		for(i=0;i<portions.fndref_no;i++)
			{
			portions.fndFRD[i]=(S16)read_16ubit(tablefd);
			error(erroroutput,"fndFRD is %d\n",portions.fndFRD[i]);
			}
		}

	if (lcbPlcffndTxt!= 0)
		{
		portions.fndtxt_no=lcbPlcffndTxt/4;
		portions.fndTxt = (U32 *) malloc( portions.fndtxt_no  * sizeof(U32) );
		if (portions.fndTxt == NULL)
			{
			fprintf(erroroutput,"NO MEM 3\n");
			return(-1);
			}
		fseek(tablefd,fcPlcffndTxt,SEEK_SET);
		for (i=0;i<portions.fndtxt_no;i++)
			{
			portions.fndTxt[i]=read_32ubit(tablefd);
			error(erroroutput,"footnote->%x\n",portions.fndTxt[i]);
			}
		}

	portions.andref_no=0;
	portions.andRef=NULL;
	portions.list_anno_no = 0;

	error(erroroutput,"annotation offset is %x, len is %d\n",fcPlcfandRef,lcbPlcfandRef);
	
	if (lcbPlcfandRef != 0)
		{
		portions.andref_no=(lcbPlcfandRef-4)/34;
		portions.andRef = (U32 *) malloc( (portions.andref_no+1)  * sizeof(U32) );
		if (portions.andRef == NULL)
			{
			fprintf(erroroutput,"NO MEM 3\n");
			return(-1);
			}
		fseek(tablefd,fcPlcfandRef,SEEK_SET);
		for (i=0;i<portions.andref_no+1;i++)
			{
			portions.andRef[i]=read_32ubit(tablefd);
			error(erroroutput,"annotation to be found at %x\n",portions.andRef[i]);
			}
		/*ive ignored the ANLD structure for now*/
		}

	if (lcbPlcfandTxt!= 0)
		{
		portions.andtxt_no=lcbPlcfandTxt/4;
		portions.andTxt = (U32 *) malloc( portions.andtxt_no  * sizeof(U32) );
		if (portions.andTxt == NULL)
			{
			fprintf(erroroutput,"NO MEM 3\n");
			return(-1);
			}
		fseek(tablefd,fcPlcfandTxt,SEEK_SET);
		for (i=0;i<portions.andtxt_no;i++)
			{
			portions.andTxt[i]=read_32ubit(tablefd);
			error(erroroutput,"andTxt are %x\n",portions.andTxt[i]);
			}
		}
	
	fcPlcfsed=read_32ubit(mainfd);
	lcbPlcfsed=read_32ubit(mainfd);
	error(erroroutput,"section: table offset for section table (%x) of len %d\n",fcPlcfsed,lcbPlcfsed);
	if (lcbPlcfsed >0)
		{
		portions.section_nos = (lcbPlcfsed-4)/16;
		error(erroroutput,"there are %d sections",portions.section_nos);
		portions.section_cps = (U32 *) malloc ((portions.section_nos+1) * sizeof(U32));
		portions.section_fcs = (U32 *) malloc ((portions.section_nos) * sizeof(U32));
		if ((portions.section_cps == NULL) || (portions.section_fcs ==  NULL))
			{
			error(erroroutput,"no mem for section_cps\n");
			return(-1);
			}
		fseek(tablefd,fcPlcfsed,SEEK_SET);
		for (i=0;i< portions.section_nos+1;i++)
			{
			portions.section_cps[i]=read_32ubit(tablefd);
			error(erroroutput,"section offsets are %x\n",portions.section_cps[i]);
			}
		for (i=0;i<portions.section_nos;i++)
			{
			read_16ubit(tablefd); /*internal*/
			portions.section_fcs[i] = read_32ubit(tablefd);
			error(erroroutput,"section file offsets are %x\n",portions.section_fcs[i]);
			read_16ubit(tablefd); /*internal*/
			read_32ubit(tablefd);
			}
		}
	
	fseek(mainfd,242,SEEK_SET);	
	portions.fcPlcfhdd = read_32ubit(mainfd);
	portions.lcbPlcfhdd = read_32ubit(mainfd);
	/*these point to the header/footer information thing*/

	error(erroroutput,"header in table offset of (%x), len is %d\n",portions.fcPlcfhdd,portions.lcbPlcfhdd);
	
	fcPlcfbteChpx = read_32ubit(mainfd);
	lcbPlcfbteChpx = read_32ubit(mainfd);
	error(erroroutput,"\nlocation of char description in table stream is %x\nsize is %ld\n",fcPlcfbteChpx,lcbPlcfbteChpx);
	plcfbteChpx = (U32 *) malloc(lcbPlcfbteChpx);
	fseek(tablefd,fcPlcfbteChpx,SEEK_SET);
	for (i=0;i<lcbPlcfbteChpx/4;i++)
		plcfbteChpx[i] = read_32ubit(tablefd);
	chpintervals = ((lcbPlcfbteChpx/4)-1)/2;
	error(erroroutput,"there are %d charrun intervals ? ending at ",chpintervals);
	for (i=1;i<chpintervals+1;i++)
		error(erroroutput,"%d (%d)", plcfbteChpx[i],plcfbteChpx[i+chpintervals]);
	error(erroroutput,"\n");


	fcPlcfbtePapx = read_32ubit(mainfd);
	lcbPlcfbtePapx = read_32ubit(mainfd);
	error(erroroutput,"\nlocation of para description in table stream is %ld\nsize is %ld\n",fcPlcfbtePapx,lcbPlcfbtePapx);
	/*go to location in table stream, */
	/*i believe that this is just an array of longs(4 bytes blocks)
	 */
	plcfbtePapx = (U32 *) malloc(lcbPlcfbtePapx);
	fseek(tablefd,fcPlcfbtePapx,SEEK_SET);
	for (i=0;i<lcbPlcfbtePapx/4;i++)
		{
		plcfbtePapx[i] = read_32ubit(tablefd);
		error(erroroutput,"papx farting gives %x\n",plcfbtePapx[i]);
		}
	intervals = ((lcbPlcfbtePapx/4)-1)/2;
	error(erroroutput,"there are %d pragraph intervals ? ending at ",intervals);
	for (i=1;i<intervals+1;i++)
		error(erroroutput,"%d %x (%d)", plcfbtePapx[i], plcfbtePapx[i],plcfbtePapx[i+intervals]);
	error(erroroutput,"\n");
	fseek(mainfd,274,SEEK_SET);
	fcSttbfffn=read_32ubit(mainfd);
	lcbSttbfffn=read_32ubit(mainfd);

	if (lcbSttbfffn > 0)
		{
		tempnames = &fontnamelist;
		error(erroroutput,"have a table of font names (%x)\n",fcSttbfffn);
		fseek(tablefd,fcSttbfffn,SEEK_SET);

		j=0;
		/*seems to be a count of font names, followed by three blanks ?*/
		read_16ubit(tablefd);
		read_16ubit(tablefd);
		j=4;
		while(j<lcbSttbfffn)
			{
			k=0;
			tempnames->name[0] = '\0';
			tempnames->next=NULL;
			len = getc(tablefd);
			error(erroroutput,"len is %d\n",len);
			i=1;
			notfinished=1;
			while(i<=len)
				{
				if ((i >= 40) && (notfinished))
					{
					tempnames->name[k] = read_16ubit(tablefd);
					i+=2;
					error(erroroutput,"font name char is %X %c %x i is %d\n",tempnames->name[k],tempnames->name[k],ftell(tablefd),i);
					if (tempnames->name[k] == 0)
						notfinished=0;
					k++;
					}
				else
					{	
					if (i==4)
						{
						tempnames->chs = getc(tablefd);
						error(erroroutput,"chs is (%x)  %d ",tempnames->chs,tempnames->chs);
						}
					else
						getc(tablefd);
					i++;
					}
				}
			if (tempnames->name[0] != '\0')
				{
				tempnames->next = (ffn *) malloc(sizeof(ffn));
				if (tempnames->next == NULL)
					{
					fprintf(erroroutput,"no memory, arrgh\n");
					return(-1);
					}
				tempnames = tempnames->next;
				tempnames->next=NULL;
				tempnames->name[0] = '\0';
				}
			j+=i;	
			}
		}

	tempnames = &fontnamelist;
	while (tempnames != NULL)
		{
		error(erroroutput,"font names are %s\n",tempnames->name);
		tempnames = tempnames->next;
		}

	/*determine field plc*/
	fcPlcffldMom=read_32ubit(mainfd);
	lcbPlcffldMom=read_32ubit(mainfd);
	error(erroroutput,"in table stream field plc is %ld, and len is %ld\n",fcPlcffldMom,lcbPlcffldMom);

	main_fields.cps = NULL;
	main_fields.flds = NULL;
	main_fields.no = -1;

	if (lcbPlcffldMom > 0)
		{
		error(erroroutput,"guessing that no of entries is %d\n",(lcbPlcffldMom-4)/6);
		cp_plcfld = (U32 *) malloc( (((lcbPlcffldMom-4)/6)+1) * sizeof(U32));
		if (cp_plcfld == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fld_plcfld = (U8 *) malloc( (((lcbPlcffldMom-4)/6)*2) * sizeof(U8));
		if (fld_plcfld == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fseek(tablefd,fcPlcffldMom,SEEK_SET);
		for(i=0;i<(((lcbPlcffldMom-4)/6)+1);i++)
			{
			cp_plcfld[i] =  read_32ubit(tablefd);
			error(erroroutput,"field cps are %x\n",cp_plcfld[i]);
			}
		for(i=0;i<(((lcbPlcffldMom-4)/6)*2);i++)
			{
			fld_plcfld[i] =  getc(tablefd);
			error(erroroutput,"field vals are %d\n",fld_plcfld[i]);
			}

		main_fields.cps = cp_plcfld;
		main_fields.flds = fld_plcfld;
		main_fields.no = (lcbPlcffldMom-4)/6;
		}

	fcPlcffldHdr=read_32ubit(mainfd);
	lcbPlcffldHdr=read_32ubit(mainfd);
	error(erroroutput,"in table stream field header plc is (%x), and len is %ld\n",fcPlcffldHdr,lcbPlcffldHdr);

	header_fields.cps = NULL;
	header_fields.flds = NULL;
	header_fields.no = -1;

	if (lcbPlcffldHdr> 0)
		{
		error(erroroutput,"guessing that no of entries is %d\n",(lcbPlcffldHdr-4)/6);
		cp_plcfld2 = (U32 *) malloc( (((lcbPlcffldHdr-4)/6)+1) * sizeof(U32));
		if (cp_plcfld2 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fld_plcfld2 = (U8 *) malloc( (((lcbPlcffldHdr-4)/6)*2) * sizeof(U8));
		if (fld_plcfld2 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fseek(tablefd,fcPlcffldHdr,SEEK_SET);
		for(i=0;i<(((lcbPlcffldHdr-4)/6)+1);i++)
			{
			cp_plcfld2[i] =  read_32ubit(tablefd);
			error(erroroutput,"header field cps are %x\n",cp_plcfld2[i]);
			}
		for(i=0;i<(((lcbPlcffldHdr-4)/6)*2);i++)
			{
			fld_plcfld2[i] =  getc(tablefd);
			error(erroroutput,"field vals are %d\n",fld_plcfld2[i]);
			}

		header_fields.cps = cp_plcfld2;
		header_fields.flds = fld_plcfld2;
		header_fields.no = (lcbPlcffldHdr-4)/6;
		}

	fcPlcffldFtn=read_32ubit(mainfd);
	lcbPlcffldFtn=read_32ubit(mainfd);
	error(erroroutput,"in table stream field footnote plc is (%x), and len is %ld\n",fcPlcffldFtn,lcbPlcffldFtn);
	fcPlcffldAtn=read_32ubit(mainfd);
	lcbPlcffldAtn=read_32ubit(mainfd);
	error(erroroutput,"in table stream field annotation plc is (%x), and len is %ld\n",fcPlcffldAtn,lcbPlcffldAtn);

	footnote_fields.cps = NULL;
	footnote_fields.flds = NULL;
	footnote_fields.no = -1;

	if (lcbPlcffldFtn >0)
		{
		error(erroroutput,"guessing that no of entries is %d\n",(lcbPlcffldFtn-4)/6);
		cp_plcfld3 = (U32 *) malloc( (((lcbPlcffldFtn-4)/6)+1) * sizeof(U32));
		if (cp_plcfld3 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fld_plcfld3 = (U8 *) malloc( (((lcbPlcffldFtn-4)/6)*2) * sizeof(U8));
		if (fld_plcfld3 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fseek(tablefd,fcPlcffldFtn,SEEK_SET);
		for(i=0;i<(((lcbPlcffldFtn-4)/6)+1);i++)
			{
			cp_plcfld3[i] =  read_32ubit(tablefd);
			error(erroroutput,"footnote field cps are %x\n",cp_plcfld3[i]);
			}
		for(i=0;i<(((lcbPlcffldFtn-4)/6)*2);i++)
			{
			fld_plcfld3[i] =  getc(tablefd);
			error(erroroutput,"field vals are %d\n",fld_plcfld3[i]);
			}

		footnote_fields.cps = cp_plcfld3;
		footnote_fields.flds = fld_plcfld3;
		footnote_fields.no = (lcbPlcffldFtn-4)/6;
		}

	annotation_fields.cps = NULL;
	annotation_fields.flds = NULL;
	annotation_fields.no = -1;

	if (lcbPlcffldAtn>0)
		{
		error(erroroutput,"guessing that no of entries is %d\n",(lcbPlcffldAtn-4)/6);
		cp_plcfld4 = (U32 *) malloc( (((lcbPlcffldAtn-4)/6)+1) * sizeof(U32));
		if (cp_plcfld4 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fld_plcfld4 = (U8 *) malloc( (((lcbPlcffldAtn-4)/6)*2) * sizeof(U8));
		if (fld_plcfld4 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fseek(tablefd,fcPlcffldAtn,SEEK_SET);
		for(i=0;i<(((lcbPlcffldAtn-4)/6)+1);i++)
			{
			cp_plcfld4[i] =  read_32ubit(tablefd);
			error(erroroutput,"annotation field cps are %x\n",cp_plcfld4[i]);
			}
		for(i=0;i<(((lcbPlcffldAtn-4)/6)*2);i++)
			{
			fld_plcfld4[i] =  getc(tablefd);
			error(erroroutput,"field vals are %d\n",fld_plcfld4[i]);
			}

		annotation_fields.cps = cp_plcfld4;
		annotation_fields.flds = fld_plcfld4;
		annotation_fields.no = (lcbPlcffldAtn-4)/6;
		}

	


	/*complex info bit*/
	fseek(mainfd,418,SEEK_SET);
	fcClx =  read_32ubit(mainfd);
	lcbClx = read_32ubit(mainfd);
	error(erroroutput,"complex bit begins at %X, and it %d long",fcClx,lcbClx);

	fseek(mainfd,474,SEEK_SET);
	fcPlcspaMom = read_32ubit(mainfd);
	lcbPlcspaMom = read_32ubit(mainfd);
	error(erroroutput,"error: pictures offset %x len %d\n",fcPlcspaMom,lcbPlcspaMom);

	portions.noofficedraw=0;
	portions.officedrawcps=NULL;
	portions.spids=NULL;
	portions.noofblipdata=0;

	if (lcbPlcspaMom!=0)
		{
		fseek(tablefd,fcPlcspaMom,SEEK_SET);
		portions.noofficedraw = (lcbPlcspaMom-4)/28;
		portions.officedrawcps = (U32 *) malloc(sizeof(U32) * (portions.noofficedraw+1));
		portions.spids=(U32 *) malloc(sizeof(U32) * portions.noofficedraw);
		if ((portions.officedrawcps == NULL) || (portions.spids == NULL))
			{
			error(erroroutput,"no mem for spids\n");
			return(-1);
			}
		for(i=0;i<portions.noofficedraw+1;i++)
			{
			portions.officedrawcps[i] = read_32ubit(tablefd);
			error(erroroutput,"office draw cp is %x\n",portions.officedrawcps[i]);
			}
		for(i=0;i<portions.noofficedraw;i++)
			{
			portions.spids[i] = read_32ubit(tablefd);
			error(erroroutput,"spid id %x\n",portions.spids[i]);
			for (j=0;j<22;j++)
				getc(tablefd);
			}
		}
	


	/*begin endnote*/
	fseek(mainfd,522,SEEK_SET);
	fcPlcfendRef = read_32ubit(mainfd);
	lcbPlcfendRef = read_32ubit(mainfd);
	fcPlcfendTxt = read_32ubit(mainfd);
	lcbPlcfendTxt = read_32ubit(mainfd);

	error(erroroutput,"endnote: table offset of frd thingies (%x) of len %d\n",fcPlcfendRef,lcbPlcfendRef);
	error(erroroutput,"there are %d endnotes\n",(lcbPlcfendRef-4)/6);

	error(erroroutput,"endnote: table offset for endnote text (%x) of len %d\n",fcPlcfendTxt,lcbPlcfendTxt);


	portions.endRef=NULL;
	portions.endFRD=NULL;
	portions.endTxt=NULL;
	portions.list_end_no = 0;

	portions.endref_no=0;
	portions.endtxt_no=0;

	if (lcbPlcfendRef != 0)
		{
		portions.endref_no=(lcbPlcfendRef-4)/6;
		portions.endRef = (U32 *) malloc( (portions.endref_no+1) * sizeof(U32));
		if (portions.endRef == NULL)
			{
			fprintf(erroroutput,"NO MEM 1\n");
			return(-1);
			}

		portions.endFRD = (S16 *) malloc( portions.endref_no * sizeof(S16));
		if (portions.endFRD == NULL)
			{
			fprintf(erroroutput,"NO MEM 2\n");
			return(-1);
			}
		fseek(tablefd,fcPlcfendRef,SEEK_SET);
		for(i=0;i<portions.endref_no+1;i++)
			{
			portions.endRef[i]=read_32ubit(tablefd);
			error(erroroutput,"endRef is %x\n",portions.endRef[i]);
			}
		for(i=0;i<portions.endref_no;i++)
			{
			portions.endFRD[i]=(S16)read_16ubit(tablefd);
			error(erroroutput,"endFRD is %d\n",portions.endFRD[i]);
			}
		}

	if (lcbPlcfendTxt!= 0)
		{
		portions.endtxt_no=lcbPlcfendTxt/4;
		portions.endTxt = (U32 *) malloc( portions.endtxt_no  * sizeof(U32) );
		if (portions.endTxt == NULL)
			{
			fprintf(erroroutput,"NO MEM 3\n");
			return(-1);
			}
		fseek(tablefd,fcPlcfendTxt,SEEK_SET);
		for (i=0;i<portions.endtxt_no;i++)
			{
			portions.endTxt[i]=read_32ubit(tablefd);
			error(erroroutput,"footnote->%x\n",portions.endTxt[i]);
			}
		}

	fcPlcffldEdn = read_32ubit(mainfd);
	lcbPlcffldEdn = read_32ubit(mainfd);


	endnote_fields.cps = NULL;
	endnote_fields.flds = NULL;
	endnote_fields.no = -1;

	if (lcbPlcffldEdn>0)
		{
		error(erroroutput,"guessing that no of entries is %d\n",(lcbPlcffldEdn-4)/6);
		cp_plcfld5 = (U32 *) malloc( (((lcbPlcffldEdn-4)/6)+1) * sizeof(U32));
		if (cp_plcfld5 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fld_plcfld5 = (U8 *) malloc( (((lcbPlcffldEdn-4)/6)*2) * sizeof(U8));
		if (fld_plcfld5 == NULL)
			{
			fprintf(erroroutput,"no mem\n");
			exit(-1);
			}

		fseek(tablefd,fcPlcffldEdn,SEEK_SET);
		for(i=0;i<(((lcbPlcffldEdn-4)/6)+1);i++)
			{
			cp_plcfld5[i] =  read_32ubit(tablefd);
			error(erroroutput,"endnote field cps are %x\n",cp_plcfld5[i]);
			}
		for(i=0;i<(((lcbPlcffldEdn-4)/6)*2);i++)
			{
			fld_plcfld5[i] =  getc(tablefd);
			error(erroroutput,"field vals are %d\n",fld_plcfld5[i]);
			}

		endnote_fields.cps = cp_plcfld5;
		endnote_fields.flds = fld_plcfld5;
		endnote_fields.no = (lcbPlcffldEdn-4)/6;
		}

	/*end endnote*/

	all_fields[0] = &main_fields;
	all_fields[1] = &header_fields;
	all_fields[2] = &footnote_fields;
	all_fields[3] = &annotation_fields;
	all_fields[4] = &endnote_fields;
	

	fseek(mainfd,554,SEEK_SET);
	fcDggInfo = read_32ubit(mainfd);
	lcbDggInfo = read_32ubit(mainfd);
	error(erroroutput,"fcDggInfo is %x and len is %d\n",fcDggInfo,lcbDggInfo);

	portions.ablipdata = get_blips(fcDggInfo,lcbDggInfo,tablefd,mainfd,&(portions.noofblipdata),0x08,NULL);

	fseek(mainfd,730,SEEK_SET);
	fcSttbFnm =  read_32ubit(mainfd);
	lcbSttbFnm = read_32ubit(mainfd);
	fcPlcfLst =  read_32ubit(mainfd);
	lcbPlcfLst = read_32ubit(mainfd);
	fcPlfLfo =  read_32ubit(mainfd);
	lcbPlfLfo = read_32ubit(mainfd);

	get_table_info(tablefd,&a_list_info,fcSttbFnm,lcbSttbFnm,fcPlcfLst,lcbPlcfLst,fcPlfLfo,lcbPlfLfo,masterstylesheet);

	error(erroroutput,"\n-----text------ %x\n",1024);
	if (core)
		fprintf(outputfile,"<html>\n");
	fseek(mainfd,1024,SEEK_SET);

	error(erroroutput,"endpoint for standard is %ld\n",fcMac);


	fseek(tablefd,portions.fcPlcfhdd,SEEK_SET);
	portions.headercpno = portions.lcbPlcfhdd/4;
	portions.headercplist = NULL;
	if (portions.headercpno > 0)
		{
		error(erroroutput,"head no is %d\n",portions.headercpno);
		portions.headercplist = malloc(sizeof(U32) * portions.headercpno);
		if (portions.headercplist == NULL)
			{
			error(erroroutput,"feck no mem\n");
			return(-1);
			}

		for (i=0;i<portions.headercpno;i++)
			{
			portions.headercplist[i]= read_32ubit(tablefd);
			error(erroroutput,"header fc ? is %x -> %x  %d",portions.headercplist[i],portions.fcMin+portions.ccpText+portions.ccpFtn+portions.headercplist[i],i);
			switch (i)
				{
				case 6:
					error(erroroutput,"even header\n");
					break;
				case 7:
					error(erroroutput,"odd header\n");
					break;
				case 8:
					error(erroroutput,"even footer\n");
					break;
				case 9:
					error(erroroutput,"odd footer\n");
					break;
				case 10:
					error(erroroutput,"page 1 special header\n");
					break;
				case 11:
					error(erroroutput,"page 1 special footer\n");
					break;
				case 12:
					error(erroroutput,"even header, section 2?\n");
					break;
				case 13:
					error(erroroutput,"odd header, section 2?\n");
					break;
				default:
					error(erroroutput,"\n");
					break;
				}
			}
		}

	if (iscomplex)
		{
		error(erroroutput,"complex writing complex table looking in %ld (len %ld)\n",fcClx,lcbClx);
		/*i believe that the intervals and plcfbtePapx are valid entities for
		fastsaved docs as well (i bloody hope so)*/
		fprintf(outputfile,"<!--complex document-->\n");
		error(erroroutput,"main ends at %x\n",portions.ccpText);
		decode_clx(0,0,portions.ccpText,tablefd,mainfd,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,&a_list_info,masterstylesheet,&portions,&fontnamelist,0);
		}
	else
		{
		error(erroroutput,"decoding simple\n");
		fprintf(outputfile,"<!--noncomplex document-->\n");

			
		decode_simple(mainfd,tablefd,data,fcClx,fcMin,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,&a_list_info,masterstylesheet,&portions,&fontnamelist,0);
		}

	free(plcfbtePapx);
	return(0);
	}

U32 get_fc_from_cp(U32 acp,U32 *rgfc,U32 *avalrgfc,int nopieces)
	{
	int i=0;
	U32 distance;
	U32 fc2;

	/*given a cp find the piece*/
	while(i<nopieces)
        {
        if (rgfc[i+1] >= acp)
            {
			distance = acp-rgfc[i];	
			error(erroroutput,"cp distance is %d\n",distance);
			if (avalrgfc[i] & 0x40000000UL)
				{
				fc2 = avalrgfc[i];
				fc2 = fc2 & 0xbfffffffUL;
				fc2 = fc2/2;
				return(fc2+distance);
				}
			else
				return(avalrgfc[i]+(2*distance));
            }
        i++;
        }
	return(0);
	}

int decode_simple_endnote(FILE *mainfd,FILE *tablefd,FILE *data,sep *asep,U32 fcClx,U32 fcMin,U32 fcMac,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[4],list_info *a_list_info,style *sheet,textportions *portions,ffn *fontnamelist,int flag)
	{
	U32 headerpos;
	U32 oldccpText;
	U32 begin=0;
	U32 len=0;
	int tempcp;
	int i;
	int annotationflag=0;
	field_info *tempfields;
	chp achp;
	int nopieces;
	U32 *avalrgfc;
	U32 *rgfc;
	U16 *sprm;
	U32 clxcount;
	U32 fcvalue;
	pap indentpap;
	int anyendnotes=0;
	
	flushbreaks(0);
	init_pap(&indentpap);
	do_indent(&indentpap);

	if (noheaders)
		return(0);

	if (header == 0)
		{
		error(erroroutput,"doing endnotes page number is %d\n",pagenumber);

		for (i=0;i<portions->list_end_no;i++)
			{
			decode_endnote(&begin,&len,portions,i);

			if ((begin != -1) && (len != -1))
				{
				if (anyendnotes==0)
					fprintf(outputfile,"\n<br><img src=\"%s/endnotebegin.gif\"><br>\n",patterndir());
				anyendnotes=1;
				init_chp(&achp);
				decode_s_chp(&achp,fontnamelist);
				error(erroroutput,"beginning endnote\n");
				fprintf(outputfile,"<p>");
				/*test*/
				fprintf(outputfile,"<font color=#330099>");
				inafont=1;
				inacolor=1;
				strcpy(incolor,"#330099");
				/*end test*/
				if (!insuper)
					{
					fprintf(outputfile,"<sup>");
					insuper=2;
					}
				fprintf(outputfile,"<a name=\"end%d\">",i);

				if (portions->endFRD[i] > 0)
					{
					fprintf(outputfile,"%d",portions->endFRD[i]);
					fprintf(outputfile,"</A>");
					if (insuper==2)
						fprintf(outputfile,"</sup>");
					}
				else
					footnotehack=1;
				/*dont handling custom footnotes this way*/

				headerpos = ftell(mainfd);
				oldccpText = portions->ccpText;
				header++;

				fseek(tablefd,fcClx,SEEK_SET);
				getc(tablefd);
				nopieces = get_piecetable(tablefd,&rgfc,&avalrgfc,&sprm,&clxcount);
				
				fcvalue = get_fc_from_cp(oldccpText+portions->ccpFtn+portions->ccpHdd+portions->ccpAtn+begin,rgfc,avalrgfc,nopieces);

				free(rgfc);
				free(avalrgfc);
				free(sprm);
				error(erroroutput,"footer fcvalue is %x, old one would be %x\n",fcvalue,portions->fcMin+oldccpText+begin);
				tempcp=cp;
				portions->ccpText = len;
				cp=begin;
				tempfields = all_fields[0];
				all_fields[0] = all_fields[4];
				realcp = oldccpText+portions->ccpFtn+portions->ccpHdd+portions->ccpAtn;
				inaheaderfooter=1;
				/*temp line*/
				fseek(mainfd,fcvalue,SEEK_SET);
				decode_simple(mainfd,tablefd,data,fcClx,fcvalue,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,2);
				inaheaderfooter=0;
				if (footnotehack == 1)
					{
					fprintf(outputfile,"</A>");
					footnotehack=0;
					}
				all_fields[0] = tempfields;
				cp=tempcp;
				realcp = tempcp;
				fseek(mainfd,headerpos,SEEK_SET);
				portions->ccpText = oldccpText;
				header--;
				error(erroroutput,"ending endnote\n");
				}
			}
		
		portions->list_end_no=0; /*ready for next section endnotes*/

		
		
		init_chp(&achp);
		decode_s_chp(&achp,fontnamelist);
		}
	return(anyendnotes);
	}


int decode_simple_footer(FILE *mainfd,FILE *tablefd,FILE *data,sep *asep,U32 fcClx,U32 fcMin,U32 fcMac,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[4],list_info *a_list_info,style *sheet,textportions *portions,ffn *fontnamelist,int flag)
	{
	U32 headerpos;
	U32 oldccpText;
	U32 begin=0;
	U32 len=0;
	int tempcp;
	int i;
	int footnoteflag=0;
	int annotationflag=0;
	field_info *tempfields;
	chp achp;
	int nopieces;
	U32 *avalrgfc;
	U32 *rgfc;
	U16 *sprm;
	U32 clxcount;
	U32 fcvalue;
	pap indentpap;
	int ret=0;

	flushbreaks(0);
	init_pap(&indentpap);
	do_indent(&indentpap);

	if (noheaders)
		return;
	
	if (header == 0)
		{
		error(erroroutput,"doing footer page number is %d\n",pagenumber);

		for (i=0;i<portions->list_foot_no;i++)
			{
			decode_footnote(&begin,&len,portions,i);

			if ((begin != -1) && (len != -1))
				{
				init_chp(&achp);
				decode_s_chp(&achp,fontnamelist);
				if (footnoteflag == 0)
					{
					fprintf(outputfile,"\n<br><img src=\"%s/footnotebegin.gif\"><br>\n",patterndir());
					footnoteflag=1;
					}
				error(erroroutput,"beginning footnote\n");
				fprintf(outputfile,"<p>");
				/*test*/
				fprintf(outputfile,"<font color=#330099>");
				inafont=1;
				inacolor=1;
				strcpy(incolor,"#330099");
				/*end test*/
				if (!insuper)
					{
					fprintf(outputfile,"<sup>");
					insuper=2;
					}
				fprintf(outputfile,"<a name=\"foot%d\">",i);

				if (portions->fndFRD[i] > 0)
					{
					fprintf(outputfile,"%d",portions->fndFRD[i]);
					fprintf(outputfile,"</A>");
					if (insuper==2)
						fprintf(outputfile,"</sup>");
					}
				else
					footnotehack=1;
				/*dont handling custom footnotes this way*/

				headerpos = ftell(mainfd);
				oldccpText = portions->ccpText;
				header++;

				fseek(tablefd,fcClx,SEEK_SET);
				getc(tablefd);
				nopieces = get_piecetable(tablefd,&rgfc,&avalrgfc,&sprm,&clxcount);
				
				fcvalue = get_fc_from_cp(oldccpText+begin,rgfc,avalrgfc,nopieces);

				free(rgfc);
				free(avalrgfc);
				free(sprm);
				/*			
				fseek(mainfd,portions->fcMin+oldccpText+begin,SEEK_SET);
				*/
				error(erroroutput,"footer fcvalue is %x, old one would be %x\n",fcvalue,portions->fcMin+oldccpText+begin);
				tempcp=cp;
				portions->ccpText = len;
				cp=begin;
				tempfields = all_fields[0];
				all_fields[0] = all_fields[2];
				realcp = oldccpText+begin;
				inaheaderfooter=1;
				/*temp line*/
				fseek(mainfd,fcvalue,SEEK_SET);
				decode_simple(mainfd,tablefd,data,fcClx,fcvalue,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,2);
				inaheaderfooter=0;
				if (footnotehack == 1)
					{
					fprintf(outputfile,"</A>");
					footnotehack=0;
					}
				all_fields[0] = tempfields;
				cp=tempcp;
				realcp = tempcp;
				fseek(mainfd,headerpos,SEEK_SET);
				portions->ccpText = oldccpText;
				header--;
				error(erroroutput,"ending footnote\n");
				}
			}

		portions->list_foot_no=0; /*ready for next page footnotes*/
		if (footnoteflag != 0)
			{
			fprintf(outputfile,"\n<br><img src=\"%s/footnoteend.gif\"><br>\n",patterndir());
			}
			
		for (i=0;i<portions->list_anno_no;i++)
			{
			decode_footanno(&begin,&len,portions,i);
			
			init_chp(&achp);
			decode_s_chp(&achp,fontnamelist);

			if ((begin != -1) && (len != -1))
				{
				if (annotationflag == 0)
					{
					fprintf(outputfile,"\n<hr width=\"25%%\">\n");
					annotationflag=1;
					}
				error(erroroutput,"beginning annotation\n");
				/*test*/
				fprintf(outputfile,"<font color=#ff7777>");
				inafont=1;
				inacolor=1;
				strcpy(incolor,"#ff7777");
				/*end test*/
				if (!insuper)
					fprintf(outputfile,"<sup>");
				fprintf(outputfile,"<a name=\"anno%d\">",i);
				fprintf(outputfile,"anno%d",i);
				fprintf(outputfile,"</a>");
				if (!insuper)
					fprintf(outputfile,"</sup>");

				headerpos = ftell(mainfd);
				oldccpText = portions->ccpText;
				header++;

				fseek(tablefd,fcClx,SEEK_SET);
				getc(tablefd);
				nopieces = get_piecetable(tablefd,&rgfc,&avalrgfc,&sprm,&clxcount);
				
				fcvalue = get_fc_from_cp(oldccpText+portions->ccpFtn+portions->ccpHdd+begin,rgfc,avalrgfc,nopieces);

				free(rgfc);
				free(avalrgfc);
				free(sprm);
			/*	
				fseek(mainfd,portions->fcMin+oldccpText+portions->ccpFtn+portions->ccpHdd+begin,SEEK_SET);
			*/
				fseek(mainfd,fcvalue,SEEK_SET);
				tempcp=cp;
				portions->ccpText = len;
				cp=begin;
				tempfields = all_fields[0];
				all_fields[0] = all_fields[3];
				realcp = oldccpText+portions->ccpFtn+portions->ccpHdd+begin;
				decode_simple(mainfd,tablefd,data,fcClx,fcvalue,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,3);
				all_fields[0] = tempfields;
				cp=tempcp;
				realcp = tempcp;
				fseek(mainfd,headerpos,SEEK_SET);
				portions->ccpText = oldccpText;
				header--;
				error(erroroutput,"ending annotation\n");
				}
			}
		portions->list_foot_no=0; /*ready for next page footnotes*/
		decode_footer(&begin,&len,portions,asep);
		if ((begin != -1) && (len != -1))
			{
			init_chp(&achp);
			decode_s_chp(&achp,fontnamelist);
			headerpos = ftell(mainfd);
			oldccpText = portions->ccpText;
			header++;


			fseek(tablefd,fcClx,SEEK_SET);
			getc(tablefd);
			nopieces = get_piecetable(tablefd,&rgfc,&avalrgfc,&sprm,&clxcount);

			
			fcvalue = get_fc_from_cp(portions->ccpFtn+oldccpText+begin,rgfc,avalrgfc,nopieces);

			free(rgfc);
			free(avalrgfc);
			free(sprm);
			error(erroroutput,"standard footer, fcvalue is %x, old method %d\n",fcvalue,portions->fcMin+portions->ccpFtn+oldccpText+begin);
			
		/*	
			fseek(mainfd,portions->fcMin+portions->ccpFtn+oldccpText+begin,SEEK_SET);
		*/
	
			fseek(mainfd,fcvalue,SEEK_SET);
	
			tempcp=cp;
			portions->ccpText = len;
			cp=begin;
			tempfields=all_fields[0];
			all_fields[0] = all_fields[1];
			realcp = oldccpText+portions->ccpFtn+begin;
			
			decode_simple(mainfd,tablefd,data,fcClx,fcvalue,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,1);
			
			all_fields[0] = tempfields;
			cp=tempcp;
			realcp = tempcp;
			fseek(mainfd,headerpos,SEEK_SET);
			portions->ccpText = oldccpText;
			header--;
			error(erroroutput,"ending footer\n");
			}

		ret = 1;
		pagenumber++;
		sectionpagenumber++;
		init_chp(&achp);
		decode_s_chp(&achp,fontnamelist);
		}
	return(ret);
	}

void decode_simple_header(FILE *mainfd,FILE *tablefd,FILE *data,sep *asep,U32 fcClx,U32 fcMin,U32 fcMac,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[5],list_info *a_list_info,style *sheet,textportions *portions,ffn *fontnamelist,int flag)
	{
	U32 headerpos;
	U32 oldccpText;
	U32 begin=0;
	U32 len=0;
	int tempcp;
	int temprealcp;
	field_info *tempfields;
	int i;
	int nopieces;
	U32 *avalrgfc=NULL;
	U32 *rgfc=NULL;
	U16 *sprm=NULL;
	U32 fcvalue;
	U32 clxcount;

	if (noheaders)
		return;
	

	if (header == 0)
		{
		error(erroroutput,"doing header\n");
		for (i=0;i<1;i++)
			{
			if (i==0)
				decode_header(&begin,&len,portions,asep);
#if 0
			/*
			im ignoring this for now, i think this is
			a header textbox, so ill hold off on this 
			until i get it right
			*/
			else
				decode_header2(&begin,&len,portions);
#endif
				
			if ((begin != -1) && (len != -1))
				{
				
				fseek(tablefd,fcClx,SEEK_SET);
				getc(tablefd);
				nopieces = get_piecetable(tablefd,&rgfc,&avalrgfc,&sprm,&clxcount);
				

				headerpos = ftell(mainfd);
				oldccpText = portions->ccpText;
				header++;

				fcvalue = get_fc_from_cp(portions->ccpFtn+oldccpText+begin,rgfc,avalrgfc,nopieces);
			/*	
				fseek(mainfd,portions->fcMin+portions->ccpFtn+oldccpText+begin,SEEK_SET);
			*/
				
				fseek(mainfd,fcvalue,SEEK_SET);
			

				free(avalrgfc);
				free(rgfc);
				free(sprm);

				tempcp=cp;
				portions->ccpText = len;
				cp=begin;
				tempfields = all_fields[0];
				all_fields[0] = all_fields[1];
				error(erroroutput,"overall header begin is %x\n",portions->fcMin+oldccpText+portions->ccpFtn+begin);
				error(erroroutput,"fcvalue is %x\n, ordinary seek is %x",fcvalue,portions->fcMin+portions->ccpFtn+oldccpText+begin);
				temprealcp = realcp;
				realcp = oldccpText+portions->ccpFtn+begin;
				inaheaderfooter=1;
				decode_simple(mainfd,tablefd,data,fcClx,fcvalue,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,1);
				inaheaderfooter=0;
				all_fields[0] = tempfields;
				cp=tempcp;
				realcp = temprealcp;
				error(erroroutput,"after header realcp is %x\n",realcp);
				fseek(mainfd,headerpos,SEEK_SET);
				portions->ccpText = oldccpText;
				header--;
				error(erroroutput,"ending header\n");
				}
			}

		}
	}

void get_next_f_ref(textportions *portions,signed long *nextfootnote)
	{
	int i;
	if (portions->fndref_no > 0)
		{
		/*then there might be footnotes to look out for*/
		for(i=0;i<portions->fndref_no;i++)
			{
			error(erroroutput,"footnote blah %d, %ld, %ld",portions->fndFRD[i],*nextfootnote,portions->fndRef[i]);
			if ( (portions->fndFRD[i] <= 0) && (*nextfootnote < portions->fndRef[i]) )
				{
				/*not automatically numbered, so we have to look out for it manually*/
				*nextfootnote = portions->fndRef[i];
				error(erroroutput,"the next footnote is at cp %x\n",*nextfootnote);
				break;
				}
			}
		
		}
	}

void get_next_e_ref(textportions *portions,signed long *nextendnote)
	{
	int i;
	if (portions->endref_no > 0)
		{
		/*then there might be endnotes to look out for*/
		for(i=0;i<portions->endref_no;i++)
			{
			error(erroroutput,"endnote blah %d, %ld, %ld",portions->endFRD[i],*nextendnote,portions->endRef[i]);
			if ( (*nextendnote) < portions->endRef[i] )
				{
				/*not automatically numbered, so we have to look out for it manually*/
				*nextendnote = portions->endRef[i];
				error(erroroutput,"the next endnote is at cp %x\n",*nextendnote);
				break;
				}
			}
		
		}
	}

void decode_simple(FILE *mainfd,FILE *tablefd,FILE *data,U32 fcClx,U32 fcMin,U32 fcMac,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[5],list_info *a_list_info,style *sheet,textportions *portions,ffn *fontnamelist,int flag)
	{
	U32 arse;
	U32 nextfc=0;
	U32 tapfc1=0;
	
	U32 nextchpfc=0;
	U32 lastfc=0;
	U32 lastchpfc=0;
	U32 internalcp;
	U32 limitcp;
	pap *apap;
	chp *achp;
	sep *asep=NULL;
	pap *tappap= NULL;
	pap *temppap = NULL;
	chp *tempchp = NULL;
	int i,j;
	int letter;
	int tempfck;
	int newpage=1;
	U32 thisfc;
	U32 sepxfc;
	

	U32 *rgfc=NULL;
	U32 *avalrgfc=NULL;
	U32 temppiece;
	U16 *sprm=NULL;
	U32 clxcount=0;
	int nopieces;
	signed long nextfootnote=0;
	signed long nextendnote=0;

	U32 untilfc=0;

	int flag_8_16=0;

	int d_count=0;

	U32 nextpiece=0;

	int issection=1;

	U32 sepcp;

	U32 endbegin,endlen;

	int charsetflag=0;


	apap = NULL;
	achp = NULL;
	nextfc=fcMin;
	nextchpfc=fcMin;


	error(erroroutput,"all text begins %ld %x ends at %ld %x, main text ends at %ld %x\n",fcMin,fcMin,fcMac,fcMac,portions->ccpText+fcMin,portions->ccpText+fcMin);


	fseek(tablefd,fcClx,SEEK_SET);
	getc(tablefd);
		
	error(erroroutput,"begin simple fcClx is (%x)",fcClx);
	/*
	hmm, simple files can be start off in 8 bit and go to 16
	bit and vice versa, is so the piecetable can be used to determine these
	limits
	*/
	nopieces = get_piecetable(tablefd,&rgfc,&avalrgfc,&sprm,&clxcount);
	if (nopieces > 1)
		error(erroroutput,"ah shit!, buggering microsoft over-complex toolkits!!!!, theres NO call for this dumb *piece* technology anyway\n");

	/*
	right so this is to guess (over safely) whether to go into unicode mode or not for
	the full html document, if i get it wrong then well ill get away with it wih utf-8 encoding
	coz i believe as ms only uses 8 bit for west european languages as far as i can tell
	*/
	if (header==0)
		{
		i=0;
		while(i<nopieces)
			{
			if (avalrgfc[i] & 0x40000000UL)
				{
				/*
				flag_8_16=0;
				untilfc=fcMin+portions->ccpText;
				*/
				error(erroroutput,"hokay, simple text is ascii 8 bit stuff\n");
				}
			else
				{
				/*
				flag_8_16=1;
				untilfc=fcMin+portions->ccpText+portions->ccpText;
				*/
				error(erroroutput,"hokay, simple text is unicode 16 bit stuff\n");
				charsetflag=1;
				/*
				if (header == 0)
					{
					fprintf(outputfile,"\n<head>\n<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html;charset=utf-8\">\n</head>\n");
					break;
					}
				*/
				}
			i++;
			}
	
		if (charsetflag == 0)
			fprintf(outputfile,"\n<head>\n<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=iso-8859-1\">\n</head>\n");
		else
			fprintf(outputfile,"\n<head>\n<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html;charset=utf-8\">\n</head>\n");

		
		fprintf(outputfile,"<body>\n");
		}

	/*now we have a problem as some simple (hah!!!) docs can go from 16 bit text to 
	8 bit and vice versa depending on the piece table, so keep an eye on that
	so as to know how to twiddle the flags*/
	/*find the smallest piece greater than or equal to the realcp*/
	i=0;

	while(i<nopieces)
		{
		error(erroroutput,"realcp is %x, rgfc[i+1] is %x\n",realcp,rgfc[i+1]);
		if (rgfc[i+1] > realcp)
			{
			nextpiece = rgfc[i+1];
			if (avalrgfc[i] & 0x40000000UL)
				{
				flag_8_16=0;
				untilfc=fcMin+portions->ccpText;
				}
			else
				{
				flag_8_16=1;
				untilfc=fcMin+portions->ccpText+portions->ccpText;
				}
			break;
			}
		i++;
		}


	error(erroroutput,"end simple fcClx is (%x)",fcClx);

	error(erroroutput,"end fc is %x\n",fcMin+portions->ccpText);

	if ( (flag < 2) && (flag >0) )
		{
		untilfc=-1;  /*max it out for header/footers and rely on doubled 0x0d's*/
		limitcp=-1;
		}
	else
		limitcp=portions->ccpText;

	/*portions->cppText gives the amount of chars to handle*/
	i=fcMin;
	internalcp=0;


	error(erroroutput,"fcMin is %x,untilfc is %x, it would be %x, limitcp is %x, nextpiece is %x\n",fcMin,untilfc,untilfc-fcMin,limitcp,nextpiece);
	while(internalcp < limitcp)
		{
		error(erroroutput,"real cp is %x nextpiece is %x\n",realcp,nextpiece);
		if (nextpiece == realcp)
			{
			error(erroroutput,"have to get next piece for simple text mode\n");
			/*
			here we should actually do a seek to the fc, and see if this
			nextpiece thing is ok
			*/
			j=0;

			while(j<nopieces)
				{
				if (rgfc[j+1] > realcp)
					{
					nextpiece = rgfc[j+1];
					if (avalrgfc[j] & 0x40000000UL)
						flag_8_16=0;
						
					else
						flag_8_16=1;
						
					if (avalrgfc[j] & 0x40000000UL)
						{
						error(erroroutput,"THUS this fc is %x\n",(avalrgfc[j]&0xbfffffffUL)/2);
						thisfc = (avalrgfc[j]&0xbfffffffUL)/2;
						}
					else
						{
						error(erroroutput,"THUS fc is %x\n",avalrgfc[j]);
						thisfc = avalrgfc[j];
						}
					fseek(mainfd,thisfc,SEEK_SET);
					i = thisfc;
					/*force new paragraph and chp check*/
					nextfc=i;
					error(erroroutput,"SEEK: we're at %x, flag is %d\n",ftell(mainfd),flag_8_16);
					break;
					}
				j++;
				}
			}

		/*get the sep*/
		if (flag == 0)
			if (issection)
				{
				error(erroroutput,"getting sep, %x, piece is %d\n",realcp,i);
				sepxfc = find_FC_sepx(realcp,&sepcp,portions);
				asep = get_sep(sepxfc,mainfd);
				if (decode_simple_endnote(mainfd,tablefd,data,asep,fcClx,fcMin,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,flag))
					fprintf(outputfile,"\n<br><img src=\"%s/endnoteend.gif\"><br>\n",patterndir());
				if (pagenumber!=1)
					fprintf(outputfile,"\n<br><img src=\"%s/pagebreak.gif\"><br>\n",patterndir());
				issection=0;
				}
		
		/*
		go down through all the text, when we hit a new page spit out the 
		header
		*/
		error(erroroutput,"fc is %ld (%X)\n",i,i);
		if (newpage)
			{
			if (!inatable)
				{
				newpage=0;
				decode_simple_header(mainfd,tablefd,data,asep,fcClx,fcMin,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,flag);
				error(erroroutput,"end: flag is %d\n",flag);
				/*force new paragraph and chp check*/
				nextfc=i;
				}
			else
				deferrednewpage=1;
			}


		/*get the pap*/
		if (i == nextfc) 
			{
			lastfc = i;
			temppap = apap;
			tempfck = find_FKPno_papx(i,plcfbtePapx,intervals);
			if (tempfck != -1)
				{
				apap = get_pap(tempfck,mainfd,i,&nextfc,sheet,a_list_info);
				error(erroroutput,"next para is at %x\n",nextfc);
				}
			
			if (apap == NULL)
				{
				error(erroroutput,"found no pap, reverting to previous\n");
				apap = temppap;
				}
			else if (temppap != NULL)
				{
				/*last gasp of the pap*/
				end_para(temppap,apap);
				free(temppap);
				}
			else
				end_para(NULL,apap);

			/*if table set search for tap*/
			if (apap->fInTable)
				{
				tapfc1 = i;
				error(erroroutput,"we search for the tap here\n");
				error(erroroutput,"tappap nexts are %x, i is %x\n",tapfc1,i);
				do
					{
					error(erroroutput,"tappap nexts are %x\n",tapfc1);
					tempfck = find_FKPno_papx(tapfc1,plcfbtePapx,intervals);
					if (tempfck != -1)
						tappap = get_pap(tempfck,mainfd,tapfc1,&tapfc1,sheet,a_list_info);
					else
						break;
					}
				while( (tappap != NULL) && (!tappap->fTtp) );
				error(erroroutput,"finished search for the tap here\n");
				error(erroroutput,"no of cells is %d, %d\n",apap->ourtap.cell_no,tappap->ourtap.cell_no);
				/*
				at this stage tappap has the correct row structure stored in it
				that we want apap to have
				*/
				apap->ourtap = tappap->ourtap;
				}
			}

		/* get the chp, using the paps istd for a basis*/
		if ((i == nextchpfc) || (lastfc == i)) 
			{
			lastchpfc=i;
			error(erroroutput,"looking for chp\n");
			tempchp = achp;
			tempfck = find_FKPno_chpx(i,plcfbteChpx,chpintervals);
			if (tempfck != -1)
				achp = get_chp(tempfck,mainfd,data,i,&nextchpfc,sheet,apap->istd);

			if (achp == NULL)
				{
				error(erroroutput,"found no chp, reverting to previous\n");
				achp = tempchp;
				}
			else if (tempchp != NULL)
				free(tempchp);

			if (achp->color[0] == '\0')
				{
				if (flag == 1)
					{
					strcpy(achp->color,"#7f5555");
					error(erroroutput,"color set\n");
					}
				else if (flag == 2)
					{
					strcpy(achp->color,"#330099");
					error(erroroutput,"color set\n");
					}
				else if (flag == 3)
					{
					strcpy(achp->color,"#ff7777");
					error(erroroutput,"color set\n");
					}
				else 
					{
					error(erroroutput,"color not set\n");
					}
				}

			error(erroroutput,"the next char lim is %d (%x)\n",nextchpfc,nextchpfc);
			
			decode_e_list(apap,achp,a_list_info);
			decode_e_chp(achp);
			}
			
		/*after we have a new pap, do the special codes*/
		if (lastfc == i)
			{
			decode_e_specials(apap,achp,a_list_info);
			decode_e_table(apap,achp,a_list_info);
			decode_s_table(apap,achp,a_list_info);
			decode_s_specials(apap,achp,a_list_info);
			decode_s_chp(achp,fontnamelist);
			}

		if (lastchpfc == i) 
			{
			decode_s_chp(achp,fontnamelist);
			lastchpfc = 0;
			}


		if (flag_8_16)
			letter = read_16ubit(mainfd);
		else
			letter = getc(mainfd);


		if (lastfc == i)
			{
			if ( ((letter != 12) && (letter != 13))  )
				{
				error(erroroutput,"doing list and next letter is %c %x\n",letter,letter);
				decode_s_list(apap,achp,a_list_info,fontnamelist,DONTIGNORENUM);
				}
			else
				error(erroroutput,"a special list\n");
				
				
			lastfc = 0;
			}

		if (flag)
			{
			if (letter == 13)
				{
				/*
				headers and footers seem to continue until 2 0x0d are reached, they dont
				appear after all to go until the len derived from the header table
				like i thought originally.
				*/
				d_count++;
				if (d_count == 2)
					break;
				}
			else
				d_count=0;
			}


		if ( (cp == nextfootnote) && (flag == 0) ) 
			{
			decode_f_reference(portions);
			get_next_f_ref(portions,&nextfootnote);
			}

		if ( (cp == nextendnote) && (flag == 0) ) 
			{
			decode_e_reference(portions);
			get_next_e_ref(portions,&nextendnote);
			}

		newpage = decode_letter(letter,flag_8_16,apap,achp,all_fields[0],mainfd,data,fontnamelist,a_list_info,portions,&issection);

		if (newpage)
			{
			error(erroroutput,"this one\n");
			/*if we are in a table defer the pagebreaking until after the end of the row, and then pagebreak*/

			if ((inatable)  && newpage == 2)
				{
				/*in this case we have ended a row, so we should take the opportunity to halt the table*/
				fprintf(outputfile,"\n</table>\n");
				inatable=0;
				newpage=1;
				}
			
			if ((!inatable) && (newpage == 1))
				{
				decode_simple_footer(mainfd,tablefd,data,asep,fcClx,fcMin,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,flag);
				if (!issection)
					fprintf(outputfile,"\n<br><img src=\"%s/pagebreak.gif\"><br>\n",patterndir());
				}
			else if (newpage == 1)
				deferrednewpage=1;
				
			}


			
		if (flag_8_16)
			i+=2;
		else
			i++;
		internalcp++;
		}

	if (apap == NULL)
		{
		apap = (pap *)malloc(sizeof(pap));
		if (apap == NULL)
			return;
		}
#if 0	
	apap->istd = 0;
	apap->ilvl=-1;
	apap->tableflag=0;
#endif
	init_pap(apap);
	decode_e_list(apap,achp,a_list_info);
	decode_e_specials(apap,achp,a_list_info);
	decode_e_table(apap,achp,a_list_info);

	if (!newpage)
		{
		error(erroroutput,"the other one\n");
		decode_simple_footer(mainfd,tablefd,data,asep,fcClx,fcMin,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,flag);
		if (decode_simple_endnote(mainfd,tablefd,data,asep,fcClx,fcMin,fcMac,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,flag))
			fprintf(outputfile,"\n<br><img src=\"%s/endnoteend.gif\"><br>\n",patterndir());
		}
	}


void decode_header(U32 *begin,U32 *len,textportions *portions,sep *asep)
	{
	/*i dont know how these fields are working as of yet, the
	docs seem to be a bit dodgy*/
	int odd;
	int val,tval;
	*begin = -1;
	*len= -1;


	/*is this the first page of a section*/
	if ((sectionpagenumber==asep->pgnStart) && (asep->fTitlePage))
		{
		error(erroroutput,"checking for page 1 special header\n");
		if (portions->headercpno > 10)
			if (portions->headercplist[11] > portions->headercplist[10])
				{
				*begin = portions->headercplist[10];
				*len = portions->headercplist[11]-portions->headercplist[10];
				error(erroroutput,"header begin is %x end is %x\n",portions->headercplist[11],portions->headercplist[10]);
				return;
				}
		if (asep->fTitlePage)
			return;
				
		/*crazed bit of logic here :-)*/
		if (portions->headercpno > 13)
			if (portions->headercplist[portions->headercpno-1] > (portions->headercplist[10]+3))
				return;
		}
	
	/*if nothing was found continue, and pull out ordinary header*/

	if ((sectionpagenumber/2)*2 == sectionpagenumber)
		odd=0;
	else 
		odd=1;

	*len=0;


	/*if index 8 is larger than index 7 i think thats the boundaries
	of header for all pages*/

	tval = 6+(6*(sectionno-1)); /*hairy test*/

	val = tval;
	error(erroroutput,"header val is %d, odd is %d, pagenumber is %d\n",val,odd,pagenumber);

	if (!odd)
		{
		while ((*len==0) && (val>0))
			{
			if (portions->headercpno > val)
				{
				if (portions->headercplist[val+1] > portions->headercplist[val])
					{
					*begin = portions->headercplist[val];
					*len = portions->headercplist[val+1]-portions->headercplist[val];
					error(erroroutput,"header begin is %x end is %x\n",portions->headercplist[val],portions->headercplist[val+1]);
					}
				}
			else
				error(erroroutput,"well arse!!!, ive got the wrong idea about headers\n");
			val-=6;
			}
		}

	val=tval;
	
	if ((odd) || (*len == 0))
		{
		while ((*len==0) && (val>0))
			{
			if (portions->headercpno > val+1)
				{
				error(erroroutput,"val is %d headercplist[val+2] %x headercplist[val+1] %x\n",val,portions->headercplist[val+2],portions->headercplist[val+1]);
				if (portions->headercplist[val+2] > portions->headercplist[val+1])
					{
					*begin = portions->headercplist[val+1];
					*len = portions->headercplist[val+2]-portions->headercplist[val+1];
					error(erroroutput,"this header begin is %x end is %x\n",portions->headercplist[val+1],portions->headercplist[val+2]);
					}
				}
			else
				error(erroroutput,"well arse!!!, ive got the wrong idea about headers\n");
			val-=6;
			}
		}

	}

void decode_header2(U32 *begin,U32 *len,textportions *portions)
	{

	/*
	this is just a hacked together function, i have no basis for
	this at all except thats the output that word gets, dunno at all
	about this, im not seeing something obvious somewhere, hmm
	*/

	/*i dont know how these fields are working as of yet, the
	docs seem to be a bit dodgy*/
	*begin = -1;
	*len= -1;

	/*is this the first page of a section*/
	if (sectionpagenumber==1)
		return;
	
	/*if index 8 is larger than index 7 i think thats the boundaries
	of header for all pages*/
	if (portions->headercpno > 12)
		if (portions->headercplist[13] > portions->headercplist[12])
			{
			*begin = portions->headercplist[12];
			*len = portions->headercplist[13]-portions->headercplist[12];
			error(erroroutput,"header begin is %x end is %x\n",portions->headercplist[12],portions->headercplist[13]);
			}
	else
		error(erroroutput,"well arse!!!, ive got the wrong idea about headers\n");

	}


void decode_endnote(U32 *begin,U32 *len,textportions *portions,int i)
	{
	error(erroroutput,"endnote cp begin is %x end is %x\n",portions->endTxt[i],portions->endTxt[i+1]);
	*begin = portions->endTxt[i];
	*len = portions->endTxt[i+1]-*begin;
	}

void decode_footnote(U32 *begin,U32 *len,textportions *portions,int i)
	{
	error(erroroutput,"footnote cp begin is %x end is %x\n",portions->fndTxt[i],portions->fndTxt[i+1]);
	*begin = portions->fndTxt[i];
	*len = portions->fndTxt[i+1]-*begin;
	}

void decode_footanno(U32 *begin,U32 *len,textportions *portions,int i)
	{
	error(erroroutput,"annotation cp begin is %x end is %x\n",portions->andTxt[i],portions->andTxt[i+1]);
	*begin = portions->andTxt[i];
	*len = portions->andTxt[i+1]-*begin;
	}

void decode_footer(U32 *begin,U32 *len,textportions *portions,sep *asep)
	{
	/*i dont know how these fields are working as of yet, the
	docs seem to be a bit dodgy*/
	int odd;
	int val,tval;
	*begin = -1;
	*len= -1;
	
	error(erroroutput,"pagenumber is %d,sectionpagenumber is %d, pgnStart is %d, title is %d\n",pagenumber, sectionpagenumber,asep->pgnStart,asep->fTitlePage);

	if ((sectionpagenumber==asep->pgnStart) && (asep->fTitlePage))
		{
		error(erroroutput,"checking for page 1 special footer\n");
		if (portions->headercpno > 12)
			{
			if (portions->headercplist[12] > portions->headercplist[11])
				{
				*begin = portions->headercplist[11];
				*len = portions->headercplist[12]-portions->headercplist[11];
				fprintf(outputfile,"\n<hr width=\"50%%\">\n");
				error(erroroutput,"header begin is %x end is %x\n",portions->headercplist[12],portions->headercplist[11]);
				return;
				}
			}
		if (asep->fTitlePage)
			return;

		/*crazed bit of logic here :-)*/
		if (portions->headercpno > 14)
			if (portions->headercplist[portions->headercpno-1] > (portions->headercplist[11]+3))
				return;
		}

	/*else contunue down the wire*/
	/*
	if its an odd page look at that, return the appropiate portion,
	if that is 0 len then return the even*/
	/*if index 10 is larger than index 9 i think thats the boundaries
	of header for odd(or all) pages*/


	if ((sectionpagenumber/2)*2 == sectionpagenumber)
		odd=0;
	else 
		odd=1;

/*
	fprintf(outputfile,"\n<hr width=\"50%%\">\n");
*/

	*len=0;

	tval = 8+ ((sectionno-1)*6);

	error(erroroutput,"odd is %d, section no is %d, tval is %d, *len is %d\n",odd,sectionno,tval,*len);

	val=tval;
	if (!odd)
		{
		while ((*len == 0) && (val > 0))
			{
			if (portions->headercpno > val)
				{
				if (portions->headercplist[val+1] > portions->headercplist[val])
					{
					*begin = portions->headercplist[val];
					*len = portions->headercplist[val+1]-portions->headercplist[val];
					fprintf(outputfile,"\n<hr width=\"50%%\">\n");
					error(erroroutput,"even begin is %x end is %x\n",portions->headercplist[val],portions->headercplist[val+1]);
					}
				}
			else
				error(erroroutput,"well arse!!!, ive got the wrong idea about footers val %d\n",portions->headercpno);
			val-=6;
			}
		}

	val = tval;

	if ( (odd) || (*len == 0))
		{
		while ((*len == 0) && (val > 0))
			{
			if (portions->headercpno > val+1)
				{
				if (portions->headercplist[val+2] > portions->headercplist[val+1])
					{
					*begin = portions->headercplist[val+1];
					*len = portions->headercplist[val+2]-portions->headercplist[val+1];
					fprintf(outputfile,"\n<hr width=\"50%%\">\n");
					error(erroroutput,"odd begin is %x end is %x\n",portions->headercplist[val+1],portions->headercplist[val+2]);
					}
				}
			else
				error(erroroutput,"well arse!!!, ive got the wrong idea about footers val %d\n",portions->headercpno);
			val-=6;
			}
		}
		
	}


void decode_s_chp(chp *achp, ffn *fontnamelist)
	{
	ffn *tempfont;
	int i;
	error(erroroutput,"in start chp\n");
	if (chps)
		return;
	error(erroroutput,"still in start chp\n");
	error(erroroutput,"incolor is %s,font =%d, current font is %d, currentfont is %d, achpfont is %d\n", incolor,achp->fontsize,currentfontsize,currentfontcode,achp->ascii_font);

	if ((use_fontfacequery(achp) && (achp->ascii_font != currentfontcode)) || (achp->fontsize!=currentfontsize) || (strcmp(achp->color,incolor)) /* ( (achp->color[0] != '\0') && (!inacolor))  || ( (achp->color[0] == '\0' ) && (inacolor))*/   )
		{
		error(erroroutput,"b: font =%d %s\n", achp->fontsize,achp->color);
		if (inunderline)
			{
			fprintf(outputfile,"</U>");
			inunderline=0;
			}
		if (initalic)
			{
			fprintf(outputfile,"</I>");
			initalic=0;
			}
		if (inbold)
			{
			fprintf(outputfile,"</B>");
			inbold=0;
			}
		if (inblink)
			{
			fprintf(outputfile,"</BLINK>");
			inblink=0;
			}
		if (inafont)
			{
			inacolor=0;
			incolor[0] = '\0';
			fprintf(outputfile,"</font>");
			currentfontsize=NORMAL;
			inafont=0;
			}

		if ( (achp->color[0] != '\0') || (achp->fontsize!=currentfontsize) || ((use_fontfacequery(achp) && (achp->ascii_font != currentfontcode))))
			{
			fprintf(outputfile,"<font ");
			if ( (((achp->fontsize/2)-NORMAL/2) != 0) && (achp->fontsize!=NORMAL))
				{
				fprintf(outputfile,"size = \"%+d\" ", (achp->fontsize/2)-NORMAL/2);
				inafont=1;
				}

			if (achp->color[0] != '\0')
				{
				fprintf(outputfile,"color=\"%s\"", achp->color);
				inafont=1;
				inacolor=1;
				}

			strcpy(incolor,achp->color);

			if (use_fontfacequery(achp))
				{
				/*do diggery pokery to get fontface*/
				tempfont = get_fontnamefromcode(fontnamelist,achp->ascii_font, &i);
				if (tempfont != NULL)
					{
					if (!strcmp(tempfont->name,"Times New Roman"))
						fprintf(outputfile," face=\"%s,%s\"",tempfont->name,"Times");
					else if (!strcmp(tempfont->name,"Courier New"))
						fprintf(outputfile,"face=\"%s,%s\"",tempfont->name,"Courier");
					else 
						fprintf(outputfile,"face=\"%s,%s\"",tempfont->name,"Helvetica");
					}
				inafont=1;
				}

			/*set currentfontface to this chps*/
			currentfontcode = achp->ascii_font;

			fprintf(outputfile,">");
			currentfontsize=achp->fontsize;
			}
		}


	if ((achp->supersubscript == 1) && (!insuper))
		{
		error(erroroutput,"superscript begins\n");
		fprintf(outputfile,"<SUP>");
		insuper=1;
		}

	if ((achp->supersubscript == 2) && (!insub))
        {
        error(erroroutput,"subscript begins\n");
        fprintf(outputfile,"<SUB>");
        insub=1;
        }

	error(erroroutput,"bold is %d\n",achp->fBold);

	if ((achp->animation) && (inblink == 0))
		{
		fprintf(outputfile,"<BLINK>");
		inblink=1;
		}

	if ((achp->fBold) && (inbold == 0))
		{
		fprintf(outputfile,"<B>");
		inbold=1;
		}
	
	if ((achp->fItalic) && (initalic==0))
		{
		fprintf(outputfile,"<I>");
		initalic=1;
		}


	if ((achp->underline) && (inunderline == 0))
		{
		fprintf(outputfile,"<U>");
		inunderline=1;
		}
	}

void end_para(pap *apap,pap *newpap)
	{
	int height = 0;

	if (apap != NULL)
		{
		height = (apap->brcBottom>>24)&0x1f;
		error(erroroutput,"-->border depth is %d\n",height);
		
		if (newpap != NULL)
			{
			if (apap->brcLeft == newpap->brcLeft)
				if (apap->brcRight == newpap->brcRight)
					if (apap->fInTable == newpap->fInTable)
						if (apap->dxaWidth == newpap->dxaWidth)
							height = (apap->brcBetween>>24)&0x1f;	
			}
		}
	
	if (height > 1)
		{
		if (flushbreaks(0))
			{
			error(erroroutput,"<!--new paragraph-->");
			do_indent(apap);
			}
		fprintf(outputfile,"\n<img width=1 height=%d src=\"%s/clear.gif\"><br>\n",height*2,patterndir());
		}

	if (apap != NULL)
		{
		if (apap->dyaAfter > 0)
			{
			if (flushbreaks(0))
				{
				error(erroroutput,"<!--new paragraph-->");
				do_indent(apap);
				}
			fprintf(outputfile,"\n<img width=1 height=%d src=\"%s/clear.gif\"><br>\n",apap->dyaAfter/TWIRPS_PER_V_PIXEL,patterndir());
			}
		}

	if (newpap != NULL)
		{
		if (newpap->dyaBefore > 0)
			{
			if (flushbreaks(0))
				{
				error(erroroutput,"<!--new paragraph-->");
				do_indent(newpap);
				}
			fprintf(outputfile,"\n<img width=1 height=%d src=\"%s/clear.gif\"><br>\n",newpap->dyaAfter/TWIRPS_PER_V_PIXEL,patterndir());
			}
		}
	}

void decode_e_chp(chp *achp)
	{
	int colorflag=0;
	error(erroroutput,"in end chp\n");
	if (chps)
		return;

	if ((inunderline== 1) && (achp->underline == 0))
		{
		inunderline=0;
		fprintf(outputfile,"</U>");
		}

	if ((initalic == 1) && (achp->fItalic == 0))
		{
		if (inunderline== 1)
			{
			inunderline=0;
			fprintf(outputfile,"</U>");
			}
		initalic=0;
		fprintf(outputfile,"</I>");
		}

	if ((inbold==1) && (!achp->fBold))
		{
		if (inunderline== 1)
			{
			inunderline=0;
			fprintf(outputfile,"</U>");
			}
		if (initalic == 1)
			{
			initalic=0;
			fprintf(outputfile,"</I>");
			}
		inbold=0;
		fprintf(outputfile,"</B>");
		}

	if ((inblink ==1) && (!achp->animation))
		{
		if (inunderline== 1)
			{
			inunderline=0;
			fprintf(outputfile,"</U>");
			}
		if (initalic == 1)
			{
			initalic=0;
			fprintf(outputfile,"</I>");
			}
		if (inbold== 1)
			{
			inbold=0;
			fprintf(outputfile,"</B>");
			}
		fprintf(outputfile,"</BLINK>");
		}

	if ((insuper) && (achp->supersubscript != 1))
		{
		insuper=0;
		if (footnotehack==1)
			{
			fprintf(outputfile,"</a>");
			footnotehack=0;
			}
		fprintf(outputfile,"</SUP>");
		}

	if ((insub) && (achp->supersubscript != 2))
		{
		insub=0;
		fprintf(outputfile,"</SUB>");
		}


	error(erroroutput,"the color is %s, %s\n",achp->color,incolor);
/*
	if ((inacolor) && (achp->color[0] == '\0'))
		colorflag=1;
	else*/
	if (strcmp(achp->color,incolor)) 
		colorflag=1;
		/*
	else if (achp->color[0] != '\0')
		if (incolor && (0 != strcmp(achp->color,incolor)) ) 
			colorflag=1;
		*/

	error(erroroutput,"inafont is %d\n,currentfontcode is %d\n,achpfntcode is %d, color flag iss %d\n",inafont,currentfontcode,achp->ascii_font,colorflag);

	if ( ((inafont) && (achp->fontsize!=currentfontsize)) || colorflag || (currentfontcode != achp->ascii_font))
		{
		error(erroroutput,"font ended\n");
		if (inunderline== 1)
			{
			inunderline=0;
			fprintf(outputfile,"</U>");
			}
		if (initalic == 1)
			{
			initalic=0;
			fprintf(outputfile,"</I>");
			}
		if (inbold == 1)
			{
			inbold=0;
			fprintf(outputfile,"</B>");
			}
		if (inblink == 1)
			{
			inblink=0;
			fprintf(outputfile,"</BLINK>");
			}
		if (inafont)
			{
			fprintf(outputfile,"</FONT>");
			incolor[0] = '\0';
			currentfontcode=-1;
			}
		inafont =0;
		inacolor=0;
		currentfontsize=NORMAL;
		}
	error(erroroutput,"left end chp sucessfully\n");
	}

void decode_annotation(textportions *portions, FILE *main)
	{
	int i;
	/*
	search in the first thing for the cp of this
	reference.
	*/
	i=0;
	while(i<portions->andref_no)
		{
		if (portions->andRef[i] == cp)
			{
			error(erroroutput,"found correct anno ref pos at %x, index was %d\n",portions->andRef[i],i);
			if (!insuper)
				fprintf(outputfile,"<sup>");
			fprintf(outputfile,"<a href=\"#anno%d\">anno%d</a>",i,i);
			if (!insuper)
				fprintf(outputfile,"</sup>");
			break;
			}
		i++;
		}

	/*part deux*/
	/*
	now to hold off to the very end any spray them all out, or at the end of every page.
	ill do the latter for the moment
	*/
	if ( (i < portions->andref_no ) && (i < 256) )
		portions->list_annotations[portions->list_anno_no++] = i;
	else if (i >= 256)
		fprintf(erroroutput,"oops silly programmer :-) lost an annotation\n");
	}

void decode_e_reference(textportions *portions)
	{
	int i;
	error(erroroutput,"endnotes\n");
	/*
	search in the first thing for the cp of this
	reference, then use this index into the second
	one to determine what text to use ?
	*/
	i=0;
	while(i<portions->endref_no)
		{
		if (portions->endRef[i] == cp)
			{
			error(erroroutput,"found correct ref pos at %x, index was %d\n",portions->endRef[i],i);
			if (portions->endFRD[i] > 0)
				{
				if (!insuper)
					{
					fprintf(outputfile,"<sup>");
					insuper=2;
					}
				error(erroroutput,"is autonumbered <%d>\n",portions->endFRD[i]);
				fprintf(outputfile,"<a href=\"#end%d\">%d</a>",i,portions->endFRD[i]);
				}
			else
				{
				error(erroroutput,"is custom <%d>\n",portions->endFRD[i]);
				/*dont handling custom footnotes the same way*/
				fprintf(outputfile,"<a href=\"#end%d\">",i);
				footnotehack=1;
				}
			if (insuper==2)
				fprintf(outputfile,"</sup>");
			break;
			}
		error(erroroutput,"conpared given pos %x and ref list %x",cp,portions->endRef[i]);
		i++;
		}

	/*
	now to hold off to the end of the page, before listing the references
	off
	*/
	if ( (i < portions->endref_no ) && (i < 256) )
		portions->list_endnotes[portions->list_end_no++] = i;
	else if (i >= 256)
		fprintf(erroroutput,"oops silly programmer :-) lost a endnote\n");
	}

void decode_f_reference(textportions *portions)
	{
	int i;
	error(erroroutput,"footnotes\n");
	/*
	search in the first thing for the cp of this
	reference, then use this index into the second
	one to determine what text to use ?
	*/
	i=0;
	while(i<portions->fndref_no)
		{
		if (portions->fndRef[i] == cp)
			{
			error(erroroutput,"found correct ref pos at %x, index was %d\n",portions->fndRef[i],i);
			if (portions->fndFRD[i] > 0)
				{
				if (!insuper)
					{
					fprintf(outputfile,"<sup>");
					insuper=2;
					}
				error(erroroutput,"is autonumbered <%d>\n",portions->fndFRD[i]);
				fprintf(outputfile,"<a href=\"#foot%d\">%d</a>",i,portions->fndFRD[i]);
				}
			else
				{
				error(erroroutput,"is custom <%d>\n",portions->fndFRD[i]);
				/*dont handling custom footnotes the same way*/
				fprintf(outputfile,"<a href=\"#foot%d\">",i);
				footnotehack=1;
				}
			if (insuper==2)
				fprintf(outputfile,"</sup>");
			break;
			}
		error(erroroutput,"conpared given pos %x and ref list %x",cp,portions->fndRef[i]);
		i++;
		}

	/*
	now to hold off to the end of the page, before listing the references
	off
	*/
	if ( (i < portions->fndref_no ) && (i < 256) )
		portions->list_footnotes[portions->list_foot_no++] = i;
	else if (i >= 256)
		fprintf(erroroutput,"oops silly programmer :-) lost a footnote\n");
	}


/*
letter logic:
	in comes letter, check the font stuff, if its some fonts it appears
	to be fSpec by default, then run through the fSpec code , then
	if it gets through that then if its a special font decode the char
	otherwise run it through the ordinary letter handling
*/

int decode_letter(int letter,int flag,pap *apap, chp * achp,field_info *magic_fields,FILE *main,FILE *data,ffn *fontnamelist,list_info *a_list_info,textportions *portions, int *issection)
	{
	int ret=0;
	int i,j;
	static U8 fieldwas=-1;
	static fieldeater=0;
	static long int swallowcp1=-1,swallowcp2=-1;
	static int spacecount;
	static int tabstop;
	static int silent=0;
	float tabbing;
	ffn *tempfont;
	time_t timep;
	struct tm *times;
	char date[1024];
	char *fontname=NULL;
	int fSpecflag=0;
	U16 temp=0;
	static obj_by_spid *picblips=NULL;
	obj_by_spid *tempblip;
	char *tempname;
	char *messy;

	long pictureoffset;
	U32 picturelen;
	U16 datatype;
	
	U8 target[7];
	int len;

	chp tempchp;

	int temp2;

	cellempty--;

	if  (letter != 13 || achp->fontcode !=0 ) 
		{
		if (flushbreaks(0))
			{
			error(erroroutput,"<!--new paragraph-->");
			do_indent(apap);
			}
		}

	if (fontnamelist != NULL)
		{
		if ( (achp->fontcode !=0) && (letter > 34) ) 
			{
			error(erroroutput,"asked for nonstandard font %d\n",achp->fontcode);
#if 0
			i=0;
			tempfont = fontnamelist;
			while (i < achp->fontcode)
				{
				tempfont = tempfont->next;
				if (tempfont == NULL)
					break;
				i++;
				}
#endif
			tempfont = get_fontnamefromcode(fontnamelist,achp->fontcode,&i);
			if (tempfont == NULL)
				{
				error(erroroutput,"warning!! fontcode incorrect, abandoning\n");
				return(0);
				}

			error(erroroutput,"i is %d and font is %s\n",i,tempfont->name);
			if (i == achp->fontcode)
				{
				if (!(strcmp("Symbol",tempfont->name)))
					{
					error(erroroutput,"must use symbol font for this letter\n");
					if (decode_symbol(achp->fontspec))
						{
						cp++;
						realcp++;
						return(ret);
						}
					}
				else if (!(strcmp("Wingdings",tempfont->name)))
					{
					error(erroroutput,"must use wingding font for this letter %c\n",letter);
					if (decode_wingding(achp->fontspec))
						{
						cp++;
						realcp++;
						return(ret);
						}
					}
				}
			}
		else 
			{
#if 0
			i=0;
			tempfont = fontnamelist;
			while (i < achp->ascii_font)
				{
				tempfont = tempfont->next;
				if (tempfont == NULL)
					break;
				i++;
				}
#endif
			tempfont = get_fontnamefromcode(fontnamelist,achp->ascii_font,&i);
			error(erroroutput,"i is %d and font is %s\n",i,tempfont->name);
			if ( (i == achp->ascii_font) && (letter > 34) ) 
				{
				if (!(strcmp("Symbol",tempfont->name)))
					{
					error(erroroutput,"must use symbol font for this letter here\n");
					fontname=tempfont->name;
					if (achp->fSpec==0)
						{
						achp->fSpec=1;
						fSpecflag=1;
						}
					}
				else if (!(strcmp("Wingdings",tempfont->name)))
					{
					error(erroroutput,"must use wingding font for this letter here %d fontcode is %d\n",letter,achp->fontcode);
					fontname=tempfont->name;
					if (achp->fSpec==0)
						{
						achp->fSpec=1;
						fSpecflag=1;
						}
					}
				}

			}
		}

	error(erroroutput,"cp is %x (%x) Trealcp is %x\n",cp,letter,realcp);
	if ( ( (fieldeater == 2) && (letter != 0x20) ) || ( (fieldeater > 0) && (letter == 0x20) ))
		{
		fieldeater--;
		if (fieldeater == 0)
			silent=0;
		}
	/*
	else if ((cp >= swallowcp1) && (cp < swallowcp2))
	*/
	else if ((cp > swallowcp1) && (cp < swallowcp2))
		{
		error(erroroutput,"swallowing %c\n",letter);
		}
	else
		{
		if ((letter != 32) && (spacecount == 1))
			{
			if (achp->underline == 2)
				{
				temp = achp->underline;
				achp->underline=0;
				decode_e_chp(achp);
				decode_s_chp(achp,fontnamelist);
				}
			oprintf(silent," ");
			if (temp == 2)
				{
				achp->underline=temp;
				decode_e_chp(achp);
				decode_s_chp(achp,fontnamelist);
				}
			spacecount=0;
			tabstop++;
			}
		else if (letter != 32) 
			{
			if (i>0)
				{
				if (achp->underline == 2)
					{
					temp = achp->underline;
					achp->underline=0;
					decode_e_chp(achp);
					decode_s_chp(achp,fontnamelist);
					}
				for (i=0;i<spacecount;i++)
					{
					if (padding < 3)
						oprintf(silent,"&nbsp;");
					tabstop++;
					}
				if (temp == 2)
					{
					achp->underline=temp;
					decode_e_chp(achp);
					decode_s_chp(achp,fontnamelist);
					}
				}
			spacecount=0;
			}


		tabstop++;

		if (achp->fSpec==1)
			{
			switch (letter)
				{
				case 0:
					fprintf(outputfile,"%d",pagenumber);
					error(erroroutput,"pagenumber is now %d\n",pagenumber);
					break;
				case 1:
					if ((achp->fData == 0) && (achp->fOle2 == 0))
						{
						error(erroroutput,"handle picture\n");
						error(erroroutput,"IN THIS CASE data offset is %x, ole2 is %x\n",achp->fcPic,achp->fOle2);

						pictureoffset = get_picture_header(achp->fcPic,data,&picturelen,&datatype);
						error(erroroutput,"the offset is %x, the len is %d\n",pictureoffset,picturelen);
						if (datatype != 0x6400)
							error(erroroutput,"data type isnt office draw, its %d (%x) ignoring\n",datatype,datatype);
						else
							{
							if (picblips != NULL)
								error(erroroutput,"here we have %s\n",picblips->filename);
							else
								error(erroroutput,"here we have NULL\n");
							fflush(outputfile);
							picblips = get_blips(pictureoffset,picturelen,data,data,&temp2,0x01,&picblips);
							tempblip = picblips;
							if (tempblip == NULL)
								error(erroroutput,"tempblip is NULL\n");
							if (tempblip != NULL)
								{
								tempname = tempblip->filename;
								while (tempblip->next != NULL)
									{
									tempblip = tempblip->next;
									error(erroroutput,"the filename is %s\n",tempblip->filename);
									error(erroroutput,"the spid is %x\n",tempblip->spid);
									/*
									if ((tempblip->filename != NULL) && (tempblip->filename[0] != '\0'))
									*/
									tempname = tempblip->filename;
									}
								outputimgsrc(tempname);
								}
							}
						}
					break;
				case 2:
					error(erroroutput,"INSERT REF\n");
					decode_f_reference(portions);
					break;
				case 3:
				case 4:
					error(erroroutput,"do these matter in html mode\n");
					break;
				case 5:
					error(erroroutput,"INSERT ANNOTATION\n");
					if (doannos)
						decode_annotation(portions,main);
					break;
				case 6:
					error(erroroutput,"line no\n");
					fprintf(outputfile,"UNKNOWN LINE NO\n");
					break;
				case 7:	
					error(erroroutput,"what is this !, pen windowsn\n");
					break;
				case 8:	
					error(erroroutput,"office draw thing, must get spid\n");
					output_draw(cp,portions);
					break;
				case 10:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%a, %b ",times);
					error(erroroutput,"output date as %s\n",date);
					fprintf(outputfile,"%s",date);
					fprintf(outputfile,"%d",times->tm_mday);
					strftime(date,1024,",%Y",times);
					error(erroroutput,"output date as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 30:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%x",times);
					error(erroroutput,"output date as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 11:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%H:%M:%S",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 28:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%X",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 12:
					fprintf(outputfile,"--%d--\n",sectionno);
					error(erroroutput,"did section no\n");
					break;
				case 14:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%a",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 15:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%A",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 16:
					timep = time(NULL);
					times = localtime(&timep);
					/*
					strftime(date,1024,"%d",times);
					error(erroroutput,"output time as %s\n",date);
					*/
					fprintf(outputfile,"%d",times->tm_mday);
					break;
				case 22:
					timep = time(NULL);
					times = localtime(&timep);
					/*
					strftime(date,1024,"%H",times);
					error(erroroutput,"output time as %s\n",date);
					*/
					fprintf(outputfile,"%d",times->tm_hour);
					break;
				case 23:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%H",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 24:
					timep = time(NULL);
					times = localtime(&timep);
					/*
					strftime(date,1024,"%M",times);
					error(erroroutput,"output time as %s\n",date);
					*/
					fprintf(outputfile,"%d",times->tm_min);
					break;
				case 25:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%M",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 26:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%S",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 27:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%p",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 29:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%B ",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					fprintf(outputfile,"%d",times->tm_mday);
					strftime(date,1024,", %Y",times);
					fprintf(outputfile,"%s",date);
					break;
				case 33:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%m",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 34:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%Y",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 35:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%y",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 36:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%b",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 37:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%B",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 38:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%H:%M",times);
					error(erroroutput,"output time as %s\n",date);
					fprintf(outputfile,"%s",date);
					break;
				case 39:
					timep = time(NULL);
					times = localtime(&timep);
					strftime(date,1024,"%A, %B, ",times);
					fprintf(outputfile,"%s",date);
					fprintf(outputfile,"%d, ",times->tm_mday);
					strftime(date,1024,"%Y",times);
					fprintf(outputfile,"%s",date);
					break;
				case 41:
					error(erroroutput,"print merge ?\n");
					break;
				case 19:
					error(erroroutput,"\nfield begins\n");
					init_chp(&tempchp);
					chpsoff();
					decode_field(main,magic_fields,&cp,&fieldwas,&swallowcp1,&swallowcp2);
					error(erroroutput,"cp vals are %x and %x\n",swallowcp1,swallowcp2);
#if 0					
					if (fieldwas == 88)
						fieldeater=2; /*eat 2 hex 20's*/
#endif					
					silent=1;
					break;
				case 21:
					error(erroroutput,"\nfield ends\n");
					decode_field(main,magic_fields,&cp,&fieldwas,&swallowcp1,&swallowcp2);
					chpson();
					silent=0;
					break;
				case 20:
					error(erroroutput,"\n field separator\n");
					decode_field(main,magic_fields,&cp,&fieldwas,&swallowcp1,&swallowcp2);
					if ( (fieldwas == 29) || (fieldwas == 13) || (fieldwas == 88))
						silent=0;
					break;
				default:
					if (fontname==NULL)
						{
						if (flag)
							{
							len = our_wctomb(target,letter);
							error(erroroutput,"letter3: %x %d",letter,letter);
							/*
							expand this in the ranges that we will have to handle 
							ourselves, just for my own benefit for now, i might be
							able to build a table with some word macros and luck*/
							if (letter == 0x2122)
								decode_symbol(0xf0e4);
							else if (letter != 0)
								for(i=0;i<len;i++)
									{
									if ( (achp->fSmallCaps || achp->fCaps)  && use_fontfacequery(achp) && (len == 1) )
										{
										if  ( isupper(target[i]) && achp->fSmallCaps)
											{
											temp = achp->fontsize;
											achp->fontsize+=2;
											decode_e_chp(achp);
											decode_s_chp(achp,fontnamelist);
											achp->fontsize = temp;
											}
										target[i] = toupper(target[i]);
										}
									oprintf(silent,"%c",target[i]);

									error(erroroutput,"letter2: %c, silent is %d",target[i],silent);
									}
							else
								error(erroroutput,"given 0 as a letter !\n");
							}
						else
							{
							if (letter == 0xae)
								decode_symbol(61666);
							else if (letter != 0)
								{
								if ( ( achp->fSmallCaps || achp->fCaps) && use_fontfacequery(achp) )
									{
									if  ( letter && achp->fSmallCaps)
											{
											temp = achp->fontsize;
											achp->fontsize+=2;
											decode_e_chp(achp);
											decode_s_chp(achp,fontnamelist);
											achp->fontsize = temp;
											}
									letter = toupper(letter);
									}
								oprintf(silent,"%c",letter);
								}
							error(erroroutput,"letter2: %c %d %x, silent is %d",letter,letter,letter,silent);
							}
						}
					else
						{
						if (!(strcmp("Wingdings",fontname)))
							decode_wingding(letter);
						else if (!(strcmp("Symbol",fontname)))
							decode_symbol(letter);
						realcp++;
						cp++;
						if (fSpecflag)
							achp->fSpec=0;
						return(ret);
						}
					break;
				}
			}
		else
			{
			switch(letter)
				{
				case 13:
					error(erroroutput,"\n<!--paragraph end-->\n");
					if (!silent)
						{
						breakcount++;

						if (cellempty == 0)
							cellempty++;
						
						tabstop=0;
						newline=1;
						}
					break;
				case 11:
					error(erroroutput,"\n(--line break--)\n");
					oprintf(silent,"<BR>\n");
					tabstop=0;
					break;
				case 45:
					error(erroroutput,"-");
					oprintf(silent,"-"); 
					break;
				case 32:
					spacecount++;
					tabstop--;
					if (cellempty == 0)
						cellempty++;
					break;
				case 31:
					error(erroroutput,"\n(-nonrequired hyphen- ?)\n");
					oprintf(silent,"-");
					break;
				case 30:
					error(erroroutput,"\n(-nonbreaking hyphen- ?)\n");
					oprintf(silent,"-");
					break;
				case 160:
					error(erroroutput,"\n(-non breaking space)\n");
					oprintf(silent,"&nbsp;");
					break;
				case 12:
					error(erroroutput,"\npage break (maybe section) at %x\n",cp);
					for (i=0;i<portions->section_nos+1;i++)
						{
						if (cp+1 == portions->section_cps[i])
							{
							/*sectionpagenumber=1;*/
							sectionno++;
							*issection=1;
							}
						}
					ret=1;
					tabstop=0;
					break;
				case 14:
					error(erroroutput,"\ncolumn break\n");
					break;
				case 9:
					tabstop--;
					error(erroroutput,"\ntab\n");
					tabbing = ((float)tabstop)/8;
					error(erroroutput,"tabbing is %f, from %d\n",tabbing,tabstop);
					error(erroroutput,"tabsize is %f\n",tabsize);
					if (tabbing == tabstop/8)
						{
						if ( (padding == 0) || (padding == 3))
							fprintf(outputfile,"<img height=1 width=%d src=\"%s/clear.gif\">",(int)(8*tabsize),patterndir());
						else if ( (padding == 1) || (padding == 4))
							for(j=0;j<(int)tabsize;j++)
								oprintf(silent,"&nbsp;");
						else if ( (padding == 5) || (padding == 2))
							oprintf(silent," ");
						tabstop = tabstop=8;
						}
					else 
						{
						temp2 = (8-((tabbing - (tabstop/8))*8))+1;
					    error(erroroutput,"temp2 is %d\n",temp2);
						if ( (padding == 1) || (padding == 4))
							{
							for(i=0;i< (8-((tabbing - (tabstop/8))*8))+1;i++)
									for(j=0;j<(int)(tabsize/8);j++)
										oprintf(silent,"&nbsp;");
							}
						else if ( (padding == 0) || (padding == 3))
							fprintf(outputfile,"<img height=1 width=%d src=\"%s/clear.gif\">",(int)(temp2*tabsize),patterndir());
						else if ((padding == 5) || (padding == 2))
							oprintf(silent," ");
						tabstop = tabstop+(8-(tabbing - (tabstop/8))*8);
						}
					/*oprintf(silent,"<TAB>");*/
					break;
				case 19:
					error(erroroutput,"\nfield begins\n");
					init_chp(&tempchp);
					chpsoff();
					decode_field(main,magic_fields,&cp,&fieldwas,&swallowcp1,&swallowcp2);
					error(erroroutput,"cp vals are %x and %x\n",swallowcp1,swallowcp2);
					if (fieldwas == 88)
						fieldeater=2; /*eat 2 hex 20's*/
					silent=1;
					break;
				case 21:
					error(erroroutput,"\nfield ends\n");
					decode_field(main,magic_fields,&cp,&fieldwas,&swallowcp1,&swallowcp2);
					chpson();
					silent=0;
					break;
				case 20:
					error(erroroutput,"\n field separator\n");
					decode_field(main,magic_fields,&cp,&fieldwas,&swallowcp1,&swallowcp2);
					if ( (fieldwas == 29) || (fieldwas == 13) )
						silent=0;
					break;
				case '<':
					oprintf(silent,"&lt;");
					break;
				case '>':
					oprintf(silent,"&gt;");
					break;
				case 7:
					if (cellempty == 0)
						cellempty++;
					apap->tableflag=1;
					decode_e_specials(apap,achp,a_list_info);
					if (decode_e_table(apap,achp,a_list_info)==1)
						{
						if (deferrednewpage)
							{
							deferrednewpage=0;
							ret=2;
							}
						}
					error(erroroutput,"\n");
					newline=1;
					break;
				case 0x96:
				case 0x2013:
					oprintf(silent,"-");
					break;
				case 145:
				case 146:
					oprintf(silent,"'");
					break;
				case 132:
				case 147:
					error(erroroutput,"begin quot\n");
					oprintf(silent,"&quot;");
					break;
				case 148:
					error(erroroutput,"end quot\n");
					oprintf(silent,"&quot;");
					break;
				case 0x85:
					if (flag)
						letter = 0x2026;
					else
						{
						fontname = "Symbol";
						letter = 0xf0bc;
						/*156.gif*/
						}
					/*deliberate fallthrough*/
				default:
					if (fontname==NULL)
						{
						if (flag)
							{
							len = our_wctomb(target,letter);
							error(erroroutput,"letter3: %x %d",letter,letter);
							/*
							expand this in the ranges that we will have to handle 
							ourselves, just for my own benefit for now, i might be
							able to build a table with some word macros and luck*/
							if (letter == 0x2122)
								decode_symbol(0xf0e4);
							else if (letter != 0)
								for(i=0;i<len;i++)
									{
									if ( (achp->fSmallCaps || achp->fCaps) && use_fontfacequery(achp) && (len == 1) )
										{
										if  ( isupper(target[i]) && achp->fSmallCaps)
												{
												temp = achp->fontsize;
												achp->fontsize+=2;
												decode_e_chp(achp);
												decode_s_chp(achp,fontnamelist);
												achp->fontsize = temp;
												}
										target[i] = toupper(target[i]);
										}
									oprintf(silent,"%c",target[i]);
									error(erroroutput,"letter2: %c, silent is %d",target[i],silent);
									}
							else
								error(erroroutput,"given 0 as a letter !\n");
							}
						else
							{
							if (letter == 0xae)
								decode_symbol(61666);
							else if (letter != 0)
								{
								if ( (achp->fSmallCaps || achp->fCaps) && (use_fontfacequery(achp)) )
									{
									if  ( isupper(letter) && achp->fSmallCaps)
											{
											temp = achp->fontsize;
											achp->fontsize+=2;
											decode_e_chp(achp);
											decode_s_chp(achp,fontnamelist);
											achp->fontsize = temp;
											}
									letter = toupper(letter);
									}
								oprintf(silent,"%c",letter);
								}
							else
								error(erroroutput,"silly 0 found\n");
							error(erroroutput,"letter2: %c %d %x silent is %d",letter,letter,letter,silent);
							}
						}
					else
						{
						if (!(strcmp("Wingdings",fontname)))
							decode_wingding(letter);
						else if (!(strcmp("Symbol",fontname)))
							decode_symbol(letter);
						realcp++;
						cp++;
						if (fSpecflag)
							achp->fSpec=0;
						return(ret);
						}
					break;
				}
				
			}
		}
	cp++;
	realcp++;
	return(ret);
	}


int decode_clx_endnote(U32 *rgfc,sep *asep,int nopieces,U32 startpiece,U32 begincp,U32 endcp,FILE *in,FILE *main,FILE *data,U32 fcClx,U32 lcbClx,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[5],list_info *a_list_info,style *sheet,textportions *portions,ffn *fontnamelist,int headerfooterflag)
	{
	U32 oldtablepos;
	U32 oldmainpos;
	U32 tempcp;
	U32 begin=0;
	U32 len=0;
	int k;
	field_info *tempfields;
	int i;
	chp achp;
	pap indentpap;
	int anyendnotes=0;

	flushbreaks(0);
	init_pap(&indentpap);
	do_indent(&indentpap);

	if (noheaders)
		return;

	error(erroroutput,"list_end_no is %d\n",portions->list_end_no);

	if (header == 0)
		{
		for (i=0;i<portions->list_end_no;i++)
			{
			decode_endnote(&begin,&len,portions,i);

			if ((begin != -1) && (len != -1))
				{
				if (anyendnotes==0)
					fprintf(outputfile,"\n<br><img src=\"%s/endnotebegin.gif\"><br>\n",patterndir());
				anyendnotes++;
				init_chp(&achp);
                decode_s_chp(&achp,fontnamelist);


				error(erroroutput,"beginning endnote\n");
				/*test*/
				fprintf(outputfile,"<p>");
				fprintf(outputfile,"<font color=\"#330099\">");
				inafont=1;
				inacolor=1;
				strcpy(incolor,"#330099");
				/*end test*/
				if (!insuper)
					{
					fprintf(outputfile,"<sup>");
					insuper=2;
					}
				fprintf(outputfile,"<a name=\"end%d\">",i);

				if (portions->endFRD[i] > 0)
					{
					fprintf(outputfile,"%d",portions->endFRD[i]);
					fprintf(outputfile,"</A>");
					if (insuper == 2)
						fprintf(outputfile,"</sup>");
					}
				else
					 footnotehack=1;


				oldmainpos = ftell(main);
				oldtablepos = ftell(in);
				header++;

				k=0;
				while (k< nopieces)
					{
					if (portions->ccpText+portions->ccpFtn+portions->ccpHdd+portions->ccpAtn+begin < rgfc[k]) 
						{
						error(erroroutput,"piece for footer is %d (%x) (%x)\n",k-1,rgfc[k-1],portions->ccpText+begin);
						break;
						}
					k++;
					}
				tempcp=cp;
				cp=begin;
				error(erroroutput,"the difference is %d\n",(portions->ccpText+begin)-rgfc[k-1]);
				cp = rgfc[k-1];
				error(erroroutput,"endnote len is %d\n",len);
				error(erroroutput,"endnote cp is %x\n",cp);
				tempfields = all_fields[0];
				all_fields[0] = all_fields[4];
				begin = portions->ccpText+portions->ccpFtn+portions->ccpHdd+portions->ccpAtn+begin;
				error(erroroutput,"endnote begin cp is %d, begin is %d, end is %d\n",cp,begin,begin+len);
				decode_clx(k-1,begin,begin+len,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,1);
				if (footnotehack == 1)
                    {
                    fprintf(outputfile,"</A>");
                    footnotehack=0;
                    }
				all_fields[0] = tempfields;
				cp=tempcp;
				fseek(in,oldtablepos,SEEK_SET);
				fseek(main,oldmainpos,SEEK_SET);
				header--;
				}
			}
		portions->list_end_no=0; /*ready for next section endnotes*/
		error(erroroutput,"ending endnote\n");
		/*
		fprintf(outputfile,"\n<hr>\n");
		fprintf(outputfile,"\n<br><img src=\"%s/pagebreak.gif\"><br>\n",patterndir());
		*/
		init_chp(&achp);
        decode_s_chp(&achp,fontnamelist);
		}
	return(anyendnotes);
	}

void decode_clx_footer(U32 *rgfc,sep *asep,int nopieces,U32 startpiece,U32 begincp,U32 endcp,FILE *in,FILE *main,FILE *data,U32 fcClx,U32 lcbClx,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[5],list_info *a_list_info,style *sheet,textportions *portions,ffn *fontnamelist,int headerfooterflag)
	{
	U32 oldtablepos;
	U32 oldmainpos;
	U32 tempcp;
	U32 begin=0;
	U32 len=0;
	int k;
	field_info *tempfields;
	int i;
	int footnoteflag=0;
	int annotationflag=0;
	chp achp;
	pap indentpap;

	flushbreaks(0);
	init_pap(&indentpap);
	do_indent(&indentpap);

	if (noheaders)
		return;

	if (header == 0)
		{
		for (i=0;i<portions->list_foot_no;i++)
			{
			decode_footnote(&begin,&len,portions,i);

			if ((begin != -1) && (len != -1))
				{
				init_chp(&achp);
                decode_s_chp(&achp,fontnamelist);

				if (footnoteflag == 0)
					{
					fprintf(outputfile,"\n<br><img src=\"%s/footnotebegin.gif\"><br>\n",patterndir());
					footnoteflag=1;
					}
				error(erroroutput,"beginning footnote\n");
				/*test*/
				fprintf(outputfile,"<p>");
				fprintf(outputfile,"<font color=\"#330099\">");
				inafont=1;
				inacolor=1;
				strcpy(incolor,"#330099");
				/*end test*/
				if (!insuper)
					{
					fprintf(outputfile,"<sup>");
					insuper=2;
					}
				fprintf(outputfile,"<a name=\"foot%d\">",i);

				if (portions->fndFRD[i] > 0)
					{
					fprintf(outputfile,"%d",portions->fndFRD[i]);
					fprintf(outputfile,"</A>");
					if (insuper == 2)
						fprintf(outputfile,"</sup>");
					}
				else
					 footnotehack=1;


				oldmainpos = ftell(main);
				oldtablepos = ftell(in);
				header++;

				k=0;
				while (k< nopieces)
					{
					if (portions->ccpText+begin < rgfc[k]) 
						{
						error(erroroutput,"piece for footer is %d (%x) (%x)\n",k-1,rgfc[k-1],portions->ccpText+begin);
						break;
						}
					k++;
					}
				tempcp=cp;
				cp=begin;
				error(erroroutput,"the difference is %d\n",(portions->ccpText+begin)-rgfc[k-1]);
				/*
				cp = cp-((portions->ccpText+begin)-rgfc[k-1]);
				*/
				cp = rgfc[k-1];
				error(erroroutput,"footer len is %d\n",len);
				error(erroroutput,"footer cp is %x\n",cp);
				tempfields = all_fields[0];
				all_fields[0] = all_fields[2];
				begin = portions->ccpText+begin;
				decode_clx(k-1,begin,begin+len,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,2);
				if (footnotehack == 1)
                    {
                    fprintf(outputfile,"</A>");
                    footnotehack=0;
                    }
				all_fields[0] = tempfields;
				cp=tempcp;
				fseek(in,oldtablepos,SEEK_SET);
				fseek(main,oldmainpos,SEEK_SET);
				header--;
				}
			}
		portions->list_foot_no=0; /*ready for next page footnotes*/

		if (footnoteflag != 0)
			{
			fprintf(outputfile,"\n<br><img src=\"%s/footnoteend.gif\"><br>\n",patterndir());
			}

/*begin annotation*/
		for (i=0;i<portions->list_anno_no;i++)
			{
			decode_footanno(&begin,&len,portions,i);

			init_chp(&achp);
            decode_s_chp(&achp,fontnamelist);

			if ((begin != -1) && (len != -1))
				{
				if (annotationflag == 0)
					{
					fprintf(outputfile,"\n<hr width=\"25%%\">\n");
					annotationflag=1;
					}
				error(erroroutput,"beginning annotation\n");
				/*test*/
                fprintf(outputfile,"<font color=#ff7777>");
                inafont=1;
                inacolor=1;
                strcpy(incolor,"#ff7777");
                /*end test*/

				if (!insuper)
					fprintf(outputfile,"<sup>");
				fprintf(outputfile,"<a name=\"anno%d\">",i);
				fprintf(outputfile,"anno%d",i);
				fprintf(outputfile,"</a>");
				if (!insuper)
					fprintf(outputfile,"</sup>");

				oldmainpos = ftell(main);
				oldtablepos = ftell(in);
				header++;

				k=0;
				while (k< nopieces)
					{
					if (portions->ccpText+portions->ccpFtn + portions->ccpHdd+begin < rgfc[k]) 
						{
						error(erroroutput,"piece for footer is %d (%x) (%x)\n",k-1,rgfc[k-1],portions->ccpText+portions->ccpFtn + portions->ccpHdd+begin);
						break;
						}
					k++;
					}
				tempcp=cp;
				cp=begin;
				error(erroroutput,"the difference is %d\n",(portions->ccpText+portions->ccpFtn + portions->ccpHdd+begin)-rgfc[k-1]);
				cp = cp-((portions->ccpText+portions->ccpFtn + portions->ccpHdd+begin)-rgfc[k-1]);
				error(erroroutput,"footer len is %d\n",len);
				error(erroroutput,"footer cp is %x\n",cp);
				tempfields = all_fields[0];
				all_fields[0] = all_fields[3];
				decode_clx(k-1,begin,begin+len,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,3);
				all_fields[0] = tempfields;
				cp=tempcp;
				fseek(in,oldtablepos,SEEK_SET);
				fseek(main,oldmainpos,SEEK_SET);
				header--;
				}
			}
		portions->list_anno_no=0; /*ready for next page footnotes*/
/*end annotation*/		
		decode_footer(&begin,&len,portions,asep);
		if ((begin != -1) && (len != -1))
			{
			init_chp(&achp);
            decode_s_chp(&achp,fontnamelist);

			header++;
			error(erroroutput,"doing footer\n");

			oldmainpos = ftell(main);
			oldtablepos = ftell(in);
			error(erroroutput,"decoding footer clx 1\n");
			error(erroroutput,"the cp of begin of the header is probably cps (%x) to (%x)", portions->ccpText,portions->ccpText+portions->ccpFtn+portions->ccpHdd);
			k=0;
			while (k< nopieces)
				{
				if (portions->ccpText+portions->ccpFtn+begin < rgfc[k]) 
					{
					error(erroroutput,"piece for this footer is %d (%x) (%x)\n",k-1,rgfc[k-1],portions->ccpText+portions->ccpFtn+begin);
					break;
					}
				k++;
				}
			tempcp=cp;
			cp=begin;
			error(erroroutput,"the difference is %d\n",(portions->ccpText+portions->ccpFtn+begin)-rgfc[k-1]);
			cp = cp-((portions->ccpText+portions->ccpFtn+begin)-rgfc[k-1]);
			error(erroroutput,"footer len is %d\n",len);
			error(erroroutput,"footer cp is %x\n",cp);
			tempfields = all_fields[0];
			all_fields[0] = all_fields[1];
			inaheaderfooter=1;
			decode_clx(k-1,begin,begin+len,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,1);
			inaheaderfooter=0;
			all_fields[0] = tempfields;
			cp = tempcp;
			realcp = tempcp;
			fseek(in,oldtablepos,SEEK_SET);
			fseek(main,oldmainpos,SEEK_SET);
			header--;
			}
		error(erroroutput,"ending footer\n");
		/*
		fprintf(outputfile,"\n<hr>\n");
		*/
		/*
		fprintf(outputfile,"\n<br><img src=\"%s/pagebreak.gif\"><br>\n",patterndir());
		*/
		pagenumber++;
		sectionpagenumber++;
		init_chp(&achp);
        decode_s_chp(&achp,fontnamelist);
		}
	}

void decode_clx_header(U32 *rgfc,sep *asep,int nopieces,U32 startpiece,U32 begincp,U32 endcp,FILE *in,FILE *main,FILE *data,U32 fcClx,U32 lcbClx,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[5],list_info *a_list_info,style *sheet,textportions *portions,ffn *fontnamelist,int headerfooterflag)
	{
	U32 oldtablepos;
	U32 oldmainpos;
	U32 tempcp;
	U32 begin=0;
	U32 len=0;
	int k;
	field_info *tempfields;

	if (noheaders)
		return;

	if (header == 0)
		{
		decode_header(&begin,&len,portions,asep);
		if ((begin != -1) && (len != -1))
			{
			header++;
			oldmainpos = ftell(main);
			oldtablepos = ftell(in);
			error(erroroutput,"decoding header\n");
			error(erroroutput,"the cp of begin of the header is probably cps (%x) to (%x)", portions->ccpText+portions->ccpFtn+begin,portions->ccpText+portions->ccpFtn+begin+len);
			k=0;
			while (k< nopieces)
				{
				if (portions->ccpText+portions->ccpFtn+begin < rgfc[k]) 
					{
					error(erroroutput,"piece for header is %d (%x) (%x)\n",k-1,rgfc[k-1],portions->ccpText+portions->ccpFtn+begin);
					break;
					}
				k++;
				}
			tempcp=cp;
			cp=begin;
			cp = rgfc[k-1];
			error(erroroutput,"header cp is %x\n",cp);
			tempfields = all_fields[0];
			all_fields[0] = all_fields[1];
			begin = portions->ccpText+portions->ccpFtn+begin;
			inaheaderfooter=1;
			decode_clx(k-1,begin,begin+len,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,1);
			inaheaderfooter=0;
			all_fields[0] = tempfields;
			cp = tempcp;
			fseek(in,oldtablepos,SEEK_SET);
			fseek(main,oldmainpos,SEEK_SET);
			header--;
			}
		}
	}

int find_piece_cp(U32 sepcp,U32  *rgfc,int nopieces)
	{
	int i;
	error(erroroutput,"find_piece_cp-> %x,\n",sepcp);
	for (i=0;i<nopieces;i++)
		{
		if (sepcp <= rgfc[i])
			{
			error(erroroutput,"sep piece is %d cp is %x, other is %x\n",i,sepcp,rgfc[i]);
			return(i);
			}
		}
	return(-1);
	}

void decode_clx(U32 startpiece,U32 begincp,U32 endcp,FILE *in,FILE *main,FILE *data,U32 fcClx,U32 lcbClx,U32 intervals,U32 chpintervals,U32 *plcfbtePapx,U32 *plcfbteChpx,field_info *all_fields[5],list_info *a_list_info,style * sheet,textportions *portions, ffn *fontnamelist,int headerfooterflag)
	{
	int paraendpiece;
	int paraendpiece2;
	int seppiece;
	int index=0;
	pap *apap=NULL;
	pap *tappap=NULL;
	pap *temppap=NULL;
	chp *achp=NULL;
	pap fakepap;
	chp fakechp;
	sep fakesep;
	long pos = ftell(in);
	long mainpos = ftell(main);
	int i;
	int k;
	U32 tapfc1=0;
	U32 tapfc2=0;
	
	U8 clxt;
	U16 cb;
	U16 *sprm=NULL;
	
	int j=0;
	int nopieces=0;
	U32 *rgfc=NULL;
	U32 *avalrgfc=NULL;
	int letter;
	int hack=0;
	U32 nextfc=0;
	U32 chpnextfc;
	U32 clxcount=0;
	Sprm asprmlist;
	Sprm *psprmlist=&asprmlist;
	U32 lastfc=0;
	U32 lastchpfc=0;
	static metadone=0;

	signed long nextfootnote=0;
	signed long nextendnote=0;

	U32 sepxfc;
	U32 sepcp;
	sep *asep=NULL;

	int newpage=1;

	int notfinished=1;
	int fccount=0;
	int paraflag=0;
	U32 paraendfc=1;

	int d_count=0;

	int issection=1;

	long seek_val=0;

	fseek(in,fcClx,SEEK_SET);
	error(erroroutput,"seeking table to (%x) len %d\n",fcClx,lcbClx);
	error(erroroutput,"begincp is %x\n",begincp);
	while ((clxcount < lcbClx) && (notfinished))
		{
		clxt = getc(in);
		clxcount++;
		error(erroroutput,"clxt is %d\n",clxt);

		psprmlist->list=NULL;
		psprmlist->next=NULL;
		psprmlist->len=0;

		if (clxt == 1)
			{
			/*make a list of of these gprrls*/
			/*decode them when fetched in clxt==2*/
			/*use bitfields to skip ones i dont care about*/
			error(erroroutput,"contains  grpprl\n");
			cb = read_16ubit(in);
			error(erroroutput,"cb is %d\n",cb);
			psprmlist->list = (U8 *) malloc(cb);
			if (psprmlist->list == NULL)
				{
				fprintf(erroroutput,"mem barfoid\n");
				exit(-1);
				}

			clxcount+=(cb+2);
			psprmlist->len=cb;
			error(erroroutput,"here come the gpprl\n");
			for(i=0;i<cb;i++)
				{
				psprmlist->list[i] = getc(in);
				error(erroroutput,"%x",psprmlist->list[i]);
				}
			psprmlist->next = (Sprm *) malloc(sizeof(Sprm));
			if (psprmlist->next == NULL)
				{
				fprintf(erroroutput,"mem barfoid\n");
				exit(-1);
				}
			psprmlist = psprmlist->next;
			index++;
			error(erroroutput,"on gp no %d\n",index);
			}
		else if (clxt == 2)
			{
			index =0;
			error(erroroutput,"contains  Plcfpcd\n");
			
			nopieces = get_piecetable(in,&rgfc,&avalrgfc,&sprm,&clxcount);


			/*guess based on first piece whether to go utf 8 or not*/
			/*
			actually doing utf8 all the time on complex docs as it
			turns out not to be such a good test :-(
			*/

			if ( (header == 0) && (metadone == 0) )
				{
				fprintf(outputfile,"\n<head>\n<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html;charset=utf-8\">\n</head>\n");
				fprintf(outputfile,"<body>\n");
				metadone=1;
				}

			for(i=startpiece/*start piece*/;i<nopieces;i++)
				{

				if ((header == 0) && (metadone ==0))
					{
					fprintf(outputfile,"<body>\n");
					metadone=1;
					}

				if (notfinished == 0)
					break;

				/*get the sep*/
				if (headerfooterflag == 0)
					if (issection)
						{
						error(erroroutput,"getting sep, %x, piece is %d\n",cp,i);
						sepxfc = find_FC_sepx(cp,&sepcp,portions);
						asep = get_sep(sepxfc,main);
						seppiece = find_piece_cp(sepcp,rgfc,nopieces);
						init_chp(&fakechp);
						decode_gpprls(&fakepap,&fakechp,asep,sprm,seppiece,&asprmlist,sheet);
						if (decode_clx_endnote(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag))
							fprintf(outputfile,"\n<br><img src=\"%s/endnoteend.gif\"><br>\n",patterndir());
						if ((pagenumber != 1) && (newpage))
							fprintf(outputfile,"\n<br><img src=\"%s/pagebreak.gif\"><br>\n",patterndir());
						issection=0;
						}

				if (newpage)
					{
					if (!inatable)
						{
						newpage =0;
						decode_clx_header(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag);
						}
					else
						deferrednewpage=1;
					}			

				/*push this val back as its something else*/
				if (avalrgfc[i] & 0x40000000UL)
					{
					seek_val = avalrgfc[i] & 0xbfffffffUL;
					seek_val = seek_val/2;
					error(erroroutput,"tricky ? seek val (%x)\n",seek_val);
					error(erroroutput,"seeking main to (the FC %x) for len %d\n",seek_val,rgfc[i+1]-rgfc[i]);
					hack=1;
					}
				else
					{
					error(erroroutput,"seeking main to (the FC %x) for len %d piece %d\n",seek_val,2*(rgfc[i+1]-rgfc[i]),i);
					seek_val = avalrgfc[i];
					hack=0;
					}

				/*these ms guys often have a few offsets in the file that are *past* the end of the file, until
				i figure then out entirely ive stuck this in, which will sort them out for now*/
				/*that was a corrupt file, but ive left this code in anyway*/
				if ((mainend < seek_val) || (0 != fseek(main,seek_val,SEEK_SET)))
					{
					error(erroroutput,"overran the end of the file !!\n");
					continue;
					}

				error(erroroutput,"piece entry fc is %x sprm is %x len is %d\n",seek_val,sprm[i],rgfc[i+1]-rgfc[i]);

				error(erroroutput,"1 getting pap HH nopieces is %d, current piece is %d\n",nopieces,i);
				if (apap != NULL)
					error(erroroutput,"jc is %d\n",apap->jc);
				temppap = apap;
				apap = NULL;
				error(erroroutput,"fccount is %x, paraendfc is %x\n",fccount,paraendfc);
				if (fccount == paraendfc-1)
					paraflag=1;
				apap = get_complex_pap(seek_val,plcfbtePapx,i,nopieces,intervals,rgfc,main,avalrgfc,&nextfc,&paraendfc,&paraendpiece,sheet,a_list_info);
				error(erroroutput," the next para is at (%x)\n",nextfc);
				if (apap == NULL)
					{
					error(erroroutput,"we failed in out attempt to get a paragraph\n");
					if (temppap == NULL)
						{
						apap = (pap *) malloc(sizeof(pap));
						if (apap == NULL)
							{
							fprintf(erroroutput,"no mem aieee\n");
							exit(-1);
							}
						init_pap(apap);
						}
					else
						{
						error(erroroutput,"using previous pap\n");
						apap = temppap;
						error(erroroutput,"apap->jc is %d\n",apap->jc);
						temppap = NULL;
						}
					}
				else
					{
					if (paraflag)
						{
						end_para(temppap,apap);
						paraflag=0;
						}
					if (temppap != NULL)
						free(temppap);
					temppap = NULL;
					}

				/*begin tappap search*/
				/*if we're in a table search for the one with fTtp*/
			
				decode_gpprls(apap,&fakechp,&fakesep,sprm,paraendpiece,&asprmlist,sheet);

				if (apap->fInTable)
					{
					k = i;
					do
						{
						tapfc1 = avalrgfc[k];
						error(erroroutput,"1. we search for the tap here\n");
						error(erroroutput,"tappap nexts are %x, k is %x\n",tapfc1,k);
						do
							{
							tapfc2 = tapfc1;
							tappap = get_complex_pap(tapfc1,plcfbtePapx,k,nopieces,intervals,rgfc,main,avalrgfc,&tapfc1,NULL,&paraendpiece2,sheet,a_list_info);
							if (tappap != NULL)
								decode_gpprls(tappap,&fakechp,&fakesep,sprm,paraendpiece2,&asprmlist,sheet);
							}
						while( (tappap != NULL) && (!tappap->fTtp)  && (tapfc1 != tapfc2)) ;
						k++;
						}
					while ( (tappap != NULL) && (!tappap->fTtp)  && (k<nopieces) );
					/*
					at this stage tappap has the correct row structure stored in it
					that we want apap to have
					*/
					if (tappap != NULL)
						{
						apap->ourtap = tappap->ourtap;
						error(erroroutput,"finished search for the tap here\n");
						error(erroroutput,"no of cells is %d, %d\n",apap->ourtap.cell_no,tappap->ourtap.cell_no);
						}
					}
				/*end tappap search*/
				
				error(erroroutput,"AT THIS POINT %d\n",apap->istd);
			
				/*
				achp = get_complex_chp(avalrgfc[i],plcfbteChpx,i,nopieces,chpintervals,rgfc,main,avalrgfc,&chpnextfc,sheet,apap->istd);
				*/
				achp = get_complex_chp(seek_val,plcfbteChpx,i,nopieces,chpintervals,rgfc,main,avalrgfc,&chpnextfc,sheet,apap->istd);
				error(erroroutput," CHP: the next para is at (%x)\n",chpnextfc);
				if (achp == NULL)
					{
					error(erroroutput,"we failed in out attempt to get a chp\n");
					achp = (chp *) malloc(sizeof(chp));
					if (achp == NULL)
						{
						fprintf(erroroutput,"no mem aieee\n");
						exit(-1);
						}
					init_chp(achp);

					}

				if (achp->color[0] == '\0')
					{
					if (headerfooterflag == 1)
						strcpy(achp->color,"#7f5555");
					else if (headerfooterflag == 2)
						strcpy(achp->color,"#330099");
					else if (headerfooterflag == 3)
						strcpy(achp->color,"#ff7777");
					}

				/*
				the gpprl that id added is the one that belongs to the 
				piece that has the paragraph mark
				*/
				
				error(erroroutput,"decoding gpprl with (%x) index %d\n",sprm[paraendpiece],paraendpiece);
				fakepap.istd = apap->istd;
				decode_gpprls(&fakepap,achp,&fakesep,sprm,paraendpiece,&asprmlist,sheet);
				error(erroroutput,"1) ilfo is %d\n",apap->ilfo);
				decode_e_list(apap,achp,a_list_info);
				decode_e_chp(achp);
				decode_e_specials(apap,achp,a_list_info);
				decode_e_table(apap,achp,a_list_info);
				decode_s_table(apap,achp,a_list_info);
				decode_s_specials(apap,achp,a_list_info);
				decode_s_chp(achp,fontnamelist);

				error(erroroutput,"2) ilfo is %d\n",apap->ilfo);
				j=0;

				/*this are the count of elements (can be both 8 and 16 bit)*/
				fccount=seek_val-1;
				error(erroroutput,"fcount is %x pos is %x\n",fccount,ftell(main));
				/*this is the actual file position, always in bytes*/
				while(j<rgfc[i+1]-rgfc[i])
					{
					/*get the sep*/
					if (headerfooterflag == 0)
						if (issection)
							{
							error(erroroutput,"getting sep, %x, piece is %d\n",cp,i);
							sepxfc = find_FC_sepx(cp,&sepcp,portions);
							asep = get_sep(sepxfc,main);
							seppiece = find_piece_cp(sepcp,rgfc,nopieces);
							decode_gpprls(&fakepap,&fakechp,asep,sprm,seppiece,&asprmlist,sheet);
							if (decode_clx_endnote(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag))
								fprintf(outputfile,"\n<br><img src=\"%s/endnoteend.gif\"><br>\n",patterndir());
							if ((pagenumber != 1) && (newpage))
								fprintf(outputfile,"\n<br><img src=\"%s/pagebreak.gif\"><br>\n",patterndir());
							issection=0;
							}
					
					if (newpage)
						{
						if (header == 0)
							{
							if (!inatable)
								{
								newpage =0;
								decode_clx_header(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag);
								}
							else
								deferrednewpage=1;
							}
						}			

					if (!hack)
						{
						letter = read_16ubit(main);
						fccount+=2;	
						}
					else
						{
						letter = getc(main);
						fccount++;
						}

					if (j==0) 
						{
						if ( (letter != 12) && (letter!=13) )
							{
							decode_s_list(apap,achp,a_list_info,fontnamelist,DONTIGNORENUM);
							error(erroroutput,"finished list hwew letter was %d %x\n",letter,letter);
							}
						else
							{
							error(erroroutput,"finished list hwew letter was %d %x\n",letter,letter);
							}
						}


					if (fccount >= nextfc)
						{
						lastfc = nextfc;
						error(erroroutput,"the fc is (%x) and the first fc after end of para is (%x)",fccount,nextfc);
						error(erroroutput,"so im looking for the pap again\n");
						error(erroroutput,"2 getting pap HH, jc was %d\n",apap->jc);
						if (apap != NULL)
							{
							temppap = apap;
							apap = NULL;
							}
						if (fccount == paraendfc-1)
							paraflag=1;
						apap = get_complex_pap(fccount,plcfbtePapx,i,nopieces,intervals,rgfc,main,avalrgfc,&nextfc,&paraendfc,&paraendpiece,sheet,a_list_info);
						error(erroroutput,"the nextfc for pap one is at %x\n",nextfc);

						if (apap == NULL)
							{
							error(erroroutput,"we failed in out attempt to get a paragraph\n");
							if (temppap == NULL)
								{
								apap = (pap *) malloc(sizeof(pap));
								if (apap == NULL)
									{
									fprintf(erroroutput,"no mem aieee\n");
									exit(-1);
									}
								init_pap(apap);
								}
							else
								{
								apap = temppap;
								temppap = NULL;
								error(erroroutput,"using previous pap, jc is now %d\n",apap->jc);
								}
							}
						else
							{
							/*begin tappap search*/
							/*if we're in a table search for the one with fTtp*/
							decode_gpprls(apap,&fakechp,&fakesep,sprm,paraendpiece,&asprmlist,sheet);
							if (apap->fInTable)
								{
								k = i;
								do
									{
									if (k==i)
										tapfc1 = fccount;
									else
										tapfc1 = avalrgfc[k];
									error(erroroutput,"2. we search for the tap here\n");
									error(erroroutput,"tappap nexts are %x, k is %x\n",tapfc1,k);
									do
										{
										tapfc2 = tapfc1;
										tappap = get_complex_pap(tapfc1,plcfbtePapx,k,nopieces,intervals,rgfc,main,avalrgfc,&tapfc1,NULL,&paraendpiece2,sheet,a_list_info);
										if (tappap != NULL)
											decode_gpprls(tappap,&fakechp,&fakesep,sprm,paraendpiece2,&asprmlist,sheet);
										}
									while( (tappap != NULL) && (!tappap->fTtp) && (tapfc1 != tapfc2)) ;
									k++;
									}
								while ( (tappap != NULL) && (!tappap->fTtp) && (k<nopieces) );
								/*
								at this stage tappap has the correct row structure stored in it
								that we want apap to have
								*/
								if (tappap != NULL)
									{
									apap->ourtap = tappap->ourtap;
									error(erroroutput,"finished 2nd search for the tap here\n");
									error(erroroutput,"no of cells is %d, %d\n",apap->ourtap.cell_no,tappap->ourtap.cell_no);
									}
								}
							/*end tappap search*/

							/*last gasp of the pap*/
							if (paraflag)
								{
								end_para(temppap,apap);
								paraflag=0;
								}
							
							/*remove unneeded pap*/
							if (temppap != NULL)
								free(temppap);
								
							temppap = NULL;
							}

						}


					if ((fccount >= chpnextfc)  || (fccount >= lastfc))
						{
						lastchpfc=1;
						achp = get_complex_chp(fccount,plcfbteChpx,i,nopieces,chpintervals,rgfc,main,avalrgfc,&chpnextfc,sheet,apap->istd);
						error(erroroutput," CHP: the next para is at (%x)\n",chpnextfc);

						if (achp == NULL)
							error(erroroutput,"we failed in out attempt to get a chp\n");
						else
							{
							if (achp->color[0] == '\0')
								{
								if (headerfooterflag == 1)
									strcpy(achp->color,"#7f5555");
								else if (headerfooterflag == 2)
									strcpy(achp->color,"#330099");
								else if (headerfooterflag == 3)
									strcpy(achp->color,"#ff7777");
								}
		
							error(erroroutput,"before gprl chp fontcode is %d\n",achp->fontcode);
							decode_gpprls(&fakepap,achp,&fakesep,sprm,paraendpiece,&asprmlist,sheet);
							error(erroroutput,"after gprl chp fontcode is %d\n",achp->fontcode);
							decode_e_list(apap,achp,a_list_info);
							decode_e_chp(achp);
							error(erroroutput,"after decode chp fontcode is %d\n",achp->fontcode);
							}
						}

					if (fccount >= lastfc) 
						{
						decode_e_specials(apap,achp,a_list_info);
						decode_e_table(apap,achp,a_list_info);
						decode_s_table(apap,achp,a_list_info);
						decode_s_specials(apap,achp,a_list_info);
						decode_s_chp(achp,fontnamelist);
						lastfc=-1;
						}

					if (lastchpfc) 
						{
						lastchpfc=-1;
						decode_s_chp(achp,fontnamelist);
						if ( ((letter != 12) && (letter != 13)) )
							{
							decode_s_list(apap,achp,a_list_info,fontnamelist,DONTIGNORENUM);
							error(erroroutput,"list started following letter is %d\n",letter);
							}
						else 
							{
							error(erroroutput,"list started following letter is %d\n",letter);
							}
						}


					if (cp >= begincp)
						{
						if ((headerfooterflag >0) && (headerfooterflag < 2))
							{
							if (letter == 13)
								{
								/*
								headers and footers seem to continue until 2 0x0d are reached, they dont
								appear after all to go until the len derived from the header table
								like i thought originally.
								*/
								d_count++;
								if (d_count == 2)
									{
									notfinished=0;
									break;
									}
								}
							else
								d_count=0;
							}
						
						error(erroroutput,"decoding letter: fc is %x, nextfc is %x\n",fccount,nextfc);

						if ( (realcp == nextfootnote) && (headerfooterflag == 0) ) 
							{
							decode_f_reference(portions);
							get_next_f_ref(portions,&nextfootnote);
							}
						
						if ( (realcp == nextendnote) && (headerfooterflag == 0) ) 
							{
							decode_e_reference(portions);
							get_next_e_ref(portions,&nextendnote);
							}
						
						if (hack)
							newpage = decode_letter(letter,1,apap,achp,all_fields[0],main,data,fontnamelist,a_list_info,portions,&issection);
						else
							newpage = decode_letter(letter,1,apap,achp,all_fields[0],main,data,fontnamelist,a_list_info,portions,&issection);

						error(erroroutput,"W:sync, actuallt at %x, fccount is %x and aval is %xthough\n",ftell(main),fccount,fccount);
						}
					else
						{
						realcp++;
						cp++;
						}


					/*if newpage then decode header*/
					if (newpage)
						{

						if ((inatable)  && newpage == 2)
							{
							/*in this case we have ended a row, so we should take the opportunity to halt the table*/
							fprintf(outputfile,"\n</table>\n");
							inatable=0;
							newpage=1;
							}
						
						error(erroroutput,"clx footer\n");

						if ((!inatable) && (newpage == 1))
							decode_clx_footer(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag);
						else if (newpage == 1)
							deferrednewpage=1;
						}

			


					/*get the sep*/
					if (headerfooterflag == 0)
						if (issection)
							{
							error(erroroutput,"getting sep, %x\n",cp);
							sepxfc = find_FC_sepx(cp,&sepcp,portions);
							asep = get_sep(sepxfc,main);
							seppiece = find_piece_cp(sepcp,rgfc,nopieces);
							decode_gpprls(&fakepap,&fakechp,asep,sprm,seppiece,&asprmlist,sheet);
							if (decode_clx_endnote(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag))
								fprintf(outputfile,"\n<br><img src=\"%s/endnoteend.gif\"><br>\n",patterndir());
							if ((pagenumber != 1) && (newpage))
								fprintf(outputfile,"\n<br><img src=\"%s/pagebreak.gif\"><br>\n",patterndir());
							issection=0;
							}

					if (cp >= endcp)
						{
						error(erroroutput,"reached end of header or main, headerfootflag is %d\n",headerfooterflag);
						if (/*(headerfooterflag < 1) &&*/ (headerfooterflag < 2))
							{
							notfinished=0;
							error(erroroutput,"end of header or main break\n");
							break;
							}
						/*else well trust to the doubling of 0x0d to determine the end of the footer/header*/
						}

					j++;
					}/*end for/while j*/
					
				error(erroroutput,"here after header ?\n");

				if (achp != NULL)
					{
					free(achp);
					achp = NULL;
					}
				}
			}
		else
			fprintf(erroroutput,"some kind of error occured, byte count off\n");
		}


	if (apap == NULL)
		{
		apap = (pap *)malloc(sizeof(pap));
		if (apap == NULL)
			return;
		}
#if 0	
	apap->istd = 0;
	apap->ilvl=-1;
	apap->tableflag=0;
#endif
	init_pap(apap);
	decode_e_list(apap,achp,a_list_info);
	decode_e_specials(apap,achp,a_list_info);
	decode_e_table(apap,achp,a_list_info);
	if (apap !=NULL)
		{
		free(apap);
		apap=NULL;
		}
	if (achp !=NULL)
		{
		free(achp);
		achp=NULL;
		}

	if (!newpage)
		{
		error(erroroutput,"clx footer 2\n");
		decode_clx_footer(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag);
		if (decode_clx_endnote(rgfc,asep,nopieces,startpiece,begincp,endcp,in,main,data,fcClx,lcbClx,intervals,chpintervals,plcfbtePapx,plcfbteChpx,all_fields,a_list_info,sheet,portions,fontnamelist,headerfooterflag))
			fprintf(outputfile,"\n<br><img src=\"%s/endnoteend.gif\"><br>\n",patterndir());
		}

	if (rgfc != NULL)
		free(rgfc);
	if (avalrgfc != NULL)
		free(avalrgfc);
	if (sprm != NULL)
		free(sprm);

	fseek(in,pos,SEEK_SET);
	fseek(main,mainpos,SEEK_SET);
	}


chp *get_chp(U32 pageindex,FILE *in, FILE *data, U32 charindex, U32 *nextfc,style *sheet,U16 istd)
	{
	long pos = ftell(in);
	U16 i;
	U16 l;
	U16 offset;

	U8 cb;
	U16 clist=0;

	chp *retchp;

	int noofblips;

	error(erroroutput,"\nlooking for CHP in page %d given istd %d\n",pageindex,istd);
	/*this no refers to 512*pageindex ?*/
	error(erroroutput,"\n%x\n",(512*pageindex));


	*nextfc = find_next_smallest_fc(charindex,pageindex,in,&i,NULL);
	error(erroroutput,"next char lim is %d (%x)\n",*nextfc,*nextfc);

	retchp = (chp *) malloc(sizeof(chp));
	
	if (retchp == NULL)
		{
		fprintf(erroroutput,"no mem available\n");
		exit(-1);
		}

	error(erroroutput,"the istd of this chp is %d\n",istd);

	init_chp_from_istd(istd,sheet,retchp);

	/*leap ahead to the BX we want*/
	fseek(in,i,SEEK_CUR);

	/*the first byte is the one we want*/
	offset = getc(in);
	error(erroroutput,"CHP: chpx offset is %ld %x, going to %x\n",offset,offset,(512*(pageindex))+offset*2);
	if (offset == 0)
		{
		error(erroroutput,"CHP: special chpx offset leaving now\n");
		fseek(in,pos,SEEK_SET);
		error(erroroutput,"at this end bold is %d\n",retchp->fBold);
		}
	else
		{
	
		/*this section is fucked up, why does it appear that i have to use twice
		the offset i get out of this value ?*/
		fseek(in,(512*(pageindex))+offset*2,SEEK_SET);
		cb = getc(in);
		error(erroroutput,"CHP: cb was %d\n",cb);


		if (cb != 0)
			{
			l=0;
			while(l<cb)
				{
				clist = read_16ubit(in);
				l+=2;
				error(erroroutput,"decoding sprm %X\n",clist);
				decode_sprm(in,clist,NULL,retchp,NULL,&l,NULL,sheet,istd);
				}
			}

		fseek(in,pos,SEEK_SET);
		error(erroroutput,"at end bold is %d\n",retchp->fBold);
		}
	
	if (retchp->fSmallCaps)
		retchp->fontsize-=2;

	error(erroroutput,"fcPic in chp is %x\n",retchp->fcPic);

	return(retchp);
	}
		
int decode_ilfo(pap *retpap,list_info *a_list_info)
	{
	int j;
	
	/*
	else now we use our a_list_data to generate the paps list_data
	including the text to use, whether to prepend a index or not
	what format the index is in, and the start index
	*/
	/*
	first get the text, ) / . / string / whatever
	*/
	error(erroroutput,"ilfo %d of %d\n",retpap->ilfo,a_list_info->nooflfos);
	if (retpap->ilfo >= a_list_info->nooflfos)
		{
		if (retpap->ilfo != 2047)
			{
			error(erroroutput,"hmm problem\n");
			return(-1);
			}
		else
			error(erroroutput,"legacy anld\n");
		return(-1);
		}

	/*
	what should happen here, is after we get this base list data, 
	we add the overrides to a copy of our own
	*/

	retpap->list_data = &(a_list_info->o_list_def[retpap->ilfo]);
	
	retpap->list_data->id = a_list_info->lst_ids[retpap->ilfo];
	for (j=0;j<retpap->list_data->len;j++)
	            error(erroroutput,"--> %c",retpap->list_data->list_string[j]);


	error(erroroutput,"ilfo request is %d, the id in the lfo is %x",retpap->ilfo,a_list_info->lst_ids[retpap->ilfo]);
	j=0;
	while(j<a_list_info->nooflsts)
		{
		if (a_list_info->o_lst_ids[j] == retpap->list_data->id)
			{
			error(erroroutput,"and the returned index is %d\n",j);
			return(j);
			}
		j++;
		}

	return(0);
	}


sep *get_sep(U32 offset,FILE *in)
	{
	sep *asep;
	U16 clist;
	U16 cb,l;
	long pos=ftell(in);

	asep = (sep *) malloc(sizeof(sep));
	if (asep == NULL)
		{
		error(erroroutput,"arse\n");
		exit(-1);
		}


	asep->bkc=2;
	asep->fEndNote=1;
	asep->pgnStart=1;
	asep->fTitlePage=0;
	asep->lnc=0;
	asep->nLnnMod=0;
	asep->ccolM1=0;
	asep->restart=0;
	asep->nfcPgn=0;
	asep->leftmargin=DEFAULTINDENT;

	fseek(in,offset,SEEK_SET);
	error(erroroutput,"sepx at %x",offset);
	cb = read_16ubit(in);
	error(erroroutput,"no of bytes is %d",cb);

	if (cb != 0)
		{
		l=0;
		while(l<cb)
			{
			clist = read_16ubit(in);
			l+=2;
			error(erroroutput,"decoding sprm %X\n",clist);
			decode_sprm(in,clist,NULL,NULL,asep,&l,NULL,NULL,0);
			}
		}
	
	fseek(in,pos,SEEK_SET);

	if(asep->restart)
		{
		sectionpagenumber=asep->pgnStart;
		/*pagenumber = asep->pgnStart;*/
		}

	currentsep = asep;

	return(asep);
	}

pap *get_pap(U32 pageindex,FILE *in, U32 charindex, U32 *nextfc, style *sheet,list_info *a_list_info)
	{
	long pos = ftell(in);
	U8 k;
	U16 i;
	U8 BX[13];
	U16 offset;
	U16 len;

	U16 cw;
	U32 clist;

	pap *retpap;
	sep fakesep;

	error(erroroutput,"\nlooking for PAP in page %d\n",pageindex);
	/*this no refers to 512*pageindex ?*/
	error(erroroutput,"\n%x\n",(512*pageindex));
#if 0
	flushbreaks(1);		/*dump all the newlines, with the hint that were
						at the end of a paragraph, so a single br is to be a
						p*/
#endif

	*nextfc = find_next_smallest_fc(charindex,pageindex,in,&i,NULL);

	retpap = (pap *) malloc(sizeof(pap));
	
	if (retpap == NULL)
		{
		fprintf(erroroutput,"no mem available\n");
		exit(-1);
		}
	init_pap(retpap);

	/*leap ahead to the BX we want*/
	fseek(in,i*13,SEEK_CUR);
	error(erroroutput,"the pap offset is %x\n",ftell(in));

	/*pull out BX word offset*/
	for(k=0;k<13;k++)
		BX[k] = getc(in);
	/*the first byte is the one we want*/
	offset = BX[0];
	error(erroroutput,"papx offset is %ld %x, going to %x\n",offset,offset,(512*(pageindex))+offset*2);
	if (BX[0] == 0)
		error(erroroutput,"special papx offset ?\n");
	/*this section is fucked up, why does it appear that i have to use twice
	the offset i get out of this value ?*/
	fseek(in,(512*(pageindex))+offset*2,SEEK_SET);
	cw = getc(in);
	if (cw == 0)
		{
		error(erroroutput,"cw was pad %d\n",cw);
		cw = getc(in);
		error(erroroutput,"cw was %d\n",cw);
		cw=cw*2;
		error(erroroutput,"so bytes are %d\n",cw);
		}
	else
		cw=cw*2; /*when the pap is in a stsh then this is not done*/
		
	error(erroroutput,"cw bytes are %d\n",cw);

	len=0;
	retpap->istd = read_16ubit(in);
	len+=2;
	error(erroroutput,"istd index is %d\n",retpap->istd);
	/*
	take the istd and get the style from the decoded style list
	and shove in the starting values values from that
	*/
	if (retpap->istd > nostyles)
		{
		error(erroroutput,"WARNING invalid istd %d/%x\n",retpap->istd,retpap->istd);
		retpap->istd=0;
		}

	init_pap_from_istd(retpap->istd,sheet,retpap);
	error(erroroutput,"retpap tablewidth is %d\n",retpap->ourtap.tablewidth);
	error(erroroutput,"BEGIN, ilfo is %d",retpap->ilfo);

	while (len < cw)
		{
		clist = read_16ubit(in);
		len+=2;
		/*
		and *why* do i have to take this byte out to get what i want ?
		*/
		error(erroroutput,"clist %x \n",clist);
		decode_sprm(in,clist,retpap,NULL,&fakesep,&len,NULL,sheet,retpap->istd);
		}
	error(erroroutput,"END");
	fseek(in,pos,SEEK_SET);
	return(retpap);
	}

U32 find_FC_sepx(U32 cp,U32 *sepcp,textportions *portions)
	{
	int j=1;
	while (j<portions->section_nos+1)
		{
		error(erroroutput,"find_FKPno_sepx:-> %x, %x\n",cp,portions->section_cps[j]);
		if (cp < portions->section_cps[j])
			{
			error(erroroutput,"the sep cp is %x\n",portions->section_cps[j]-1);
			error(erroroutput,"the sep fc is %x\n",portions->section_fcs[j-1]);
			*sepcp = portions->section_cps[j]-1;
			return(portions->section_fcs[j-1]);
			break;
			}
		j++;
		}
	error(erroroutput,"no sep FC found\n");
	return(-1);
	}

int find_FKPno_papx(U32 fc,U32 *plcfbtePapx,U32 intervals)
	{
	int j=1;
	while (j<intervals+1)
		{
		error(erroroutput,"->page %d, fc is (%x) and plcfbtePapx[j] is %x, intervals is %d\n",j,fc,plcfbtePapx[j],intervals);
		if (fc < plcfbtePapx[j])
			{
			error(erroroutput,"it was less that it\n");
			error(erroroutput,"so the FKP thatll have the limits of this is %d\n",plcfbtePapx[j+intervals]);
			return(plcfbtePapx[j+intervals]);
			break;
			}
		j++;
		}
	error(erroroutput,"no FKP pap found, using last entry instead\n");
	return(-1);
	}

int find_FKPno_chpx(U32 fc,U32 *plcfbteChpx,U32 chpintervals)
	{
	int j=1;
	while (j<chpintervals+1)
		{
		error(erroroutput,"->chp page %d, fc is (%x) and plcfbteChpx[j] is %x\n",j,fc,plcfbteChpx[j]);
		if (fc < plcfbteChpx[j])
			{
			error(erroroutput,"CHP: it was less that it\n");
			error(erroroutput,"CHP: so the FKP thatll have the limits of this is %d\n",plcfbteChpx[j+chpintervals]);
			return(plcfbteChpx[j+chpintervals]);
			break;
			}
		j++;
		}
	error(erroroutput,"CHP: no chp found, using last entry\n");
	return(-1);
	}

U32 find_next_biggest_orequal_fc(U32 charindex,U32 pageindex, FILE *in, U16 *location,long *pos)
	{
	U8 crun;
	int i;
	U32 *rgfc;
	U32 rval=-1;
	if (pos != NULL)
		*pos = ftell(in);

	if (pageindex != -1)
		{
		error(erroroutput,"smallest seek to %x\n",(512*pageindex)+511);
		if ((mainend < (512*pageindex)+511) || (0 != fseek(in,(512*pageindex)+511,SEEK_SET)))
			error(erroroutput,"ran too far forward on smallest seek 1 to %x, bloody semi corrupt file\n",(512*pageindex)+511);
		else
			{
			crun = getc(in);
			error(erroroutput,"there are %d paragraphs/char runs in this zone at %x, pageindex %d",crun,(512*pageindex),pageindex);
			rgfc = (U32 *) malloc(sizeof(U32)*(crun+1));
			if (rgfc== NULL)
				{
				fprintf(erroroutput,"no memory argh\n");
				exit(-1);
				}
			fseek(in,(512*pageindex),SEEK_SET);
			for(i=0;i<crun+1;i++)
				{
				rgfc[i] = read_32ubit(in);
				error(erroroutput,"(%X) ", rgfc[i]);
				}
			error(erroroutput," charindex is %x\n",charindex);
			i=crun-1;
			rval = rgfc[0];
			while (i >= 0)
				{
				if (charindex >=  rgfc[i])
					{
					error(erroroutput,"looking for BX %ld, charindex is %ld (%x),  rgfc is %ld (%x),\n",i,charindex,charindex, rgfc[i+1],rgfc[i+1]);
					*location = i;
					rval = rgfc[i];
					break;
					}
				i--;		
				}

			free(rgfc);
			}
		}
	if (pos != NULL)
		{
		fseek(in,*pos,SEEK_SET);
		error(erroroutput,"papx: reset stream\n");
		}
	return(rval); 
	}

U32 find_next_biggest_fc(U32 charindex,U32 pageindex, FILE *in, U16 *location,long *pos)
	{
	U8 crun;
	int i;
	U32 *rgfc;
	U32 rval=-1;
	if (pos != NULL)
		*pos = ftell(in);

	if (pageindex != -1)
		{
		error(erroroutput,"smallest seek to %x\n",(512*pageindex)+511);
		if ((mainend < (512*pageindex)+511) || (0 != fseek(in,(512*pageindex)+511,SEEK_SET)))
			error(erroroutput,"ran too far forward on smallest seek 1 to %x, bloody semi corrupt file\n",(512*pageindex)+511);
		else
			{
			crun = getc(in);
			error(erroroutput,"there are %d paragraphs/char runs in this zone at %x, pageindex %d",crun,(512*pageindex),pageindex);
			rgfc = (U32 *) malloc(sizeof(U32)*(crun+1));
			if (rgfc== NULL)
				{
				fprintf(erroroutput,"no memory argh\n");
				exit(-1);
				}
			fseek(in,(512*pageindex),SEEK_SET);
			for(i=0;i<crun+1;i++)
				{
				rgfc[i] = read_32ubit(in);
				error(erroroutput,"(%X) ", rgfc[i]);
				}
			error(erroroutput," charindex is %x\n",charindex);
			i=crun-1;
			rval = rgfc[0];
			while (i >= 0)
				{
				if (charindex >  rgfc[i])
					{
					error(erroroutput,"looking for BX %ld, charindex is %ld (%x),  rgfc is %ld (%x),\n",i,charindex,charindex, rgfc[i+1],rgfc[i+1]);
					*location = i;
					rval = rgfc[i];
					break;
					}
				i--;		
				}

			free(rgfc);
			}
		}
	if (pos != NULL)
		{
		fseek(in,*pos,SEEK_SET);
		error(erroroutput,"papx: reset stream\n");
		}
	return(rval); 
	}
U32 find_next_smallest_fc(U32 charindex,U32 pageindex, FILE *in, U16 *location,long *pos)
	{
	U8 crun,i;
	U32 *rgfc;
	U32 rval=-1;
	if (pos != NULL)
		*pos = ftell(in);

	if (pageindex != -1)
		{
		error(erroroutput,"smallest seek to %x\n",(512*pageindex)+511);
		if ((mainend < (512*pageindex)+511) || (0 != fseek(in,(512*pageindex)+511,SEEK_SET)))
			error(erroroutput,"ran too far forward on smallest seek 1 to %x, bloody semi corrupt file\n",(512*pageindex)+511);
		else
			{
			crun = getc(in);
			error(erroroutput,"there are %d paragraphs/char runs in this zone at %x, pageindex %d",crun,(512*pageindex),pageindex);
			rgfc = (U32 *) malloc(sizeof(U32)*(crun+1));
			if (rgfc== NULL)
				{
				fprintf(erroroutput,"no memory argh\n");
				exit(-1);
				}
			fseek(in,(512*pageindex),SEEK_SET);
			for(i=0;i<crun+1;i++)
				{
				rgfc[i] = read_32ubit(in);
				error(erroroutput,"(%X) ", rgfc[i]);
				}
			error(erroroutput,"\n");
			i=0;
			while (i<crun)
				{
				if (charindex <  rgfc[i+1])
					{
					error(erroroutput,"looking for BX %ld, charindex is %ld (%x),  rgfc is %ld (%x),\n",i,charindex,charindex, rgfc[i+1],rgfc[i+1]);
					*location = i;
					rval = rgfc[i+1];
					break;
					}
				i++;		
				}

			free(rgfc);
			}
		}
	if (pos != NULL)
		{
		fseek(in,*pos,SEEK_SET);
		error(erroroutput,"papx: reset stream\n");
		}
	return(rval); 
	}


chp * get_complex_chp(U32 fc,U32 *plcfbteChpx,U16 i,U16 nopieces,U32 chpintervals,U32 *rgfc,FILE *main,U32 *avalrgfc,U32 *thenextone,style *sheet,U16 istd)
	{
	chp *achp=NULL;
	int tempfck;
	U16 location;
	long passposition;
	U32 nextfc=0;
	U32 tempfc;

	/*we have the chp's fc*/

	/*
	Using the FC, search the FCs FKP for the largest FC less 
	than the character's FC
	*/

	/*finding the correct FKP for this fc*/
	/*
	The CHPX FKP stored in that page is fetched and then the rgfc in the 
	FKP is searched to locate the bounds of the run of
	exception text that encompasses the character.
	*/
	tempfck = find_FKPno_chpx(fc,plcfbteChpx,chpintervals);

	/*now attempt to find the end of the run of text*/
	if (tempfck != -1)
		{
		nextfc = find_next_smallest_fc(fc,tempfck,main,&location,&passposition);
		error(erroroutput,"CHP: in this FKP the next fc larger than (%x) is (%x)\n",fc,nextfc);
		error(erroroutput,"CHP: the end of this piece is (%x)\n",avalrgfc[i]+rgfc[i+1]-rgfc[i]);
		}

	/*
	The CHPX for that run is then located within the FKP,
	and the CHPX is applied to the contents of the local CHP
	*/
	achp = get_chp(tempfck,main,NULL,nextfc-1,&tempfc,sheet,istd);
	*thenextone = nextfc;
	return(achp);
	}


pap * get_complex_pap(U32 fc,U32 *plcfbtePapx,U16 i,U16 nopieces,U32 intervals,U32 *rgfc,FILE *main,U32 *avalrgfc,U32 *thenextone,U32 *paraendfc,int *paraendpiece,style *sheet,list_info *a_list_info)
	{
	pap *apap=NULL;
	int tempfck;
	U16 location,j;
	long passposition;
	U32 fc2;
	U32 nextfc=0;
	U32 tempfc;
/*
	get_para_bounds(i,fc,rgfc,avalrgfc,nopieces,plcfbtePapx,intervals,main);
*/

	*paraendpiece = i;

	error(erroroutput,"Searching for PAP, current piece is %d\n",i);

	/*first get the piece that this char is from*/
	/*ive been running the current fc through this processing, but maybe
	i should be taking something else*/
	

	/*
	if we are not at the beginning of a paragraph get the 
	bounds of this paragraph, using the end mark of the paragraph
	look for the char after it, and then look at fkp.rgbx[i - 1] 
	to get the PAPX (last non-fastsaved one), add the SPRMS 
	that would be got
	from the clxt == 1 stuff
	*/

	/*
	Using the FC, search the FCs FKP for the smalled FC greater
	than the character's FC
	*/

	/*finding the correct FKP for this fc*/
	tempfck = find_FKPno_papx(fc,plcfbtePapx,intervals);

	/*get the end fc of the piece*/
	
	fc2 = avalrgfc[i];
	error(erroroutput,"1 fc2 is %x\n",fc2);
    if (fc2 & 0x40000000UL)
		{
        fc2 = fc2 & 0xbfffffffUL;
        fc2 = fc2/2;
		fc2 += (rgfc[i+1]-rgfc[i]);
        }
	else
		fc2 +=2*(rgfc[i+1]-rgfc[i]);
		
	error(erroroutput,"fc2 is %x\n",fc2);


	/*now attempt to find the end of the paragraph*/
	if (tempfck != -1)
		{
		nextfc = find_next_smallest_fc(fc,tempfck,main,&location,&passposition);
		error(erroroutput,"in this FKP the next fc larger than (%x) is (%x)\n",fc,nextfc);
		}
	else
		{
		error(erroroutput,"for some reason this fc is outside the limits of the fkp itself\n");
		/*this nextfc must be > fc2*/
		nextfc = fc2+1;
		}
	
	if ( nextfc <= (fc2) )
		{
		error(erroroutput,"not doing para end search\n");
		error(erroroutput,"the end of the paragraph that describes this piece is at (%x)",nextfc-1);
		if (paraendfc != NULL)
			*paraendfc=nextfc;
		/*this means that if we grab the PAP of this char that we have got the pap for the piece*/
		*paraendpiece = i;
		if (tempfck != -1)
			apap = get_pap(tempfck,main,nextfc-1,&tempfc,sheet,a_list_info);
		/*in this case the paragraph ends on nextfc*/
		*thenextone=nextfc;
		}
	else if(nextfc == -1)
		{
		nextfc = fc;
		error(erroroutput,"BUGGING OUT\n");
		}
	else
		{
		error(erroroutput,"PAP: doing para end search\n");
		/*
		in this case the paragraph will have to be looked for again
		when this piece comes to an end ?
		*/
		*thenextone = fc2;

		/*
		we go through the pieces looking for one that has a 
		end of paragraph mark in it
		
		It's possible to check if a piece contains a paragraph
		mark by using the FC of the beginning of the piece to 
		search in the FKPs for the smallest FC in the FKP
		rgfc that is greater than the FC of the beginning of the piece
		*/
		for (j=i+1;j < nopieces;j++)
			{
			fc = avalrgfc[j];
			if (fc & 0x40000000UL)
					{
					fc = fc & 0xbfffffffUL;
					fc = fc/2;
					}
			error(erroroutput,"fc pulled out here is (%x) (%x) %d\n",fc,avalrgfc[j],j);
			tempfck = find_FKPno_papx(fc,plcfbtePapx,intervals);
			if (tempfck != -1)
				{
				nextfc = find_next_smallest_fc(fc,tempfck,main,&location,&passposition);
				error(erroroutput,"the next one is (%x)\n",nextfc);
				error(erroroutput,"less than aval is (%x),and end is (%x)",fc,fc+rgfc[j+1]-rgfc[j]);
				error(erroroutput,"avals are %x and %x\n",nextfc-1,fc+rgfc[j+1]-rgfc[j]);
			/*
				if ((nextfc <= (fc+rgfc[j+1]-rgfc[j])) || ((nextfc-1 >= fc+rgfc[j+1]-rgfc[j]) && (j==i+1)))
			*/
			/*
				if ((nextfc <= (fc+rgfc[j+1]-rgfc[j])) || ((nextfc-1 == fc+rgfc[j+1]-rgfc[j]) && (j==i+1)))
			*/
			/*
				if (nextfc <= (fc+rgfc[j+1]-rgfc[j])) 
			*/
			
				fc2 = avalrgfc[j];
				if (fc2 & 0x40000000UL)
					{
					fc2 = fc2 & 0xbfffffffUL;
					fc2 = fc2/2;
					fc2 +=rgfc[j+1]-rgfc[j];
					}
				else
					fc2 += 2*(rgfc[j+1]-rgfc[j]);
				error(erroroutput,"fc2 is %x\n",fc2);
			

				if (nextfc <= fc2 )
					{
					/*well this is the end then*/
					error(erroroutput,"the end of the paragraph that describes this piece is at (%x), after trying further",nextfc-1);
					*paraendpiece = j; 
					if (paraendfc != NULL)
						*paraendfc=nextfc;

					error(erroroutput,"the pieceend is %d\n",*paraendpiece);
					if (tempfck != -1)
						apap = get_pap(tempfck,main,nextfc-1,&tempfc,sheet,a_list_info);
					break;
					}
				else
					error(erroroutput,"next cycle nopieces is %d,j is %d\n",nopieces,j);
				}
			}
		}	
/*
	*thenextone = nextfc;
*/
		
	if (apap != NULL)
		error(erroroutput,"PAP: istd is %ld\n",apap->istd);
	return(apap);
	}

void decode_list_level(pap *apap,int inalist,int num)
	{
	int i;
	if (apap->ilvl+1 != 0)
		{
		error(erroroutput,"List stuff inalist is %d\n, ilvl+1 is %d\n",inalist,apap->ilvl+1);
		if (apap->ilvl+1 == inalist)
			{
			if (apap->ilvl+1 != 1)
				{
				/*
				fprintf(outputfile,"\n</DIR>\n");
				fprintf(outputfile,"\n<dir>\n");
				*/
				}
			else
				{
				/*
				if (num == IGNOREALL)
					fprintf(outputfile,"\n</fake DIR>\n<fake DIR>\n");
				else
					fprintf(outputfile,"\n<!--</DIR>\n<dir>-->\n");
				*/

				}
			}
		else
			{
			for(i=inalist;i<apap->ilvl+1;i++)
				{
				if (i==0)
					{
					if (num == IGNOREALL)
						fprintf(outputfile,"\nfake DIR>\n");
						/*
					else
						fprintf(outputfile,"\n<!--<dir>-->\n");
						*/
					}
				else
					fprintf(outputfile,"\n<DIR>");
				}
			}
		}
	inalist = apap->ilvl+1;
	for(i=1;i<inalist;i++)
		{
		if (inunderline)
			fprintf(outputfile,"</u>");
		fprintf(outputfile,"&nbsp;&nbsp;&nbsp;&nbsp;");
		if (inunderline)
			fprintf(outputfile,"<u>");
		}
	}

void decode_s_anld(pap *apap,chp *achp,list_info *a_list_info,ffn *fontnamelist)
	{
	int i;
	int issection;
	
	
	chp anldchp;

	error(erroroutput,"ilvl is %d\n",apap->ilvl);


	if ( ( (apap->ilvl+1) > inalist)  /*|| (tempid)*/ )
		{
		error(erroroutput,"ANLD: new one is %d",apap->ilvl+1);
		decode_list_level(apap,0,DONTIGNORENUM);

		/*if we are at a sub level i.e > 0, then */
		error(erroroutput,"the ilfo to use is %d\n",apap->ilfo);

		inalist=apap->ilvl+1;
		}
		/*
	else
		list_data = apap->list_data;
		*/

	if ( (apap->ilvl) != -1)
		{
		if ( (apap->ilfo > -1) && (newline))
			{
			fprintf(outputfile,"\n");

			anldchp = *achp;
			if (apap->ouranld.flags1&0x10)
				if (apap->ouranld.flags2&0x08)
					anldchp.fBold =1;
			if (apap->ouranld.flags1&0x20)
				if (apap->ouranld.flags2&0x10)
					anldchp.fItalic=1;
			if (apap->ouranld.flags2&0x02)
					anldchp.underline = apap->ouranld.flags3&0x07;
			anldchp.ascii_font = apap->ouranld.ftc;
			anldchp.eastfont = apap->ouranld.ftc;
			anldchp.noneastfont =apap->ouranld.ftc;
			anldchp.fontsize = apap->ouranld.hps;

			i=0;
			while(i<apap->ouranld.cxchTextBefore)
				{
				error(erroroutput,"list string-->%d %c\n",apap->ouranld.rgxch[i],apap->ouranld.rgxch[i]);
				if (apap->ouranld.rgxch[i] == '*')
					fprintf(outputfile,"<img src=\"%s/%d.gif\">",symbolfontdir(),151);
				else
					{
					decode_letter(apap->ouranld.rgxch[i],0,apap,&anldchp,NULL,NULL,NULL,fontnamelist,NULL,NULL,&issection);
					realcp--;
					cp--;
					}
				i++;
				}

			error(erroroutput,"numbering type is %d\n",apap->ouranld.nfc);
			/*
			decode_list_nfc(&(listvalue[apap->ilvl]),apap->ouranld.nfc);
			*/
			decode_list_nfc(&(a_list_info->current_index_nos[apap->ilfo][apap->ilvl]),apap->ouranld.nfc);

			i=apap->ouranld.cxchTextBefore;
			while(i<apap->ouranld.cxchTextAfter)
				{
				error(erroroutput,"list string-->%d %c\n",apap->ouranld.rgxch[i],apap->ouranld.rgxch[i]);
				if (apap->ouranld.rgxch[i] == '*')
					fprintf(outputfile,"<img src=\"%s/%d.gif\">",symbolfontdir(),151);
				else
					{
					decode_letter(apap->ouranld.rgxch[i],0,apap,NULL,NULL,NULL,NULL,fontnamelist,NULL,NULL,&issection);
					realcp--;
					cp--;
					}
				i++;
				}

			fprintf(outputfile," ");
			newline=0;
			}
		}
	}
/*
ok im going out on a limb here and see does this fit the realworld: heres the hack
sections titles have the section number prepended to them, now the 0x0c is use like
i would expect it to be, *only* that after this mark sections are also considered list 
elements with links to listdata which contain a mark for a number to be used, 
with my logic i get
<section no> <list number> <the rest of list data e.g. "."> Section Name
other logic gave
<list number> <the rest of list data e.g. "."> <section no> Section Name

what ms gives is

<section no> <the rest of list data e.g. "."> Section Name

so if i have a 0x0c 

CHOP CHOP CHOP, all wrong, talking out my bum, solution is in CHANGELOG for 
version 0.2.1, in fact the section break has NOTHING to do with it, its part
of a wierd mechanism with dummy list elements, im dead proud i figured it out.
*/


void decode_s_list(pap *apap,chp *achp,list_info *a_list_info,ffn *fontnamelist,int num)
	{
	/*
	U32 tempid=0;
	*/
	int i,j,k,p;
	int index;
	int fPrev;

	int issection;/*dummy*/
	
	list_def *list_data=NULL;
	list_def *flist_data=NULL;
	list_def *plist_data=NULL;

	error(erroroutput,"doing start list\n");

	if (apap->ilfo == 2047)
		{
		error(erroroutput,"special ilfo, doing an anld\n");
		decode_s_anld(apap,achp,a_list_info,fontnamelist);
		return;
		}
	
	if (apap->ilfo > -1) 
		{
		index = decode_ilfo(apap,a_list_info);
		if (index == -1)
			{
			error(erroroutput,"invalid ilfo index\n");
			return;
			}

		if ( ( (apap->ilvl+1) > inalist) )
			{
			error(erroroutput,"ILVL: incoming indent level %d new one is %d",inalist,apap->ilvl+1);

			if (num == IGNOREALL)
				fprintf(outputfile,"\n<!--tricky old ms, hidden list values here\n");

			/*if we are at a sub level i.e > 0, then */
			error(erroroutput,"the ilfo to use is %d\n",apap->ilfo);

			flist_data = apap->list_data;
			
			i=0;
			while ( (i<apap->ilvl) && (flist_data->sub_def_list != NULL) )
				{
				error(erroroutput,"1 indenting into structure\n");
				flist_data = flist_data->sub_def_list;
				i++;
				}
	
			if (a_list_info->current_index_nos[index][apap->ilvl]==-1)
				{
				/*new list, start again*/
				plist_data = flist_data;
				for (p=apap->ilvl;p<9;p++)
					{
					if (plist_data != NULL)
						{
						a_list_info->current_index_nos[index][p]=plist_data->begin_no;
						plist_data = plist_data->sub_def_list;
						}
					}
				}
			inalist=apap->ilvl+1;
			}
		else
			flist_data = apap->list_data;

		if ( (apap->ilvl) != -1)
			{
			error(erroroutput,"list stage 1\n");
			if ( (apap->ilfo > -1) && (newline))
				{
				error(erroroutput,"list stage 2\n");
				if (apap->list_data != NULL)
					{
					j=0;
					list_data = apap->list_data;
					fPrev = flist_data->fPrev;
					do
						{
						if (list_data->len > 0)
							{
							i=0;
							
							if ( ((!fPrev) && (j == apap->ilvl)) || (fPrev) )
								{
								if (flushbreaks(0))
									{
									error(erroroutput,"<!--new paragraph-->");
									do_indent(apap);
									}
								fprintf(outputfile,"\n");
								decode_list_level(apap,inalist,num);
								while ( i<list_data->len )
									{
									error(erroroutput,"list string-->%d %c\n",list_data->list_string[i],list_data->list_string[i]);
									if (list_data->list_string[i] <= 9)
										{
										flist_data = apap->list_data;
										k=0;
										while(k<list_data->list_string[i])	
											{
											flist_data = flist_data->sub_def_list;
											k++;
											}
										error(erroroutput,"numbering type is %d\n",flist_data->no_type);

										if (a_list_info->current_index_nos[index][k]==-1)
											{
											/*new list, start again*/
											plist_data = flist_data;
											for (p=k;p<9;p++)
												{
												if (plist_data != NULL)
													{
													a_list_info->current_index_nos[index][p]=plist_data->begin_no;
													plist_data = plist_data->sub_def_list;
													}
												}
										/*	
											a_list_info->current_index_nos[index][k]=flist_data->begin_no;
										*/
											
											}
										else if (k!=j)
											a_list_info->current_index_nos[index][k]--;
										decode_list_nfc(&(a_list_info->current_index_nos[index][k]),flist_data->no_type);
										
										plist_data = flist_data->sub_def_list;
										for (p=j+1;p<9;p++)
											{
											if (plist_data != NULL)
												{
												a_list_info->current_index_nos[index][p]=plist_data->begin_no;
												plist_data = plist_data->sub_def_list;
												}
											}
										
										}
									else if (list_data->list_string[i] == '*')
										fprintf(outputfile,"<img src=\"%s/%d.gif\">",symbolfontdir(),151);
									else
										{
										decode_letter(list_data->list_string[i],0,apap,&(list_data->achp),NULL,NULL,NULL,fontnamelist,NULL,NULL,&issection);
										realcp--;
										cp--;
										}
									i++;
									}
									
								fprintf(outputfile," ");
								newline=0;
								}
							}	
						list_data = list_data->sub_def_list;
						j++;
						}
					while ( (j<apap->ilvl+1)  && (list_data != NULL) );
					}
					
					
				}
			if (num == IGNOREALL)
				fprintf(outputfile,"\n-->\n");
			}
		}
	}


void decode_s_table(pap *apap,chp *achp,list_info *a_list_info)
	{
	int redotable=0,i;
	float width;
	int clearedspecials=0;
	chp reset;
	int resetchp=0;

	int tablewidth;
	int shademodifier=100;
	int foreground;

#if 0
	reset.fBold=0;
	reset.fItalic=0;
	reset.underline=0;
	reset.ascii_font=0;
	reset.eastfont=0;
	reset.noneastfont=0;
	reset.fontsize=NORMAL;
	reset.color[0] = '\0';
#endif
	init_chp(&reset);
	reset.fontcode=-2;

	error(erroroutput,"decoding start specials istd is %d\n",apap->istd);

	if ((!(inatable)) && (apap->fInTable))
		{
		if (!clearedspecials)
			{
			clearedspecials=1;
			}
		if (!resetchp)
			{
			decode_e_chp(&reset);
			resetchp=1;
			}
		if (flushbreaks(0))
			{
			error(erroroutput,"<!--new paragraph-->");
			do_indent(apap);
			}
		fprintf(outputfile,"\n<table border=1 width=\"");
		/*search for tap*/
		inatable=1;
		inarow=0;
		inacell=0;
		lastrowlen=apap->ourtap.cell_no;
		error(erroroutput,"lastrowlen is %d\n",lastrowlen);
		tablewidth=0;
		for (i=0;i<apap->ourtap.cell_no+1;i++)
			{
			lastcellwidth[i] = apap->ourtap.cellwidth[i];
			error(erroroutput,"dx-->%d",lastcellwidth[i]);
			tablewidth+=lastcellwidth[i];
			}
		tablewidth-=lastcellwidth[0];
		error(erroroutput,"set table, tablewidth is twirps is %d\n",tablewidth);
		fprintf(outputfile,"%d\">\n",tablewidth/TWIRPS_PER_H_PIXEL);
		}

	if ( ((inatable) && (apap->fInTable) && (!apap->fTtp)) || ((inatable) && (!inacell) && (inarow)) )
		{
		if (inarow == 0)
			{
			if (lastrowlen != apap->ourtap.cell_no)
				{
				error(erroroutput,"well have to start a new table\n");
				redotable=1;
				}
			else 
				{
				for (i=0;i<apap->ourtap.cell_no+1;i++)
					{
					if (lastcellwidth[i] != apap->ourtap.cellwidth[i])
						redotable=1;
					}
				}

			if (redotable)
				{
				if (!clearedspecials)
					{
					/*decode_e_specials(&reset,achp,a_list_info);*/
					clearedspecials=1;
					}
				if (!resetchp)
					{
					decode_e_chp(&reset);
					resetchp=1;
					}
				fprintf(outputfile,"\n</table>\n");
#if 0
				flushbreaks(0);
#endif
				fprintf(outputfile,"\n<table border=1 width=\"100%%\">\n");
				error(erroroutput,"redone table\n");
				inatable=1;
				inarow=1;
				inacell=0;
				lastrowlen=apap->ourtap.cell_no;
				for (i=0;i<apap->ourtap.cell_no+1;i++)
					lastcellwidth[i] = apap->ourtap.cellwidth[i];

				}

			if (!clearedspecials)
				{
				/*decode_e_specials(&reset,achp,a_list_info);*/
				clearedspecials=1;
				}
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"\n<tr>\n");
			rowcount=0;
			inarow = 1;
			}
			
		if ( (inacell == 0) && (rowcount < apap->ourtap.cell_no) )
			{
			width = (apap->ourtap.cellwidth[rowcount+1]-apap->ourtap.cellwidth[rowcount])*100;
			width = rint(width/apap->ourtap.tablewidth);
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"\n<td valign=\"top\" width=\"%.0f%%\" ",width); 
			if (apap->ourtap.rowheight != 0)
				fprintf(outputfile,"height=\"%d\"",abs(apap->ourtap.rowheight)/TWIRPS_PER_V_PIXEL); 

			shademodifier = 100;
			/*
			*/
			if (apap->ourtap.cell_pattern[rowcount] != 0)
				{
				if ((apap->ourtap.cell_pattern[rowcount] > 13) && (apap->ourtap.cell_pattern[rowcount] < 35) )
					{
					foreground = apap->ourtap.cell_fronts[rowcount];
					if (foreground == 0) foreground=1;
					fprintf(outputfile," background=\"%s/%d.gif\"",patterndir(),(apap->ourtap.cell_pattern[rowcount])+((foreground-1)*12));
					}
				else
					{
					switch (apap->ourtap.cell_pattern[rowcount])
						{
						case 1:
							shademodifier = 100;
							break;
						case 2:
							shademodifier = 95;
							break;
						case 3:
							shademodifier = 90;
							break;
						case 4:
							shademodifier = 80;
							break;
						case 5:
							shademodifier = 75;
							break;
						case 6:
							shademodifier = 70;
							break;
						case 7:
							shademodifier = 60;
							break;
						case 8:
							shademodifier = 50;
							break;
						case 9:
							shademodifier = 40;
							break;
						case 10:
							shademodifier = 30;
							break;
						case 11:
							shademodifier = 25;
							break;
						case 12:
							shademodifier = 20;
							break;
						case 13:
							shademodifier = 10;
							break;
						case 35:
							shademodifier = 97.5;
							break;
						case 36:
							shademodifier = 92.5;
							break;
						case 37:
							shademodifier = 87.5;
							break;
						case 38:
							shademodifier = 85;
							break;
						case 39:
							shademodifier = 82.5;
							break;
						case 40:
							shademodifier = 77.5;
							break;
						case 41:
							shademodifier = 82.5;
							break;
						case 42:
							shademodifier = 67.5;
							break;
						case 43:
							shademodifier = 65;
							break;
						case 44:
							shademodifier = 62.5;
							break;
						case 45:
							shademodifier = 57.5;
							break;
						case 46:
							shademodifier = 55;
							break;
						case 47:
							shademodifier = 52.5;
							break;
						case 48:
							shademodifier = 47.5;
							break;
						case 49:
							shademodifier = 45;
							break;
						case 50:
							shademodifier = 42.5;
							break;
						case 51:
							shademodifier = 37.5;
							break;
						case 52:
							shademodifier = 35;
							break;
						case 53:
							shademodifier = 32.5;
							break;
						case 54:
							shademodifier = 27.5;
							break;
						case 55:
							shademodifier = 22.5;
							break;
						case 56:
							shademodifier = 17.5;
							break;
						case 57:
							shademodifier = 15;
							break;
						case 58:
							shademodifier = 12.5;
							break;
						case 59:
							shademodifier = 7.5;
							break;
						case 60:
							shademodifier = 5;
							break;
						case 61:
							shademodifier = 2.5;
							break;
						case 62:
							shademodifier = 2;
							break;
						default:
							shademodifier = 100;
							break;
						}
					}
				}

			if (apap->ourtap.cell_backs[rowcount] != 0)
				{
				fprintf(outputfile," bgcolor=\"#%.2x",(colorlookupr[apap->ourtap.cell_backs[rowcount]])*shademodifier/100);
				fprintf(outputfile,"%.2x",(colorlookupg[apap->ourtap.cell_backs[rowcount]])*shademodifier/100);
				fprintf(outputfile,"%.2x",(colorlookupb[apap->ourtap.cell_backs[rowcount]])*shademodifier/100);
				fprintf(outputfile,"\"");
				}
			fprintf(outputfile,">\n"); 
			cellempty=1;
			inacell=1;
			rowcount++;
			}
		else if ( (inacell == 0) && (apap->ourtap.cell_no == 0) )
			{
			error(erroroutput,"dont have information as to width of cells\n");
			if (!resetchp)
                {
                decode_e_chp(&reset);
                resetchp=1;
                }
            fprintf(outputfile,"\n<td valign=\"top\" ");
			if (apap->ourtap.rowheight != 0)
				fprintf(outputfile,"height=\"%d\"",abs(apap->ourtap.rowheight)/TWIRPS_PER_V_PIXEL); 
            fprintf(outputfile,">\n");
            cellempty=1;
            inacell=1;
            rowcount++;
			}
			
		/*weve come into another cell*/
		}
	}

void decode_s_specials(pap *apap,chp *achp,list_info *a_list_info)
	{
	int redotable=0,i;
	int resetchp=0;
	float width;
	chp reset;
#if 0
	reset.fBold=0;
	reset.fItalic=0;
	reset.underline=0;
	reset.ascii_font=0;
	reset.eastfont=0;
	reset.noneastfont=0;
	reset.fontsize=NORMAL;
	reset.color[0] = '\0';
#endif
	init_chp(&reset);
	reset.fontcode=-2;

	error(erroroutput,"decoding start specials istd is %d\n",apap->istd);

	do_indent(apap);

	if ((apap->jc == 1) && (incenter == 0))
		{
		incenter =1;
		fprintf(outputfile,"\n<CENTER>");
		error(erroroutput,"begin of center\n");
		}

	if ((apap->jc == 2) && (inrightjust == 0))
		{
		inrightjust =1;
		fprintf(outputfile,"\n<DIV align=right>");
		error(erroroutput,"begin of right\n");
		}

	if (ignoreheadings == 0)
		{
		if ((apap->istd == 1) && (inah1 != 1))
			{
			inah1=1;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H1>");
			}

		if ((apap->istd == 2) && (inah1 != 2))
			{
			inah1=2;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H2>");
			}

		if ((apap->istd == 3) && (inah1 != 3))
			{
			inah1=3;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H3>");
			}

		if ((apap->istd == 4) && (inah1 != 4))
			{
			inah1=4;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H4>");
			}

		if ((apap->istd == 5) && (inah1 != 5))
			{
			inah1=5;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H5>");
			}

		if ((apap->istd == 6) && (inah1 != 6))
			{
			inah1=6;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H6>");
			}

		if ((apap->istd == 7) && (inah1 != 7))
			{
			inah1=7;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H7>");
			}

		if ((apap->istd == 8) && (inah1 != 8))
			{
			inah1=8;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H8>");
			}

		if ((apap->istd == 9) && (inah1 != 9))
			{
			inah1=9;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"<H9>");
			}
		}	

	error(erroroutput,"manually doing start chp\n");
	}

void decode_e_list(pap *apap,chp *achp,list_info *a_list_info)
	{
	int i;
	int lvl;
	error(erroroutput,"inah1 is going in %d\n",inah1);
	if ( (apap->ilvl+1) < inalist)
		{
		error(erroroutput,"ILVL: apap->ilvl+1 id %d inalist is %d\n",(apap->ilvl+1),inalist);
/*
		if (apap->ilvl+1 == 0)
			lvl = 1;
		else
*/
			lvl = apap->ilvl+1;

		for(i=inalist;i>lvl;i--)
			{
			/*
			if (i==1)
				fprintf(outputfile,"\n<!--</DIR>-->");
			else
				fprintf(outputfile,"\n</DIR>");
			*/
			}
		inalist=apap->ilvl+1;
		}
	}

int decode_e_table(pap *apap,chp *achp,list_info *a_list_info)
	{
	int ret=0;
	pap reset;
	chp resetc;
	int clearedspecials=0;
	error(erroroutput,"decoding end table\n");

#if 0
    reset.istd =0;
    reset.fInTable=0;
    reset.fTtp=0;
	reset.tableflag=0;
	reset.ilvl=-1;
	reset.ilfo=-1;
	reset.list_data=NULL;
	reset.leftmargin=0;
	reset.firstline=0;
#endif
	init_pap(&reset);

/*
resetc.fBold=0;
	resetc.fItalic=0;
	resetc.underline=0;
	resetc.ascii_font=0;
	resetc.eastfont=0;
	resetc.noneastfont=0;
	resetc.fontsize=NORMAL;
	resetc.color[0] = '\0';
*/
	init_chp(&resetc);
	resetc.fontcode=-2;

	if ((apap->fInTable == 1) && (apap->fTtp == 1) && apap->tableflag)
		{
		error(erroroutput,"cell and row end\n");
		if (!clearedspecials)
			{
			decode_e_chp(&resetc);
			decode_e_specials(&reset,achp,a_list_info);
			clearedspecials=1;
			}
		fprintf(outputfile,"\n</tr>\n");
		ret=1;
		inarow=0;
		inacell=0;
		apap->tableflag=0;
		}
	else if ((apap->fInTable == 1)  && (apap->fTtp != 1) && apap->tableflag )
		{
		if (!clearedspecials)
			{
			decode_e_chp(&resetc);
			decode_e_specials(&reset,achp,a_list_info);
			clearedspecials=1;
			}
		if (cellempty == 1)
			fprintf(outputfile,"&nbsp;");
		fprintf(outputfile,"\n</td>\n");
		inacell=0;
		apap->tableflag=0;
		error(erroroutput,"cell end\n");
		}

	if ( (inatable) && (!apap->fInTable) && (!inarow) )
		{
		error(erroroutput,"table ends here\n");
		if (!clearedspecials)
			{
			decode_e_chp(&resetc);
			decode_e_specials(&reset,achp,a_list_info);
			clearedspecials=1;
			}
		fprintf(outputfile,"\n</table>\n");
		lastrowlen=0;
		inatable=0;
		}

	return(ret);
	}
void decode_e_specials(pap *apap,chp *achp,list_info *a_list_info)
	{
	int resetchp=0;
	chp reset;
	error(erroroutput,"decoding specials istd is %d\n",apap->istd);
	/*before a para ends, well reset all chars to original defaults*/
/*
	reset.fBold=0;
	reset.fItalic=0;
	reset.underline=0;
	reset.ascii_font=0;
	reset.eastfont=0;
	reset.noneastfont=0;
	reset.fontcode=-2;
	
	reset.fontsize=NORMAL;
	

	reset.color = NULL;
*/
	init_chp(&reset);
	reset.fontcode=-2;


	error(erroroutput,"manual end chp\n");

	if (ignoreheadings ==0)
		{
		if ((apap->istd != 9) && (inah1 == 9))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
				
			fprintf(outputfile,"</H9>\n");
			}
		else if ((apap->istd != 8) && (inah1 == 8))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H8>\n");
			}
		else if ((apap->istd != 7) && (inah1 == 7))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H7>\n");
			}
		else if ((apap->istd != 6) && (inah1 == 6))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H6>\n");
			}
		else if ((apap->istd != 5) && (inah1 == 5))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H5>\n");
			}
		else if ((apap->istd != 4) && (inah1 == 4))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H4>\n");
			}
		else if ((apap->istd != 3) && (inah1 == 3))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H3>\n");
			}
		else if ((apap->istd != 2) && (inah1 == 2))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H2>\n");
			}
		else if ((apap->istd != 1) && (inah1 == 1))
			{
			inah1=0;
			if (!resetchp)
				{
				decode_e_chp(&reset);
				resetchp=1;
				}
			fprintf(outputfile,"</H1>\n");
			}
		}
	error(erroroutput,"inah1 is now %d\n",inah1);
	if ((apap->jc != 2) && (inrightjust == 1))
		{
		inrightjust =0;
		error(erroroutput,"end of right\n");
		fprintf(outputfile,"\n</DIV>");
		}

	if ((apap->jc != 1) && (incenter == 1))
		{
		incenter =0;
		error(erroroutput,"end of center\n");
		fprintf(outputfile,"\n</CENTER>");
		}

	do_indent(apap);


	}

void decode_gpprls(pap *apap,chp *achp,sep *asep,U16 *gpprl,int index,Sprm *sprmlists,style *sheet)
	{
	/**/
	int j=0;
	U16 i=0;
	Sprm *thesprmlist=sprmlists;
	U16 sprm;
	U8 operand;
	U8 *pointer;
	U8 littlelist[2];
	int val;

	error(erroroutput,"index were looking for is %d\n",index);
	if (index <0)
		return;

	/*the index were given is the sprm, if its a varient 1 
	ignore it for now, if its varient 2 go through the list of sprms countinf
	varients 2, until we get to this one*/
	if (0 == (gpprl[index] & 0x01))
		{
		error(erroroutput,"varient 1s, (%x)\n",gpprl[index]);
		error(erroroutput,"sprm varient 1, isprm is %x, val is %d\n",(gpprl[index]&0x00fe)>>1,(gpprl[index]&0xff00)>>8);
		sprm = (gpprl[index]&0x00fe)>>1;
		operand = (gpprl[index]&0xff00)>>8;
		error(erroroutput,"GPRL is (%x) operand is %d",sprm,operand);
		switch (sprm)
			{
			case 5:
				sprm = 0x2403;
				littlelist[0] = operand;
				break;
			default:
				error(erroroutput,"unsupported gpprl %d\n",sprm);
				return;
				break;
			}
		pointer = littlelist;
		decode_sprm(NULL,sprm,apap,achp,asep,&i,&pointer,sheet,apap->istd);
		return;
		}
	else
		{
		error(erroroutput,"varient 2s, (%x) (%x) (%x)\n",(gpprl[index]&0xFFFE)>>1,gpprl[index]>>1,gpprl[index]);
		/*
		for (i=0;i<index;i++)
			{
			if (gpprl[i] & 0x01)
				j++;
			}
		*/
		error(erroroutput,"read index val is %d\n",j);
		}
	i=0;	
	val = (gpprl[index]&0xFFFE)>>1;
	
	while(i<val)
		{
		thesprmlist=thesprmlist->next;
		if (thesprmlist == NULL)
			{
			error(erroroutput,"gpprl index is wrong at %d!\n",i);
			return;
			}
		i++;
		}


/*hum 261*/
	i=0;
	error(erroroutput,"sprm list len is %d\n",thesprmlist->len);
	while (i<thesprmlist->len)
		{
		sprm = sread_16ubit(thesprmlist->list+i);
		i+=2;
		error(erroroutput,"clist is %x, at len point %d\n",sprm,i);

		pointer = thesprmlist->list+i;
		if (apap == NULL)
			fprintf(erroroutput,"aha !!\n");

		decode_sprm(NULL,sprm,apap,achp,asep,&i,&pointer,sheet,apap->istd);
		error(erroroutput,"after line\n");
		/*change above to include sep*/
		}
	}

void chpsoff()
	{
	chps=1;
	}

void chpson()
	{
	chps=0;
	}
